<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php

set_time_limit(3600);


error_reporting(E_ERROR | E_WARNING | E_PARSE);

include_once(dirname(__FILE__)."/../conf/main.conf.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.secure.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.user.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf_final.php");
include_once(dirname(__FILE__)."/../www/lib/imap.inc.php");
include_once(dirname(__FILE__)."/../www/lib/class.erpapi.php");
include_once(dirname(__FILE__)."/../www/lib/class.remote.php");
include_once(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include_once(dirname(__FILE__)."/../www/lib/class.aes.php");
include_once(dirname(__FILE__)."/../www/lib/class.printer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");


include_once(dirname(__FILE__)."/../www/lib/dokumente/class.superfpdf.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.etiketten.php");

include_once(dirname(__FILE__)."/../phpwf/plugins/class.string.php");
class app_t {
  var $DB;
  var $erp;
  var $User;
  var $mail;
  var $remote;
  var $Secure;
}

//ENDE

if(!isset($app))
{

$app = new app_t();

$conf = new Config();
$app->Conf = $conf;
$app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
$erp = new erpAPI($app);
$app->erp = $erp;
$app->String         = new WawiString();
$app->erp->LogFile("MLM gestartet");
$app->printer = new Printer($app);

$app->Secure = new Secure($app);
$app->User = new User($app);
if(!defined('FPDF_FONTPATH'))define('FPDF_FONTPATH',dirname(__FILE__)."/../www/lib/pdf/font/");
}


//Allgemein

$etikettendrucker=7;
$menge = 1;

//Artikel 
/*
$result = $app->DB->SelectArr("SELECT id,nummer FROM artikel WHERE geloescht!=1 AND nummer!='' ORDER by nummer LIMIT 10");
foreach($result as $row)
{
  $app->erp->EtikettenDrucker("artikel_klein",$menge,"artikel",$row['id'],"","",$etikettendrucker,$row['nummer']);
}
*/

//Lager
$result = $app->DB->SelectArr("SELECT id,kurzbezeichnung FROM lager_platz LIMIT 10");
foreach($result as $row)
{
  $app->erp->EtikettenDrucker("lagerplatz_klein",$menge,"lager_platz",$row['id'],"","",$etikettendrucker,$row['kurzbezeichnung']);
}



?>
