<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
/*
include(dirname(__FILE__)."/../conf/main.conf.php");
include(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include(dirname(__FILE__)."/../www/lib/imap.inc.php");
include(dirname(__FILE__)."/../www/lib/class.erpapi.php");
include(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");



class app_t {
  var $DB;
  var $user;
  var $erp;
}

*/
//ENDE

$app = new app_t();

$DEBUG = 0;


$conf = new Config();
$app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
$erp = new erpAPI($app);
$app->erp = $erp;

$firmendatenid = $app->DB->Select("SELECT MAX(id) FROM firmendaten LIMIT 1");

$benutzername = $app->erp->Firmendaten("benutzername");
$passwort = $app->erp->Firmendaten("passwort");
$host = $app->erp->Firmendaten("host");
$port = $app->erp->Firmendaten("port");
$mailssl = $app->erp->Firmendaten("mailssl");
$mailanstellesmtp = $app->erp->Firmendaten("mailanstellesmtp");
$noauth = $app->erp->Firmendaten("noauth");


  // mail
  $app->mail = new PHPMailer($app);
  $app->mail->PluginDir="plugins/phpmailer/";

  if($mailanstellesmtp=="1"){
    $app->mail->IsMail();
  } else {
    $app->mail->IsSMTP();

    if($noauth=="1") $app->mail->SMTPAuth = false;
    else $app->mail->SMTPAuth   = true;

    if($mailssl==1)
        $app->mail->SMTPSecure = "tls";                 // sets the prefix to the servier
    else if ($mailssl==2)
        $app->mail->SMTPSecure = "ssl";                 // sets the prefix to the servier

    $app->mail->Host       = $host;

    $app->mail->Port       = $port;                   // set the SMTP port for the GMAIL server

    $app->mail->Username   = $benutzername;  // GMAIL username
    $app->mail->Password   = $passwort;            // GMAIL password
  }



// alle termine innerhalb der nächsten 15 Minuten
$termine = $app->DB->SelectArr("SELECT ke.id,ke.bezeichnung,DATE_FORMAT(ke.von,'%H:%i') as start,ke.beschreibung FROM kalender_event ke WHERE ke.von <= DATE_ADD(NOW(),INTERVAL 15 MINUTE) AND ke.von >= NOW() AND ke.erinnerung='1'");

for($i=0;$i<count($termine);$i++)
{
  $users = $app->DB->SelectArr("SELECT DISTINCT userid FROM kalender_user WHERE event='".$termine[$i]['id']."'"); 
  for($u=0;$u<count($users);$u++)
  {
    $userid = $users[$u]['userid'];
    $email = $app->DB->Select("SELECT a.email FROM user u LEFT JOIN adresse a ON a.id=u.adresse WHERE u.id='".$userid."' LIMIT 1");
    $name = $app->DB->Select("SELECT a.name FROM user u LEFT JOIN adresse a ON a.id=u.adresse WHERE u.id='".$userid."' LIMIT 1");
    $app->erp->MailSend($erp->GetFirmaMail(),$erp->GetFirmaName(),$email,$name,"ERINNERUNG TERMIN: ".$termine[$i]['bezeichnung']." (um ".$termine[$i]['start'].")","Erinnerung von WaWision:\r\n\r\n".$termine[$i]['beschreibung'],"","",false);
    $app->erp->InternesEvent($userid,"<b>Termin:  ".$termine[$i]['bezeichnung']." (um ".$termine[$i]['start'].")</b><br> Kalender-Erinnerung","alert",1);
  }
}





?>
