<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
set_time_limit(36000);


error_reporting(E_ERROR | E_WARNING | E_PARSE);

include_once(dirname(__FILE__)."/../conf/main.conf.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.secure.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.user.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf_final.php");
include_once(dirname(__FILE__)."/../www/lib/imap.inc.php");
include_once(dirname(__FILE__)."/../www/lib/class.erpapi.php");
include_once(dirname(__FILE__)."/../www/lib/class.remote.php");
include_once(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include_once(dirname(__FILE__)."/../www/lib/class.aes.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");

$classes = array('briefpapier','lieferschein','auftrag','anfrage','gutschrift','bestellung','rechnung','mahnwesen','angebot');
foreach($classes as $class)
{
  if(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.".$class."_custom.php"))
  {
    include_once(dirname(__FILE__)."/../www/lib/dokumente/class.".$class."_custom.php");
  }elseif(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.".$class.".php"))
  {
    include_once(dirname(__FILE__)."/../www/lib/dokumente/class.".$class.".php");
  }
}

/*
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.briefpapier.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.lieferschein.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.auftrag.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.angebot.php");
if(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.anfrage.php"))include_once(dirname(__FILE__)."/../www/lib/dokumente/class.anfrage.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.gutschrift.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.bestellung.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.rechnung.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.mahnwesen.php");*/
include_once(dirname(__FILE__)."/../phpwf/plugins/class.string.php");
if(!class_exists('app_t2'))
{
  class app_t2 {
    var $DB;
    var $erp;
    var $User;
    var $mail;
    var $remote;
    var $Secure;
function GetLandLang($isocode)
{
  $flipped = array_flip($this->GetLaender());
  if(isset($flipped[$isocode]))
    $land = $flipped[$isocode];
  else $land = "unkown";
  return $land;
}

function GetLaender()
{
  $laender = array(
      'Afghanistan'  => 'AF',
      '&Auml;gypten'  => 'EG',
      'Albanien'  => 'AL',
      'Algerien'  => 'DZ',
      'Andorra'  => 'AD',
      'Angola'  => 'AO',
      'Anguilla'  => 'AI',
      'Antarktis'  => 'AQ',
      'Antigua und Barbuda'  => 'AG',
      '&Auml;quatorial Guinea'  => 'GQ',
      'Argentinien'  => 'AR',
      'Armenien'  => 'AM',
      'Aruba'  => 'AW',
      'Aserbaidschan'  => 'AZ',
      '&Auml;thiopien'  => 'ET',
      'Australien'  => 'AU',
      'Bahamas'  => 'BS',
      'Bahrain'  => 'BH',
      'Bangladesh'  => 'BD',
      'Barbados'  => 'BB',
      'Belgien'  => 'BE',
      'Belize'  => 'BZ',
      'Benin'  => 'BJ',
      'Bermudas'  => 'BM',
      'Bhutan'  => 'BT',
      'Birma'  => 'MM',
      'Bolivien'  => 'BO',
      'Bosnien-Herzegowina'  => 'BA',
      'Botswana'  => 'BW',
      'Bouvet Inseln'  => 'BV',
      'Brasilien'  => 'BR',
      'Britisch-Indischer Ozean'  => 'IO',
      'Brunei'  => 'BN',
      'Bulgarien'  => 'BG',
      'Burkina Faso'  => 'BF',
      'Burundi'  => 'BI',
      'Chile'  => 'CL',
      'China'  => 'CN',
      'Christmas Island'  => 'CX',
      'Cook Inseln'  => 'CK',
      'Costa Rica'  => 'CR',
      'D&auml;nemark'  => 'DK',
      'Deutschland'  => 'DE',
      'Djibuti'  => 'DJ',
      'Dominika'  => 'DM',
      'Dominikanische Republik'  => 'DO',
      'Ecuador'  => 'EC',
      'El Salvador'  => 'SV',
      'Elfenbeink&uuml;ste'  => 'CI',
      'Eritrea'  => 'ER',
      'Estland'  => 'EE',
      'Falkland Inseln'  => 'FK',
      'F&auml;r&ouml;er Inseln'  => 'FO',
      'Fidschi'  => 'FJ',
      'Finnland'  => 'FI',
      'Frankreich'  => 'FR',
      'Franz&ouml;sisch Guyana'  => 'GF',
      'Franz&ouml;sisch Polynesien'  => 'PF',
      'Franz&ouml;sisches S&uuml;d-Territorium'  => 'TF',
      'Gabun'  => 'GA',
      'Gambia'  => 'GM',
      'Georgien'  => 'GE',
      'Ghana'  => 'GH',
      'Gibraltar'  => 'GI',
      'Grenada'  => 'GD',
      'Griechenland'  => 'GR',
      'Gr&ouml;nland'  => 'GL',
      'Großbritannien'  => 'UK',
      'Großbritannien (UK)'  => 'GB',
      'Guadeloupe'  => 'GP',
      'Guam'  => 'GU',
      'Guatemala'  => 'GT',
      'Guinea'  => 'GN',
      'Guinea Bissau'  => 'GW',
      'Guyana'  => 'GY',
      'Haiti'  => 'HT',
      'Heard und McDonald Islands'  => 'HM',
      'Honduras'  => 'HN',
      'Hong Kong'  => 'HK',
      'Indien'  => 'IN',
      'Indonesien'  => 'ID',
      'Irak'  => 'IQ',
      'Iran'  => 'IR',
      'Irland'  => 'IE',
      'Island'  => 'IS',
      'Israel'  => 'IL',
      'Italien'  => 'IT',
      'Jamaika'  => 'JM',
      'Japan'  => 'JP',
      'Jemen'  => 'YE',
      'Jordanien'  => 'JO',
      'Jugoslawien'  => 'YU',
      'Kaiman Inseln'  => 'KY',
      'Kambodscha'  => 'KH',
      'Kamerun'  => 'CM',
      'Kanada'  => 'CA',
      'Kap Verde'  => 'CV',
      'Kasachstan'  => 'KZ',
      'Kenia'  => 'KE',
      'Kirgisistan'  => 'KG',
      'Kiribati'  => 'KI',
      'Kokosinseln'  => 'CC',
      'Kolumbien'  => 'CO',
      'Komoren'  => 'KM',
      'Kongo'  => 'CG',
      'Kongo, Demokratische Republik'  => 'CD',
      'Kosovo'  => 'KO',
      'Kroatien'  => 'HR',
      'Kuba'  => 'CU',
      'Kuwait'  => 'KW',
      'Laos'  => 'LA',
      'Lesotho'  => 'LS',
      'Lettland'  => 'LV',
      'Libanon'  => 'LB',
      'Liberia'  => 'LR',
      'Libyen'  => 'LY',
      'Liechtenstein'  => 'LI',
      'Litauen'  => 'LT',
      'Luxemburg'  => 'LU',
      'Macao'  => 'MO',
      'Madagaskar'  => 'MG',
      'Malawi'  => 'MW',
      'Malaysia'  => 'MY',
      'Malediven'  => 'MV',
      'Mali'  => 'ML',
      'Malta'  => 'MT',
      'Marianen'  => 'MP',
      'Marokko'  => 'MA',
      'Marshall Inseln'  => 'MH',
      'Martinique'  => 'MQ',
      'Mauretanien'  => 'MR',
      'Mauritius'  => 'MU',
      'Mayotte'  => 'YT',
      'Mazedonien'  => 'MK',
      'Mexiko'  => 'MX',
      'Mikronesien'  => 'FM',
      'Mocambique'  => 'MZ',
      'Moldavien'  => 'MD',
      'Monaco'  => 'MC',
      'Mongolei'  => 'MN',
      'Montenegro'  => 'ME',
      'Montserrat'  => 'MS',
      'Namibia'  => 'NA',
      'Nauru'  => 'NR',
      'Nepal'  => 'NP',
      'Neukaledonien'  => 'NC',
      'Neuseeland'  => 'NZ',
      'Nicaragua'  => 'NI',
      'Niederlande'  => 'NL',
      'Niederl&auml;ndische Antillen'  => 'AN',
      'Niger'  => 'NE',
      'Nigeria'  => 'NG',
      'Niue'  => 'NU',
      'Nord Korea'  => 'KP',
      'Norfolk Inseln'  => 'NF',
      'Norwegen'  => 'NO',
      'Oman'  => 'OM',
      '&Ouml;sterreich'  => 'AT',
      'Pakistan'  => 'PK',
      'Pal&auml;stina'  => 'PS',
      'Palau'  => 'PW',
      'Panama'  => 'PA',
      'Papua Neuguinea'  => 'PG',
      'Paraguay'  => 'PY',
      'Peru'  => 'PE',
      'Philippinen'  => 'PH',
      'Pitcairn'  => 'PN',
      'Polen'  => 'PL',
      'Portugal'  => 'PT',
      'Puerto Rico'  => 'PR',
      'Qatar'  => 'QA',
      'Reunion'  => 'RE',
      'Ruanda'  => 'RW',
      'Rum&auml;nien'  => 'RO',
      'Ru&szlig;land'  => 'RU',
      'Saint Lucia'  => 'LC',
      'Sambia'  => 'ZM',
      'Samoa'  => 'AS',
      'Samoa'  => 'WS',
      'San Marino'  => 'SM',
      'Sao Tome'  => 'ST',
      'Saudi Arabien'  => 'SA',
      'Schweden'  => 'SE',
      'Schweiz'  => 'CH',
      'Senegal'  => 'SN',
      'Serbien'  => 'RS',
      'Seychellen'  => 'SC',
      'Sierra Leone'  => 'SL',
      'Singapur'  => 'SG',
      'Slowakei -slowakische Republik-'  => 'SK',
      'Slowenien'  => 'SI',
      'Solomon Inseln'  => 'SB',
      'Somalia'  => 'SO',
      'South Georgia, South Sandwich Isl.'  => 'GS',
      'Spanien'  => 'ES',
      'Sri Lanka'  => 'LK',
      'St. Helena'  => 'SH',
      'St. Kitts Nevis Anguilla'  => 'KN',
      'St. Pierre und Miquelon'  => 'PM',
      'St. Vincent'  => 'VC',
      'S&uuml;d Korea'  => 'KR',
      'S&uuml;dafrika'  => 'ZA',
      'Sudan'  => 'SD',
      'Surinam'  => 'SR',
      'Svalbard und Jan Mayen Islands'  => 'SJ',
      'Swasiland'  => 'SZ',
      'Syrien'  => 'SY',
      'Tadschikistan'  => 'TJ',
      'Taiwan'  => 'TW',
      'Tansania'  => 'TZ',
      'Thailand'  => 'TH',
      'Timor'  => 'TP',
      'Togo'  => 'TG',
      'Tokelau'  => 'TK',
      'Tonga'  => 'TO',
      'Trinidad Tobago'  => 'TT',
      'Tschad'  => 'TD',
      'Tschechische Republik'  => 'CZ',
      'Tunesien'  => 'TN',
      'T&uuml;rkei'  => 'TR',
      'Turkmenistan'  => 'TM',
      'Turks und Kaikos Inseln'  => 'TC',
      'Tuvalu'  => 'TV',
      'Uganda'  => 'UG',
      'Ukraine'  => 'UA',
      'Ungarn'  => 'HU',
      'Uruguay'  => 'UY',
      'Usbekistan'  => 'UZ',
      'Vanuatu'  => 'VU',
      'Vatikan'  => 'VA',
      'Venezuela'  => 'VE',
      'Vereinigte Arabische Emirate'  => 'AE',
      'Vereinigte Staaten von Amerika'  => 'US',
      'Vietnam'  => 'VN',
      'Virgin Island (Brit.)'  => 'VG',
      'Virgin Island (USA)'  => 'VI',
      'Wallis et Futuna'  => 'WF',
      'Wei&szlig;ru&szlig;land'  => 'BY',
      'Westsahara'  => 'EH',
      'Zentralafrikanische Republik'  => 'CF',
      'Zimbabwe'  => 'ZW',
      'Zypern'  => 'CY'
        );
  return $laender;
}
  }
}
//ENDE

if(true || !isset($app))
{
  $app = new app_t2();

  $conf = new Config();
  $app->Conf = $conf;
  $app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
  $erp = new erpAPI($app);
  $app->erp = $erp;
  $app->String         = new WawiString();

  $app->Secure = new Secure($app);
  $app->User = new User($app);
  if(!defined('FPDF_FONTPATH'))define('FPDF_FONTPATH',dirname(__FILE__)."/../www/lib/pdf/font/");
}

$pdf = new pdfarchiv_app($app);
$pdf->run();
class pdfarchiv_app
{
  var $app;
  var $folder;
  function __construct(&$app)
  {
    $this->app = $app;
    $this->folder = $this->app->Conf->WFuserdata."/pdfarchiv/".$this->app->Conf->WFdbname;
  }
  
  function run()
  {
    if(!empty($this->app->Conf->WFuserdata))
    {
      if(!file_exists($this->app->Conf->WFuserdata."/pdfarchiv"))@mkdir($this->app->Conf->WFuserdata."/pdfarchiv");
      if(!file_exists($this->folder))@mkdir($this->folder);
    }
    if(!file_exists($this->folder))return false;
    $run = true;
    while($run)
    {
      $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
      $run = $this->run_next();
    }
    $this->app->DB->Update("UPDATE prozessstarter SET mutex = 0 , mutexcounter = 0 WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
    return true;
  }
  
  function run_next()
  {
    $job = $this->app->DB->SelectArr("SELECT * FROM pdfarchiv_jobs WHERE status = 'angelegt' and aktiv = 1 and abbrechen <> 1 ORDER by geaendert_am LIMIT 1");
    if(!$job)return false;
    if($job)
    {
      $job = reset($job);
      $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'gestartet' WHERE id = '".$job['id']."' LIMIT 1");
      $monatvon = (int)$job['monat_von'];
      $monatbis = (int)$job['monat_bis'];
      $jahrvon = (int)$job['jahr_von'];
      $jahrbis = (int)$job['jahr_bis'];
      if($jahrbis < $jahrvon)
      {
        $jahrbis = $jahrvon;
        $monatbis = $monatvon;
      }
      if($jahrbis == $jahrvon && $monatbis < $monatvon)$monatbis = $monatvon;
      $monatvon = ($monatvon < 10?'0':'').$monatvon;
      $monatbis = ($monatbis < 10?'0':'').$monatbis;
      $pdfneu = $job['pdfneu'];
      $generiere_nur_neue = $job['generiere_nur_neue'];
      $tabs = explode(',',$job['tabellen']);
      foreach($tabs as $k => $v)
      {
        $tabelle = strtolower(trim($v));
        if($tabelle)$tabellen[] = $tabelle;
      }
      if(!isset($tabellen))
      {
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Fehler', kommentar = 'Keine Tabellen angegeben' WHERE id = '".$job['id']."' LIMIT 1");
      }
      $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0 WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
      if($pdfneu)
      {
        echo "pdfneu\r\n";
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Archiviere...' WHERE id = '".$job['id']."' LIMIT 1");
        foreach($tabellen as $table)
        {
          $check = $this->app->DB->Query("SELECT t.id,t.projekt FROM $table t LEFT JOIN pdfarchiv p ON p.table_id = t.id AND p.table_name = '$table' WHERE t.belegnr <> '' AND status <> 'angelegt' AND status <> 'angelegta' AND status <> 'a'  
          AND year(t.datum) >= '".$jahrvon."' AND year(t.datum) <= '".$jahrbis."' AND month(t.datum) >= '".$monatvon."' AND month(t.datum) <= '".$monatbis."'
          GROUP BY t.id,t.projekt");
          while($row = $this->app->DB->Fetch_Array($check))
          {
            echo "$table ".$row['id']."\r\n";
            $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
            if($this->app->DB->Select("SELECT abbrechen FROM pdfarchiv_jobs WHERE id = '".$job['id']."'"))
            {
              $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'abgebrochen' WHERE id = '".$job['id']."' LIMIT 1");
              return true;
            }
                    
            if($table == 'rechnung')
            {
              $mahnwesen = $this->app->DB->Select("SELECT mahnwesen FROM rechnung WHERE id='".$row['id']."' LIMIT 1");
              if($mahnwesen)
              {
                if(class_exists('MahnwesenCustom'))
                {
                  $Brief = new MahnwesenCustom($app, $row['projekt']);
                }else{
                  $Brief = new Mahnwesen($app, $row['projekt']);
                }
                $Brief->GetRechnung($row['id'], $mahnwesen);
                $tmpfile = $Brief->displayTMP();
                $Brief->ArchiviereDocument();
              }
            }
            
            //echo $row['id']."\r\n";
            $name = ucfirst($table).'PDFCustom';
            if(!class_exists($name))$name = ucfirst($table).'PDF';
            $nameget = 'Get'.ucfirst($table);
            $Brief = new $name($this->app, $row['projekt']);
            $Brief->$nameget($row['id']);
            $tmpfile = $Brief->displayTMP();
            $Brief->ArchiviereDocument();
          }
        }
      }elseif($generiere_nur_neue)
      {
        echo "nurneue\r\n";
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Archiviere...' WHERE id = '".$job['id']."' LIMIT 1");
        foreach($tabellen as $table)
        {
          $check = $this->app->DB->Query("SELECT t.* FROM $table t LEFT JOIN pdfarchiv p ON p.table_id = t.id AND p.table_name = '$table' WHERE isnull(p.id) AND belegnr <> '' AND status <> 'angelegt' AND status <> 'angelegta' AND status <> 'a' 
          AND year(t.datum) >= '".$jahrvon."' AND year(t.datum) <= '".$jahrbis."' AND month(t.datum) >= '".$monatvon."' AND month(t.datum) <= '".$monatbis."'
          ");
          while($row = $this->app->DB->Fetch_Array($check))
          {
            echo "$table ".$row['id']."\r\n";
            $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
            if($this->app->DB->Select("SELECT abbrechen FROM pdfarchiv_jobs WHERE id = '".$job['id']."'"))
            {
              $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'abgebrochen' WHERE id = '".$job['id']."' LIMIT 1");
              return true;
            }
            //echo $row['id']."\r\n";
            $name = ucfirst($table).'PDFCustom';
            if(!class_exists($name))$name = ucfirst($table).'PDF';
            $nameget = 'Get'.ucfirst($table);
            $Brief = new $name($this->app, $row['projekt']);
           

            $Brief->$nameget($row['id']);
            $tmpfile = $Brief->displayTMP();
            $Brief->ArchiviereDocument();
          }
        }
      }
      $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
      if($this->app->DB->Select("SELECT abbrechen FROM pdfarchiv_jobs WHERE id = '".$job['id']."'"))
      {
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'abgebrochen' WHERE id = '".$job['id']."' LIMIT 1");
        return true;
      }
      $allepdf = $job['allepdf'];
      $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Speichere...' WHERE id = '".$job['id']."' LIMIT 1");
      
      $pfad = $this->folder.'/'.$monatvon.$jahrvon.'-'.$monatbis.$jahrbis;
      $pfad_rel = $monatvon.$jahrvon.'-'.$monatbis.$jahrbis;
      $i = 0;
      while(file_exists($pfad))
      {
        $i++;
        $pfad = $pfad = $this->folder.'/'.$monatvon.$jahrvon.'-'.$monatbis.$jahrbis.'_'.$i;
        $pfad_rel = $monatvon.$jahrvon.'-'.$monatbis.$jahrbis.'_'.$i;
      }
      $zip = false;
      if($job['format'] == 'zip')$zip = true;
      $zip = true;
      if($zip)
      {
        $ziparchiv = new ZipArchive;
        if($ziparchiv->open($pfad.'.zip', ZipArchive::CREATE) !== true)
        {
          $this->app->erp->LogFile($pfad.'.zip '.(file_exists($pfad.'.zip')?'ex':'ex nicht'));
          
          $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Fehler', kommentar = 'Es konnte kein Zip-Archiv erstellt werden' WHERE id = '".$job['id']."' LIMIT 1");
          return false;
        }
      }else{
        
        mkdir($pfad);
      }
      foreach($tabellen as $table)
      {
        if($allepdf)
        {
          echo "allepdf\r\n";
          $sql = "SELECT t.*, p.dateiname, p.belegnummer as pbelegnr FROM $table t LEFT JOIN pdfarchiv p ON p.table_id = t.id AND p.table_name = '$table' WHERE p.dateiname <> '' AND not isnull(p.dateiname) AND  t.belegnr <> ''  AND t.status <> 'angelegt' AND t.status <> 'angelegta' AND t.status <> 'a' 
          AND( year(t.datum) >= '".$jahrvon."' AND year(t.datum) <= '".$jahrbis."' AND month(t.datum) >= '".$monatvon."' AND month(t.datum) <= '".$monatbis."') ORDER BY p.table_id, p.id DESC
          ";
          $check = $this->app->DB->Query($sql);
          //echo $sql."\r\n";
          echo mysqli_error($this->app->DB->connection);
          while($row = $this->app->DB->Fetch_Array($check))
          {
            echo $row['id'];
            $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
            if(file_exists($this->folder.'/'.$table.'/'.$row['dateiname']))
            {
              
              echo " ".$row['dateiname'];
              $belegnr = $row['pbelegnr'];
              if(!$belegnr)$belegnr = $this->app->DB->Select("SELECT belegnr FROM $table WHERE id = '".$table['table_id']."' LIMIT 1");
              if(!$belegnr)$belegnr = $table;
              
              $ziel = $pfad.'/'.$table.'/'.$belegnr.'.pdf';
              $zielzip  = $table.'/'.$belegnr.'.pdf';
              $i = 0;
              while(file_exists($ziel))
              {
                $i++;
                $ziel = $pfad.'/'.$table.'/'.$belegnr.'_'.$i.'.pdf';
                $zielzip  = $table.'/'.$belegnr.'_'.$i.'.pdf';
              }
              if($zip)
              {
                echo "addfile: ".$ziparchiv->addFile($this->folder.'/'.$table.'/'.$row['dateiname'], $zielzip);
                echo "\r\n";
                echo "numfiles: " . $ziparchiv->numFiles . "\n";
                echo "status:" . $ziparchiv->status . "\n";
                echo "status:" . $ziparchiv->getStatusString()."\r\n";
              }else{
                if(!file_exists($pfad.'/'.$table))mkdir($pfad.'/'.$table);
                copy($this->folder.'/'.$table.'/'.$row['dateiname'], $ziel);
              }
            }
            echo "\r\n";
          }
        }else{
          echo "nur neueste\r\n";
          $check = $this->app->DB->Query("SELECT t.*,p.table_id, p.dateiname, p.belegnummer as pbelegnr FROM $table t LEFT JOIN pdfarchiv p ON p.table_id = t.id AND p.table_name = '$table' WHERE p.dateiname <> '' AND t.belegnr <> '' AND t.status <> 'angelegt' AND t.status <> 'angelegta' AND t.status <> 'a' 
          AND( year(t.datum) >= '".$jahrvon."' AND year(t.datum) <= '".$jahrbis."' AND month(t.datum) >= '".$monatvon."' AND month(t.datum) <= '".$monatbis."') ORDER BY p.table_id, p.id DESC
          ");
          echo mysqli_error($this->app->DB->connection);
          $lasttable_id = false;
          while($row = $this->app->DB->Fetch_Array($check))
          {
            echo $row['id'];
            $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
            if($lasttable_id != $row['table_id'])
            {
              $ok = false;
              $lasttable_id = $row['table_id'];
            }
            if(!$ok)
            {
              if(file_exists($this->folder.'/'.$table.'/'.$row['dateiname']))
              {
                echo " ".$row['dateiname'];
                $ok = true;
                $belegnr = $row['pbelegnr'];
                if(!$belegnr)$belegnr = $this->app->DB->Select("SELECT belegnr FROM $table WHERE id = '".$table['table_id']."' LIMIT 1");
                if(!$belegnr)$belegnr = $table;
                
                $ziel = $pfad.'/'.$table.'/'.$belegnr.'.pdf';
                $zielzip  = $table.'/'.$belegnr.'.pdf';
                $i = 0;
                while(file_exists($ziel))
                {
                  $i++;
                  $zielzip  = $table.'/'.$belegnr.'_'.$i.'.pdf';
                  $ziel = $pfad.'/'.$table.'/'.$belegnr.'_'.$i.'.pdf';
                }
                if($zip)
                {
                  $ziparchiv->addFile($this->folder.'/'.$table.'/'.$row['dateiname'], $zielzip);
                  echo "numfiles: " . $ziparchiv->numFiles . "\n";
                  echo "status:" . $ziparchiv->status . "\n";
                  echo "status:" . $ziparchiv->getStatusString()."\r\n";
                }else{
                  if(!file_exists($pfad.'/'.$table))mkdir($pfad.'/'.$table);
                  copy($this->folder.'/'.$table.'/'.$row['dateiname'], $ziel);
                }
              }
            }
            echo "\r\n";
          }
        }
      }
      $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
      
      if($zip)
      {
        if(TRUE !== $ziparchiv->close())
        {
          $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'Fehler', kommentar = 'Fehler beim Speichern des Zip-Archives' WHERE id = '".$job['id']."' LIMIT 1");
          return false;
        }
        $this->app->erp->LogFile($pfad.'.zip '.(file_exists($pfad.'.zip')?'ex':'ex nicht'));
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'abgeschlossen',kommentar = '', datei = '".$pfad_rel.".zip' WHERE id = '".$job['id']."' LIMIT 1");
      }else{
        system("cd ".$this->folder." && tar cfz ".$pfad.".tar.gz $pfad_rel $1>/dev/null");
        $this->app->DB->Update("UPDATE pdfarchiv_jobs SET status = 'abgeschlossen',kommentar = '', datei = '".$pfad_rel.".tar.gz' WHERE id = '".$job['id']."' LIMIT 1");
      }
      
      
      $this->app->DB->Update("UPDATE prozessstarter SET mutex = 1 , mutexcounter = 0, letzteausfuerhung = now() WHERE parameter = 'pdfarchiv_app' AND aktiv = 1");
      //system("rm -R $pfad");
      

      return true;
    }
  }
}


/*
echo "Suche nach nicht archivierten Dokumenten..\r\n";

$dokumente = array('auftrag','angebot','gutschrift','rechnung','bestellung','lieferschein','anfrage');
foreach($dokumente as $table)
{
  
  
  echo $table."\r\n";
  $check = $app->DB->Query("SELECT t.* FROM $table t LEFT JOIN pdfarchiv p ON p.table_id = t.id AND p.table_name = '$table' WHERE isnull(p.id) AND belegnr <> '' AND status <> 'storniert' AND status <> 'angelegt' AND status <> 'angelegta' AND status <> 'a' AND status <> ''");
  while($row = $app->DB->Fetch_Array($check))
  {
    echo $row['id']."\r\n";
    $name = ucfirst($table).'PDF';
    $nameget = 'Get'.ucfirst($table);
    $Brief = new $name($app, $row['projekt']);
   

    $Brief->$nameget($row['id']);
    $tmpfile = $Brief->displayTMP();
    $Brief->ArchiviereDocument();
   
  }
  
}
*/
?>
