<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php


class User 
{
  var $cache;
  function __construct(&$app)
  {
    $this->app = &$app;
  }

  function GetID()
  { 
    if(isset($_COOKIE["CH42SESSION"]) && $_COOKIE["CH42SESSION"]!="")$tmp = $_COOKIE["CH42SESSION"]; else $tmp = session_id();
    if(!$this->cache || !isset($this->cache['time']) || !isset($this->cache['tmp']) || $this->cache['time'] +10 < microtime(true) || $this->cache['tmp'] != $tmp)
    {
      $this->cache = null;
      $user_id = $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");
      if($user_id)
      {
        $this->cache['user_id'] = $user_id;
        $this->cache['tmp'] = $tmp;
        $this->cache['time'] = microtime(true);
      }
      return $user_id;
    }else return $this->cache['user_id'];     
    
    return $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");

    if($this->app->Conf->WFdbType=="postgre")
    {
      $result =  $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login='1'");
      //       AND ip='".$_SERVER[REMOTE_ADDR]."' AND login='1'");

      if(!is_numeric($result)) return 0; 
      return $result;

    } else {
      return $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");
      //        AND ip='".$_SERVER[REMOTE_ADDR]."' AND login='1'");
    }
  }

  function GetType()
  { 
    if($this->GetID()<=0){
      return $this->app->Conf->WFconf['defaultgroup'];
    }
    else {
      if(isset($this->cache['type']))return $this->cache['type'];
      
      if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
      {
        $type = $this->app->DB->Select("SELECT type FROM \"user\" WHERE id='".$this->GetID()."'");
        $this->cache['type'] = $type;
      }
      else {
        $type = $this->app->DB->Select("SELECT type FROM user WHERE id='".$this->GetID()."'");
        $this->cache['type'] = $type;
      }
      if($type=="")
      {
        $type = $this->app->Conf->WFconf['defaultgroup'];
        $this->cache['type'] = $type;
      }

      return $type;
    }
  }
  
  function SettingsToUserKonfiguration($settings = null)
  {
    $id = (int)$this->GetID();
    if(!$id)return;
    if(is_null($settings))$settings = $this->app->DB->Select("SELECT settings FROM user WHERE id='$id' LIMIT 1");
    if($settings)
    {
      $settings = unserialize($settings);
      if($settings)
      {
        foreach($settings as $k => $v)
        {
          $check = $this->app->DB->Select("SELECT `id` FROM `userkonfiguration` WHERE `name` = '".$this->app->DB->real_escape_string($k)."' AND `user` = '$id' LIMIT 1");
          if($check)
          {
            $this->app->DB->Update("UPDATE `userkonfiguration` set `value` = '".$this->app->DB->real_escape_string($v)."' WHERE `id` = '$check' LIMIT 1");
          }else{
            $this->app->DB->Insert("INSERT INTO `userkonfiguration` (`user`,`name`,`value`) VALUES ('$id','".$this->app->DB->real_escape_string($k)."','".$this->app->DB->real_escape_string($v)."')");
          }
        }
        if(!$this->app->DB->error())$this->app->DB->Update("UPDATE `user` SET `settings` = '' WHERE id='$id' LIMIT 1");
      }
    }
  }

  function GetParameter($index)
  {
    $id = $this->GetID();

    if($index!="")
    {
      $settings = $this->app->DB->Select("SELECT settings FROM user WHERE id='$id' LIMIT 1");
      if($settings)$this->SettingsToUserKonfiguration($settings);
      return $this->app->DB->Select("SELECT `value` FROM `userkonfiguration` WHERE `name` = '".$this->app->DB->real_escape_string($index)."' AND `user` = '$id' LIMIT 1");
      if(isset($settings[$index]))
        return $settings[$index];
    } 
  } 

  // value koennen beliebige Datentypen aus php sein (serialisiert) 
  function SetParameter($index,$value)
  {
    $id = $this->GetID();

    if($index!="" && isset($value))
    {
      $settings = $this->app->DB->Select("SELECT settings FROM user WHERE id='$id' LIMIT 1");
      if($settings)$this->SettingsToUserKonfiguration($settings);
      
      $check = $this->app->DB->Select("SELECT `id` FROM `userkonfiguration` WHERE `name` = '".$this->app->DB->real_escape_string($index)."' AND `user` = '$id' LIMIT 1");
      if($check)
      {
        $this->app->DB->Update("UPDATE `userkonfiguration` set `value` = '".$this->app->DB->real_escape_string($value)."' WHERE `id` = '$check' LIMIT 1");
      }else{
        $this->app->DB->Insert("INSERT INTO `userkonfiguration` (`user`,`name`,`value`) VALUES ('$id','".$this->app->DB->real_escape_string($index)."','".$this->app->DB->real_escape_string($value)."')");
      }
      $this->cache = null;
      return;
      
      //$settings = unserialize($settings); 

      $settings[$index] = $value;

      $settings = $this->app->DB->real_escape_string(serialize($settings));
      $this->app->DB->Update("UPDATE user SET settings='$settings' WHERE id='$id' LIMIT 1");
      $this->cache = null;
    }
  }



  function GetUsername()
  {
    if(isset($this->cache['username']))return $this->cache['username'];
    if($this->app->Conf->WFdbType=="postgre")
      $username = $this->app->DB->Select("SELECT username FROM \"user\" WHERE id='".$this->GetID()."'");
    else
      $username = $this->app->DB->Select("SELECT username FROM user WHERE id='".$this->GetID()."'");
    $this->cache['username'] = $username;
    return $username;
  }

  function GetDescription()
  { 
    /*
       if($this->app->Conf->WFdbType=="postgre")
       return $this->app->DB->Select("SELECT description FROM \"user\" WHERE id='".$this->GetID()."'");
       else
       return $this->app->DB->Select("SELECT description FROM user WHERE id='".$this->GetID()."'");
     */
    return $this->GetName();
  }

  function GetMail()
  { 
    return $this->app->DB->Select("SELECT email FROM adresse WHERE id='".$this->GetAdresse()."'");
  }


  function GetName()
  { 
    if(isset($this->cache['name']))return $this->cache['name'];
    $name = $this->app->DB->Select("SELECT name FROM adresse WHERE id='".$this->GetAdresse()."'");
    $this->cache['name'] = $name;
    return $name;
  }

  function GetSprachen()
  {
    $sprachen = $this->app->DB->Select("SELECT sprachen FROM user WHERE id = '".(int)$this->GetId()."' LIMIT 1");
    if($sprachen)
    {
      $sprachena = explode(';',str_replace(',',';',$sprachen));
      foreach($sprachena as $sprache)
      {
        $sprache = trim($sprache);
        if($sprache != '')$ret[] = $sprache;
      }
      if(isset($ret))return $ret;
    }
    return array('german','english');
  }

  function GetSprache()
  {
    $sprachen = $this->GetSprachen();
    return $sprachen[0];
  }


  function GetAdresse()
  {
    if(isset($this->cache['adresse']))return $this->cache['adresse'];
    if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
      $adresse = $this->app->DB->Select("SELECT adresse FROM \"user\" WHERE id='".$this->GetID()."'");
    else
      $adresse = $this->app->DB->Select("SELECT adresse FROM user WHERE id='".$this->GetID()."'");
    $this->cache['adresse'] = $adresse;
    return $adresse;
  }

  function GetProjektleiter()
  { 
    $result = $this->app->DB->SelectArr("SELECT parameter FROM adresse_rolle WHERE subjekt='Projektleiter' AND (bis='0000-00-00' OR bis < NOW()) AND adresse='".$this->app->User->GetAdresse()."'");      	


    if(count($result)>0)
      return true;
    else return false;
  }



  function DefaultProjekt()
  {
    $adresse = $this->GetAdresse();
    $projekt = $this->app->DB->Select("SELECT projekt FROM adresse WHERE id='".$adresse."'");
    if($projekt <=0)
      $projekt = $this->app->DB->Select("SELECT standardprojekt FROM firma WHERE id='".$this->app->User->GetFirma()."' LIMIT 1");

    return $projekt;
  }

  function GetEmail()
  { 
    $adresse = $this->GetAdresse();
    return $this->app->DB->Select("SELECT email FROM adresse WHERE id='".$adresse."'");
  }


  function GetFirma()
  { 
    //return $this->app->DB->Select("SELECT firma FROM adresse WHERE id='".$this->GetAdresse()."'");
    return 1;
  }


  function GetFirmaName()
  {
    if(isset($this->cache['firmaname']))return $this->cache['firmaname'];
    $name = $this->app->DB->Select("SELECT name FROM firma WHERE id='".$this->GetFirma()."'");
    $this->cache['firmaname'] = $name;
    return $name;
  }


  function GetField($field)
  { 
    return $this->app->DB->Select("SELECT $field FROM user WHERE id='".$this->GetID()."'");
  }


}
?>
