<?php 
class Versanddienstleister {
  public $id;
  public $app;
  
  public function Einstellungen($target = 'return')
  {
    if(!$this->id)return;
    $id = $this->id;
    $struktur = $this->EinstellungenStruktur();
    if($this->app->Secure->GetPOST('speichern'))
    {
      foreach($struktur as $name => $val)
      {
        $json[$name] = $this->app->Secure->GetPOST($name, '','', 1);
      }
      $json_str = $this->app->DB->real_escape_string(json_encode($json));
      $this->app->DB->Update("UPDATE versandarten SET einstellungen_json = '$json_str' WHERE id = '".$this->id."' LIMIT 1");
    }
    $id = $this->id;
    $html = '';
   
    $json = $this->app->DB->Select("SELECT einstellungen_json FROM versandarten WHERE id = '$id' LIMIT 1");
    if($json)$json = json_decode($json, true);
    foreach($struktur as $name => $val)
    {
      $html .= '<tr><td>'.(empty($val['bezeichnung'])?$name:$val['bezeichnung']).'</td><td>';
      $typ = 'text';
      if(!empty($val['typ']))$typ = $val['typ'];
      switch($typ)
      {
        case 'textarea':
          $html .= '<textarea name="'.$name.'" id="'.$name.'">'.(!isset($json[$name])?'':$json[$name]).'</textarea>';
        break;
        case 'checkbox':
          $html .= '<input type="checkbox" name="'.$name.'" id="'.$name.'" value="1" '.((isset($json[$name]) && $json[$name])?' checked="checked" ':'').' />';
        break;
        case 'select':
          $html .= '<select name="'.$name.'">';
          if(isset($val['optionen']) && is_array($val['optionen']))
          {
            foreach($val['optionen'] as $k => $v)
            {
              $html .= '<option value="'.$k.'"'.($k == (isset($json[$name])?$json[$name]:'')?' selected="selected" ':'').'>'.$v.'</option>';
            }
          }
          $html .= '</select>';
        break;
        case 'submit':
          if(isset($val['text']))$html .= '<form method="POST"><input type="submit" name="'.$name.'" value="'.$val['text'].'"></form>';
        break;
        case 'custom':
          if(isset($val['function']))
          {
            $tmpfunction = $val['function'];
            if(method_exists($this, $tmpfunction))$html .= $this->$tmpfunction();
          }
        break;
        default:
          $html .= '<input type="text" name="'.$name.'" id="'.$name.'" value="'.(!isset($json[$name])?'':$json[$name]).'" />';
        break;
      }
      if(isset($val['info']) && $val['info'])$html .= ' <i>'.$val['info'].'</i>';
      
      $html .= '</td></tr>';
    }
    
    if($target == 'return')return $html;
    $this->app->Tpl->Add($target, $html);
  }

  
}
