<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php

class ObjGenRechnung_Position
{

  private  $id;
  private  $rechnung;
  private  $artikel;
  private  $projekt;
  private  $bezeichnung;
  private  $beschreibung;
  private  $internerkommentar;
  private  $nummer;
  private  $menge;
  private  $preis;
  private  $waehrung;
  private  $lieferdatum;
  private  $vpe;
  private  $sort;
  private  $status;
  private  $umsatzsteuer;
  private  $bemerkung;
  private  $logdatei;
  private  $explodiert_parent_artikel;
  private  $punkte;
  private  $bonuspunkte;
  private  $mlmdirektpraemie;
  private  $mlm_abgerechnet;
  private  $keinrabatterlaubt;
  private  $grundrabatt;
  private  $rabattsync;
  private  $rabatt1;
  private  $rabatt2;
  private  $rabatt3;
  private  $rabatt4;
  private  $rabatt5;
  private  $einheit;
  private  $rabatt;
  private  $zolltarifnummer;
  private  $herkunftsland;
  private  $artikelnummerkunde;
  private  $lieferdatumkw;
  private  $auftrag_position_id;
  private  $teilprojekt;
  private  $freifeld1;
  private  $freifeld2;
  private  $freifeld3;
  private  $freifeld4;
  private  $freifeld5;
  private  $freifeld6;
  private  $freifeld7;
  private  $freifeld8;
  private  $freifeld9;
  private  $freifeld10;
  private  $steuersatz;
  private  $steuertext;
  private  $erloese;
  private  $einkaufspreiswaehrung;
  private  $einkaufspreis;
  private  $einkaufspreisurspruenglich;
  private  $einkaufspreisid;
  private  $ekwaehrung;
  private  $deckungsbeitrag;
  private  $freifeld11;
  private  $freifeld12;
  private  $freifeld13;
  private  $freifeld14;
  private  $freifeld15;
  private  $freifeld16;
  private  $freifeld17;
  private  $freifeld18;
  private  $freifeld19;
  private  $freifeld20;

  public $app;            //application object 

  public function ObjGenRechnung_Position($app)
  {
    $this->app = $app;
  }

  public function Select($id)
  {
    if(is_numeric($id))
      $result = $this->app->DB->SelectArr("SELECT * FROM rechnung_position WHERE (id = '$id')");
    else
      return -1;

$result = $result[0];

    $this->id=$result['id'];
    $this->rechnung=$result['rechnung'];
    $this->artikel=$result['artikel'];
    $this->projekt=$result['projekt'];
    $this->bezeichnung=$result['bezeichnung'];
    $this->beschreibung=$result['beschreibung'];
    $this->internerkommentar=$result['internerkommentar'];
    $this->nummer=$result['nummer'];
    $this->menge=$result['menge'];
    $this->preis=$result['preis'];
    $this->waehrung=$result['waehrung'];
    $this->lieferdatum=$result['lieferdatum'];
    $this->vpe=$result['vpe'];
    $this->sort=$result['sort'];
    $this->status=$result['status'];
    $this->umsatzsteuer=$result['umsatzsteuer'];
    $this->bemerkung=$result['bemerkung'];
    $this->logdatei=$result['logdatei'];
    $this->explodiert_parent_artikel=$result['explodiert_parent_artikel'];
    $this->punkte=$result['punkte'];
    $this->bonuspunkte=$result['bonuspunkte'];
    $this->mlmdirektpraemie=$result['mlmdirektpraemie'];
    $this->mlm_abgerechnet=$result['mlm_abgerechnet'];
    $this->keinrabatterlaubt=$result['keinrabatterlaubt'];
    $this->grundrabatt=$result['grundrabatt'];
    $this->rabattsync=$result['rabattsync'];
    $this->rabatt1=$result['rabatt1'];
    $this->rabatt2=$result['rabatt2'];
    $this->rabatt3=$result['rabatt3'];
    $this->rabatt4=$result['rabatt4'];
    $this->rabatt5=$result['rabatt5'];
    $this->einheit=$result['einheit'];
    $this->rabatt=$result['rabatt'];
    $this->zolltarifnummer=$result['zolltarifnummer'];
    $this->herkunftsland=$result['herkunftsland'];
    $this->artikelnummerkunde=$result['artikelnummerkunde'];
    $this->lieferdatumkw=$result['lieferdatumkw'];
    $this->auftrag_position_id=$result['auftrag_position_id'];
    $this->teilprojekt=$result['teilprojekt'];
    $this->freifeld1=$result['freifeld1'];
    $this->freifeld2=$result['freifeld2'];
    $this->freifeld3=$result['freifeld3'];
    $this->freifeld4=$result['freifeld4'];
    $this->freifeld5=$result['freifeld5'];
    $this->freifeld6=$result['freifeld6'];
    $this->freifeld7=$result['freifeld7'];
    $this->freifeld8=$result['freifeld8'];
    $this->freifeld9=$result['freifeld9'];
    $this->freifeld10=$result['freifeld10'];
    $this->steuersatz=$result['steuersatz'];
    $this->steuertext=$result['steuertext'];
    $this->erloese=$result['erloese'];
    $this->einkaufspreiswaehrung=$result['einkaufspreiswaehrung'];
    $this->einkaufspreis=$result['einkaufspreis'];
    $this->einkaufspreisurspruenglich=$result['einkaufspreisurspruenglich'];
    $this->einkaufspreisid=$result['einkaufspreisid'];
    $this->ekwaehrung=$result['ekwaehrung'];
    $this->deckungsbeitrag=$result['deckungsbeitrag'];
    $this->freifeld11=$result['freifeld11'];
    $this->freifeld12=$result['freifeld12'];
    $this->freifeld13=$result['freifeld13'];
    $this->freifeld14=$result['freifeld14'];
    $this->freifeld15=$result['freifeld15'];
    $this->freifeld16=$result['freifeld16'];
    $this->freifeld17=$result['freifeld17'];
    $this->freifeld18=$result['freifeld18'];
    $this->freifeld19=$result['freifeld19'];
    $this->freifeld20=$result['freifeld20'];
  }

  public function Create()
  {
    $sql = "INSERT INTO rechnung_position (id,rechnung,artikel,projekt,bezeichnung,beschreibung,internerkommentar,nummer,menge,preis,waehrung,lieferdatum,vpe,sort,status,umsatzsteuer,bemerkung,logdatei,explodiert_parent_artikel,punkte,bonuspunkte,mlmdirektpraemie,mlm_abgerechnet,keinrabatterlaubt,grundrabatt,rabattsync,rabatt1,rabatt2,rabatt3,rabatt4,rabatt5,einheit,rabatt,zolltarifnummer,herkunftsland,artikelnummerkunde,lieferdatumkw,auftrag_position_id,teilprojekt,freifeld1,freifeld2,freifeld3,freifeld4,freifeld5,freifeld6,freifeld7,freifeld8,freifeld9,freifeld10,steuersatz,steuertext,erloese,einkaufspreiswaehrung,einkaufspreis,einkaufspreisurspruenglich,einkaufspreisid,ekwaehrung,deckungsbeitrag,freifeld11,freifeld12,freifeld13,freifeld14,freifeld15,freifeld16,freifeld17,freifeld18,freifeld19,freifeld20)
      VALUES('','{$this->rechnung}','{$this->artikel}','{$this->projekt}','{$this->bezeichnung}','{$this->beschreibung}','{$this->internerkommentar}','{$this->nummer}','{$this->menge}','{$this->preis}','{$this->waehrung}','{$this->lieferdatum}','{$this->vpe}','{$this->sort}','{$this->status}','{$this->umsatzsteuer}','{$this->bemerkung}','{$this->logdatei}','{$this->explodiert_parent_artikel}','{$this->punkte}','{$this->bonuspunkte}','{$this->mlmdirektpraemie}','{$this->mlm_abgerechnet}','{$this->keinrabatterlaubt}','{$this->grundrabatt}','{$this->rabattsync}','{$this->rabatt1}','{$this->rabatt2}','{$this->rabatt3}','{$this->rabatt4}','{$this->rabatt5}','{$this->einheit}','{$this->rabatt}','{$this->zolltarifnummer}','{$this->herkunftsland}','{$this->artikelnummerkunde}','{$this->lieferdatumkw}','{$this->auftrag_position_id}','{$this->teilprojekt}','{$this->freifeld1}','{$this->freifeld2}','{$this->freifeld3}','{$this->freifeld4}','{$this->freifeld5}','{$this->freifeld6}','{$this->freifeld7}','{$this->freifeld8}','{$this->freifeld9}','{$this->freifeld10}','{$this->steuersatz}','{$this->steuertext}','{$this->erloese}','{$this->einkaufspreiswaehrung}','{$this->einkaufspreis}','{$this->einkaufspreisurspruenglich}','{$this->einkaufspreisid}','{$this->ekwaehrung}','{$this->deckungsbeitrag}','{$this->freifeld11}','{$this->freifeld12}','{$this->freifeld13}','{$this->freifeld14}','{$this->freifeld15}','{$this->freifeld16}','{$this->freifeld17}','{$this->freifeld18}','{$this->freifeld19}','{$this->freifeld20}')"; 

    $this->app->DB->Insert($sql);
    $this->id = $this->app->DB->GetInsertID();
  }

  public function Update()
  {
    if(!is_numeric($this->id))
      return -1;

    $sql = "UPDATE rechnung_position SET
      rechnung='{$this->rechnung}',
      artikel='{$this->artikel}',
      projekt='{$this->projekt}',
      bezeichnung='{$this->bezeichnung}',
      beschreibung='{$this->beschreibung}',
      internerkommentar='{$this->internerkommentar}',
      nummer='{$this->nummer}',
      menge='{$this->menge}',
      preis='{$this->preis}',
      waehrung='{$this->waehrung}',
      lieferdatum='{$this->lieferdatum}',
      vpe='{$this->vpe}',
      sort='{$this->sort}',
      status='{$this->status}',
      umsatzsteuer='{$this->umsatzsteuer}',
      bemerkung='{$this->bemerkung}',
      logdatei='{$this->logdatei}',
      explodiert_parent_artikel='{$this->explodiert_parent_artikel}',
      punkte='{$this->punkte}',
      bonuspunkte='{$this->bonuspunkte}',
      mlmdirektpraemie='{$this->mlmdirektpraemie}',
      mlm_abgerechnet='{$this->mlm_abgerechnet}',
      keinrabatterlaubt='{$this->keinrabatterlaubt}',
      grundrabatt='{$this->grundrabatt}',
      rabattsync='{$this->rabattsync}',
      rabatt1='{$this->rabatt1}',
      rabatt2='{$this->rabatt2}',
      rabatt3='{$this->rabatt3}',
      rabatt4='{$this->rabatt4}',
      rabatt5='{$this->rabatt5}',
      einheit='{$this->einheit}',
      rabatt='{$this->rabatt}',
      zolltarifnummer='{$this->zolltarifnummer}',
      herkunftsland='{$this->herkunftsland}',
      artikelnummerkunde='{$this->artikelnummerkunde}',
      lieferdatumkw='{$this->lieferdatumkw}',
      auftrag_position_id='{$this->auftrag_position_id}',
      teilprojekt='{$this->teilprojekt}',
      freifeld1='{$this->freifeld1}',
      freifeld2='{$this->freifeld2}',
      freifeld3='{$this->freifeld3}',
      freifeld4='{$this->freifeld4}',
      freifeld5='{$this->freifeld5}',
      freifeld6='{$this->freifeld6}',
      freifeld7='{$this->freifeld7}',
      freifeld8='{$this->freifeld8}',
      freifeld9='{$this->freifeld9}',
      freifeld10='{$this->freifeld10}',
      steuersatz='{$this->steuersatz}',
      steuertext='{$this->steuertext}',
      erloese='{$this->erloese}',
      einkaufspreiswaehrung='{$this->einkaufspreiswaehrung}',
      einkaufspreis='{$this->einkaufspreis}',
      einkaufspreisurspruenglich='{$this->einkaufspreisurspruenglich}',
      einkaufspreisid='{$this->einkaufspreisid}',
      ekwaehrung='{$this->ekwaehrung}',
      deckungsbeitrag='{$this->deckungsbeitrag}',
      freifeld11='{$this->freifeld11}',
      freifeld12='{$this->freifeld12}',
      freifeld13='{$this->freifeld13}',
      freifeld14='{$this->freifeld14}',
      freifeld15='{$this->freifeld15}',
      freifeld16='{$this->freifeld16}',
      freifeld17='{$this->freifeld17}',
      freifeld18='{$this->freifeld18}',
      freifeld19='{$this->freifeld19}',
      freifeld20='{$this->freifeld20}'
      WHERE (id='{$this->id}')";

    $this->app->DB->Update($sql);
  }

  public function Delete($id="")
  {
    if(is_numeric($id))
    {
      $this->id=$id;
    }
    else
      return -1;

    $sql = "DELETE FROM rechnung_position WHERE (id='{$this->id}')";
    $this->app->DB->Delete($sql);

    $this->id="";
    $this->rechnung="";
    $this->artikel="";
    $this->projekt="";
    $this->bezeichnung="";
    $this->beschreibung="";
    $this->internerkommentar="";
    $this->nummer="";
    $this->menge="";
    $this->preis="";
    $this->waehrung="";
    $this->lieferdatum="";
    $this->vpe="";
    $this->sort="";
    $this->status="";
    $this->umsatzsteuer="";
    $this->bemerkung="";
    $this->logdatei="";
    $this->explodiert_parent_artikel="";
    $this->punkte="";
    $this->bonuspunkte="";
    $this->mlmdirektpraemie="";
    $this->mlm_abgerechnet="";
    $this->keinrabatterlaubt="";
    $this->grundrabatt="";
    $this->rabattsync="";
    $this->rabatt1="";
    $this->rabatt2="";
    $this->rabatt3="";
    $this->rabatt4="";
    $this->rabatt5="";
    $this->einheit="";
    $this->rabatt="";
    $this->zolltarifnummer="";
    $this->herkunftsland="";
    $this->artikelnummerkunde="";
    $this->lieferdatumkw="";
    $this->auftrag_position_id="";
    $this->teilprojekt="";
    $this->freifeld1="";
    $this->freifeld2="";
    $this->freifeld3="";
    $this->freifeld4="";
    $this->freifeld5="";
    $this->freifeld6="";
    $this->freifeld7="";
    $this->freifeld8="";
    $this->freifeld9="";
    $this->freifeld10="";
    $this->steuersatz="";
    $this->steuertext="";
    $this->erloese="";
    $this->einkaufspreiswaehrung="";
    $this->einkaufspreis="";
    $this->einkaufspreisurspruenglich="";
    $this->einkaufspreisid="";
    $this->ekwaehrung="";
    $this->deckungsbeitrag="";
    $this->freifeld11="";
    $this->freifeld12="";
    $this->freifeld13="";
    $this->freifeld14="";
    $this->freifeld15="";
    $this->freifeld16="";
    $this->freifeld17="";
    $this->freifeld18="";
    $this->freifeld19="";
    $this->freifeld20="";
  }

  public function Copy()
  {
    $this->id = "";
    $this->Create();
  }

 /** 
   Mit dieser Funktion kann man einen Datensatz suchen 
   dafuer muss man die Attribute setzen nach denen gesucht werden soll
   dann kriegt man als ergebnis den ersten Datensatz der auf die Suche uebereinstimmt
   zurueck. Mit Next() kann man sich alle weiteren Ergebnisse abholen
   **/ 

  public function Find()
  {
    //TODO Suche mit den werten machen
  }

  public function FindNext()
  {
    //TODO Suche mit den alten werten fortsetzen machen
  }

 /** Funktionen um durch die Tabelle iterieren zu koennen */ 

  public function Next()
  {
    //TODO: SQL Statement passt nach meiner Meinung nach noch nicht immer
  }

  public function First()
  {
    //TODO: SQL Statement passt nach meiner Meinung nach noch nicht immer
  }

 /** dank dieser funktionen kann man die tatsaechlichen werte einfach 
  ueberladen (in einem Objekt das mit seiner klasse ueber dieser steht)**/ 

  function SetId($value) { $this->id=$value; }
  function GetId() { return $this->id; }
  function SetRechnung($value) { $this->rechnung=$value; }
  function GetRechnung() { return $this->rechnung; }
  function SetArtikel($value) { $this->artikel=$value; }
  function GetArtikel() { return $this->artikel; }
  function SetProjekt($value) { $this->projekt=$value; }
  function GetProjekt() { return $this->projekt; }
  function SetBezeichnung($value) { $this->bezeichnung=$value; }
  function GetBezeichnung() { return $this->bezeichnung; }
  function SetBeschreibung($value) { $this->beschreibung=$value; }
  function GetBeschreibung() { return $this->beschreibung; }
  function SetInternerkommentar($value) { $this->internerkommentar=$value; }
  function GetInternerkommentar() { return $this->internerkommentar; }
  function SetNummer($value) { $this->nummer=$value; }
  function GetNummer() { return $this->nummer; }
  function SetMenge($value) { $this->menge=$value; }
  function GetMenge() { return $this->menge; }
  function SetPreis($value) { $this->preis=$value; }
  function GetPreis() { return $this->preis; }
  function SetWaehrung($value) { $this->waehrung=$value; }
  function GetWaehrung() { return $this->waehrung; }
  function SetLieferdatum($value) { $this->lieferdatum=$value; }
  function GetLieferdatum() { return $this->lieferdatum; }
  function SetVpe($value) { $this->vpe=$value; }
  function GetVpe() { return $this->vpe; }
  function SetSort($value) { $this->sort=$value; }
  function GetSort() { return $this->sort; }
  function SetStatus($value) { $this->status=$value; }
  function GetStatus() { return $this->status; }
  function SetUmsatzsteuer($value) { $this->umsatzsteuer=$value; }
  function GetUmsatzsteuer() { return $this->umsatzsteuer; }
  function SetBemerkung($value) { $this->bemerkung=$value; }
  function GetBemerkung() { return $this->bemerkung; }
  function SetLogdatei($value) { $this->logdatei=$value; }
  function GetLogdatei() { return $this->logdatei; }
  function SetExplodiert_Parent_Artikel($value) { $this->explodiert_parent_artikel=$value; }
  function GetExplodiert_Parent_Artikel() { return $this->explodiert_parent_artikel; }
  function SetPunkte($value) { $this->punkte=$value; }
  function GetPunkte() { return $this->punkte; }
  function SetBonuspunkte($value) { $this->bonuspunkte=$value; }
  function GetBonuspunkte() { return $this->bonuspunkte; }
  function SetMlmdirektpraemie($value) { $this->mlmdirektpraemie=$value; }
  function GetMlmdirektpraemie() { return $this->mlmdirektpraemie; }
  function SetMlm_Abgerechnet($value) { $this->mlm_abgerechnet=$value; }
  function GetMlm_Abgerechnet() { return $this->mlm_abgerechnet; }
  function SetKeinrabatterlaubt($value) { $this->keinrabatterlaubt=$value; }
  function GetKeinrabatterlaubt() { return $this->keinrabatterlaubt; }
  function SetGrundrabatt($value) { $this->grundrabatt=$value; }
  function GetGrundrabatt() { return $this->grundrabatt; }
  function SetRabattsync($value) { $this->rabattsync=$value; }
  function GetRabattsync() { return $this->rabattsync; }
  function SetRabatt1($value) { $this->rabatt1=$value; }
  function GetRabatt1() { return $this->rabatt1; }
  function SetRabatt2($value) { $this->rabatt2=$value; }
  function GetRabatt2() { return $this->rabatt2; }
  function SetRabatt3($value) { $this->rabatt3=$value; }
  function GetRabatt3() { return $this->rabatt3; }
  function SetRabatt4($value) { $this->rabatt4=$value; }
  function GetRabatt4() { return $this->rabatt4; }
  function SetRabatt5($value) { $this->rabatt5=$value; }
  function GetRabatt5() { return $this->rabatt5; }
  function SetEinheit($value) { $this->einheit=$value; }
  function GetEinheit() { return $this->einheit; }
  function SetRabatt($value) { $this->rabatt=$value; }
  function GetRabatt() { return $this->rabatt; }
  function SetZolltarifnummer($value) { $this->zolltarifnummer=$value; }
  function GetZolltarifnummer() { return $this->zolltarifnummer; }
  function SetHerkunftsland($value) { $this->herkunftsland=$value; }
  function GetHerkunftsland() { return $this->herkunftsland; }
  function SetArtikelnummerkunde($value) { $this->artikelnummerkunde=$value; }
  function GetArtikelnummerkunde() { return $this->artikelnummerkunde; }
  function SetLieferdatumkw($value) { $this->lieferdatumkw=$value; }
  function GetLieferdatumkw() { return $this->lieferdatumkw; }
  function SetAuftrag_Position_Id($value) { $this->auftrag_position_id=$value; }
  function GetAuftrag_Position_Id() { return $this->auftrag_position_id; }
  function SetTeilprojekt($value) { $this->teilprojekt=$value; }
  function GetTeilprojekt() { return $this->teilprojekt; }
  function SetFreifeld1($value) { $this->freifeld1=$value; }
  function GetFreifeld1() { return $this->freifeld1; }
  function SetFreifeld2($value) { $this->freifeld2=$value; }
  function GetFreifeld2() { return $this->freifeld2; }
  function SetFreifeld3($value) { $this->freifeld3=$value; }
  function GetFreifeld3() { return $this->freifeld3; }
  function SetFreifeld4($value) { $this->freifeld4=$value; }
  function GetFreifeld4() { return $this->freifeld4; }
  function SetFreifeld5($value) { $this->freifeld5=$value; }
  function GetFreifeld5() { return $this->freifeld5; }
  function SetFreifeld6($value) { $this->freifeld6=$value; }
  function GetFreifeld6() { return $this->freifeld6; }
  function SetFreifeld7($value) { $this->freifeld7=$value; }
  function GetFreifeld7() { return $this->freifeld7; }
  function SetFreifeld8($value) { $this->freifeld8=$value; }
  function GetFreifeld8() { return $this->freifeld8; }
  function SetFreifeld9($value) { $this->freifeld9=$value; }
  function GetFreifeld9() { return $this->freifeld9; }
  function SetFreifeld10($value) { $this->freifeld10=$value; }
  function GetFreifeld10() { return $this->freifeld10; }
  function SetSteuersatz($value) { $this->steuersatz=$value; }
  function GetSteuersatz() { return $this->steuersatz; }
  function SetSteuertext($value) { $this->steuertext=$value; }
  function GetSteuertext() { return $this->steuertext; }
  function SetErloese($value) { $this->erloese=$value; }
  function GetErloese() { return $this->erloese; }
  function SetEinkaufspreiswaehrung($value) { $this->einkaufspreiswaehrung=$value; }
  function GetEinkaufspreiswaehrung() { return $this->einkaufspreiswaehrung; }
  function SetEinkaufspreis($value) { $this->einkaufspreis=$value; }
  function GetEinkaufspreis() { return $this->einkaufspreis; }
  function SetEinkaufspreisurspruenglich($value) { $this->einkaufspreisurspruenglich=$value; }
  function GetEinkaufspreisurspruenglich() { return $this->einkaufspreisurspruenglich; }
  function SetEinkaufspreisid($value) { $this->einkaufspreisid=$value; }
  function GetEinkaufspreisid() { return $this->einkaufspreisid; }
  function SetEkwaehrung($value) { $this->ekwaehrung=$value; }
  function GetEkwaehrung() { return $this->ekwaehrung; }
  function SetDeckungsbeitrag($value) { $this->deckungsbeitrag=$value; }
  function GetDeckungsbeitrag() { return $this->deckungsbeitrag; }
  function SetFreifeld11($value) { $this->freifeld11=$value; }
  function GetFreifeld11() { return $this->freifeld11; }
  function SetFreifeld12($value) { $this->freifeld12=$value; }
  function GetFreifeld12() { return $this->freifeld12; }
  function SetFreifeld13($value) { $this->freifeld13=$value; }
  function GetFreifeld13() { return $this->freifeld13; }
  function SetFreifeld14($value) { $this->freifeld14=$value; }
  function GetFreifeld14() { return $this->freifeld14; }
  function SetFreifeld15($value) { $this->freifeld15=$value; }
  function GetFreifeld15() { return $this->freifeld15; }
  function SetFreifeld16($value) { $this->freifeld16=$value; }
  function GetFreifeld16() { return $this->freifeld16; }
  function SetFreifeld17($value) { $this->freifeld17=$value; }
  function GetFreifeld17() { return $this->freifeld17; }
  function SetFreifeld18($value) { $this->freifeld18=$value; }
  function GetFreifeld18() { return $this->freifeld18; }
  function SetFreifeld19($value) { $this->freifeld19=$value; }
  function GetFreifeld19() { return $this->freifeld19; }
  function SetFreifeld20($value) { $this->freifeld20=$value; }
  function GetFreifeld20() { return $this->freifeld20; }

}

?>