<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php 

class GenApi_Account { 

  function __construct(&$app) { 

    $this->app=&$app;
    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("create","Api_AccountCreate");
    $this->app->ActionHandler("edit","Api_AccountEdit");
    $this->app->ActionHandler("copy","Api_AccountCopy");
    $this->app->ActionHandler("list","Api_AccountList");
    $this->app->ActionHandler("delete","Api_AccountDelete");

    $this->app->Tpl->Set("HEADING","Api_Account");    //$this->app->ActionHandlerListen($app);
  }

  function Api_AccountCreate(){
    $this->app->Tpl->Set("HEADING","Api_Account (Anlegen)");
      $this->app->PageBuilder->CreateGen("api_account_create.tpl");
  }

  function Api_AccountEdit(){
    $this->app->Tpl->Set("HEADING","Api_Account (Bearbeiten)");
      $this->app->PageBuilder->CreateGen("api_account_edit.tpl");
  }

  function Api_AccountCopy(){
    $this->app->Tpl->Set("HEADING","Api_Account (Kopieren)");
      $this->app->PageBuilder->CreateGen("api_account_copy.tpl");
  }

  function Api_AccountDelete(){
    $this->app->Tpl->Set("HEADING","Api_Account (L&ouml;schen)");
      $this->app->PageBuilder->CreateGen("api_account_delete.tpl");
  }

  function Api_AccountList(){
    $this->app->Tpl->Set("HEADING","Api_Account (&Uuml;bersicht)");
      $this->app->PageBuilder->CreateGen("api_account_list.tpl");
  }

} 
?>