<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
include_once("_gen/api_account.php");
class Api_account extends GenApi_Account 
{
  
  static function TableSearch(&$app, $name, $erlaubtevars)
  {
    switch($name)
    {
      case "api_account_list":
        $allowed['api_account'] = array('list');
        $heading = array('Bezeichnung','Aktiv','Men&uuml;');
        $width = array('89%','10%','1%');
        $findcols = array('bezeichnung','aktiv','id');
        $searchsql = array('bezeichnung');
        $defaultorder = 1; //Optional wenn andere Reihenfolge gewuenscht
        $defaultorderdesc = 1;
        $menucol = 3;
        $menu = "<table cellpadding=0 cellspacing=0><tr><td nowrap><a href=\"index.php?module=api_account&action=edit&id=%value%\"><img src=\"themes/{$app->Conf->WFconf['defaulttheme']}/images/edit.png\" border=\"0\"></a></td></tr></table>";

        $sql = "SELECT  SQL_CALC_FOUND_ROWS aa.id, bezeichnung,if(aktiv = 1, 'ja','nein') as aktiv ,aa.id
        FROM api_account aa
        ";
        $count = "SELECT count(*) 
        FROM api_account";
            
      break;

    }
    
    $erg = false;    
    foreach($erlaubtevars as $k => $v)
    {
      if(isset($$v))$erg[$v] = $$v;
    }
    return $erg; 
  }
  
  function __construct(&$app)
  {
    $this->app=&$app;
    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("create","Api_AccountCreate");
    $this->app->ActionHandler("edit","Api_AccountEdit");
    $this->app->ActionHandler("copy","Api_AccountCopy");
    $this->app->ActionHandler("list","Api_AccountList");
    $this->app->ActionHandler("delete","Api_AccountDelete");

    $this->app->Tpl->Set("HEADING","Api_Account"); 

    $this->app->DefaultActionHandler("list");
    $this->app->ActionHandlerListen($app);
  }
  
  function Api_AccountCreate(){
    parent::Api_AccountCreate();
  }

  function Api_AccountEdit(){
    $id = (int)$this->app->Secure->GetGET('id');
    $this->app->erp->MenuEintrag("index.php?module=api_account&action=list","zur&uuml;ck zur &Uuml;bersicht");
    $this->app->erp->MenuEintrag("index.php?module=api_account&action=edit&id=".$id,"&Uuml;bersicht");

    parent::Api_AccountEdit();

  }

  function Api_AccountCopy(){
    parent::Api_AccountCopy();
  }

  function Api_AccountDelete(){
    parent::Api_AccountDelete();
  }

  function Api_AccountList(){
    $this->app->YUI->TableSearch('TAB1','api_account_list', "show","","",basename(__FILE__), __CLASS__);
    $this->app->Tpl->Parse('PAGE','tabview.tpl');
    $this->app->erp->MenuEintrag("index.php?module=api_account&action=create","Neu");
    $this->app->erp->MenuEintrag("index.php?module=api_account&action=list","&Uuml;bersicht");
    
  }
}
?>