<?php
@date_default_timezone_set("Europe/Berlin");
@ini_set('default_charset', 'UTF-8');

@ini_set('display_errors', 'off');
@error_reporting(0);
@ini_set("magic_quotes_runtime", 0);
@ignore_user_abort(true);
class erpAPI_Update
{
  function __construct(&$app)
  {
    $this->app=&$app;
  }
  
  function Branch()
  {
    return '';
    include("../version.php");

    switch($version)
    {
      case "OSS": return "Open-Source"; break;
      case "PRO": return "Professional"; break;
      case "ENT": return "Enterprise"; break;
      case "PRE": return "Premium"; break;
      case "STOCK": return "Stock"; break;
      default: return "Unknown";
    }
  }

  function Version()
  {
    return '';
    include("../version.php");

    //$version = split('_',$version);

    return $version;
  }


  function RevisionPlain()
  {
    return '';
    include("../version.php");
    return $version_revision;
  }


  function Revision()
  {
    return '';
    include("../version.php");
    return $version_revision;
  }
  function Startseite()
  {
    if($this->app->User->GetID()!="")
    {
      header("Location: update.php\r\n");
      exit;
    }
  }
  
  function calledOnceAfterLogin()
  {
    
    
  }
  
  function Firmendaten($value)
  {
    $id = $this->app->DB->Select("SELECT max(id) FROM firmendaten");
    if($id)
    {
      return $this->app->DB->SelecT("SELECT $value FROM firmendaten WHERE id = '$id' LIMIT 1");
    }
    return '';
    
  }
  
  
  function ClearDataBeforeOutput($text)
  {
    $text = str_replace('form action=""','form action="#"',$text);
    $text = str_replace('NONBLOCKINGZERO','',$text);
    $text = str_replace("&apos;","'",$text);
    return $text;
  }
  
  function convertToHtml($str) {
    //                  $str = utf8_decode($str);
    //              $trans_tbl = get_html_translation_table (HTML_ENTITIES,ENT_HTML5);
    if (version_compare(PHP_VERSION, '5.3.4') >= 0) {
      $trans_tbl = array_flip(get_html_translation_table(HTML_ENTITIES, ENT_COMPAT, 'UTF-8'));
    } else {
      $trans_tbl = array_flip(get_html_translation_table(HTML_ENTITIES, ENT_COMPAT));
      if (!empty($trans_tbl)) {
        foreach ($trans_tbl as $key => $entry) {
          $trans_tbl[$key] = utf8_encode($entry);
        }
      }
    }

    // MS Word strangeness..
    // smart single/ double quotes:
    $trans_tbl[chr(39)] = '&apos;';
    $trans_tbl[chr(145)] = '\'';
    $trans_tbl[chr(146)] = '\'';
    //$trans_tbl[chr(147)] = '&quot;';
    $trans_tbl[chr(148)] = '&quot;';
    $trans_tbl[chr(142)] = '&eacute;';
    //&#65279;
    //$trans_tbl[$this->unicode_chr(65279)] = "BENE";
    //$str = str_replace("\xFF\xFE", "BENE", $str);


    return strtr ($str, $trans_tbl);
  }
  
  function superentities( $str ){
    // get rid of existing entities else double-escape

    $str = html_entity_decode(stripslashes($str),ENT_QUOTES| ENT_HTML5,'UTF-8');
    //              $str = str_replace("'","&apos;",$str);
    //                              return $str;
    $ar = preg_split('/(?<!^)(?!$)/u', $str );  // return array of every multi-byte character
    foreach ($ar as $c){
      $o = ord($c);
      if ( (strlen($c) > 1) || /* multi-byte [unicode] */
          ($o <32 || $o > 126) || /* <- control / latin weirdos -> */
          ($o >33 && $o < 35) ||/* quotes + ambersand */
          ($o >35 && $o < 40) ||/* quotes + ambersand */
          ($o >59 && $o < 63) /* html */
         ) {
        // convert to numeric entity
        //$c = @mb_encode_numericentity($c,array (0x0, 0xffff, 0, 0xffff), 'UTF-8');
        $c = $this->convertToHtml($c);
      }
      if(!isset($str2))$str2 = '';
      $str2 .= $c;
    }
    return $str2;
  }
  
}
class erpooSystem extends Application
{
  public $obj;
  public $starttime;
  public $endtime;

  public function __construct($config,$group="")
  {
    parent::__construct($config,$group);
    if($_GET['action'] == 'ajax' && 'upgradedb' == $_GET['cmd'])
    {
      $className = 'erpAPI';
      $methodName = 'UpgradeDatabase';
      if(file_exists(dirname(__FILE__).'/lib/class.erpapi.php'))
      {
        include_once(dirname(__FILE__).'/lib/class.erpapi.php');
      }
      if(file_exists(dirname(__FILE__).'/lib/class.erpapi_custom.php'))
      {
        include_once(dirname(__FILE__).'/lib/class.erpapi_custom.php');
        $className = 'erpAPICustom';
      }
      $r = new ReflectionMethod($className, $methodName);
      $params = $r->getParameters();
      $anzargs = count($params);
      $this->erp = new $className($this);
    }else{
      $this->erp = new erpAPI_Update($this);
    }
  }
}
class DB{
  var $dbname;
  var $connection;

  function __construct($dbhost,$dbname,$dbuser,$dbpass,&$app="")
  {
    $this->app = &$app;
    $this->dbname=$dbname;

    $this->connection = mysqli_connect($dbhost, $dbuser, $dbpass);
    mysqli_select_db($this->connection,$dbname);

    mysqli_query($this->connection,"SET NAMES 'utf8'");
    mysqli_query($this->connection,"SET SESSION SQL_MODE := ''");
    mysqli_query($this->connection,"SET CHARACTER SET 'utf8'");
    mysqli_query($this->connection,'SET lc_time_names = "de_DE" ');
    
  }

  function GetVersion()
  {
    $version_string = mysqli_get_server_info($this->connection);
    $version_string = substr($version_string,0,3);
    $version_string = str_replace('.','',$version_string);
    return $version_string;
  }

  function Close()
  {
    mysqli_close($this->connection);
  }

	function SelectDB($database)
  {
    mysqli_select_db($database);
  }
	
  function free($query = null){
    // Speicher freimachen
    if(is_null($query))return mysqli_free_result($this->_result);
    return mysqli_free_result($query);
  }

	  function ColumnExists($table, $column)
  {
    if($table=='' || $column=='')
      return false;

		$exists = $this->Select("SELECT COUNT(*)
      FROM information_schema.columns
      WHERE table_schema = '{$this->dbname}' 
      AND table_name = '$table' AND column_name = '$column'");
		return $exists;
  }

  function Select($sql){
    if(mysqli_query($this->connection,$sql)){
      $this->results = mysqli_query($this->connection,$sql);
 			/**
       * Abbrechen query mit SET beginnt
       */
      if (substr(strtolower($sql),0,3) == 'set') {
        return "";
      }
      $count = 0;
      $data = array();
      while( $row = @mysqli_fetch_array($this->results)){
        $data[$count] = $row;
        $count++;
      }
      @mysqli_free_result($this->results);
    } else return false;
    if(count($data) == 1)  $data = $data[0][0];
    if(count($data) < 1) $data="";
    return $data;
  }
 
  function SelectArr($sql){
    //if(mysqli_query($this->connection,$sql)){
    if(1){
      $this->results = mysqli_query($this->connection,$sql);
      $count = 0;
      $data = array();
      while( $row = @mysqli_fetch_array($this->results)){
				unset($ArrData); 
				// erstelle datensatz array
				foreach($row as $key=>$value){
	  			if(!is_numeric($key))$ArrData[$key]=$value;
				}
				$data[$count] = $ArrData;
        $count++;
      }
      @mysqli_free_result($this->results);
    }
    return $data;
  }
	
  function Result($sql){ return mysqli_result(mysqli_query($this->connection,$sql), 0);}

  function GetInsertID(){ return mysqli_insert_id($this->connection);}

  function GetArray($sql){
    $i=0;
    $result = mysqli_query($this->connection,$sql);
    while($row = mysqli_fetch_assoc($result)) {
      foreach ($row as $key=>$value){
        $tmp[$i][$key]=$value;
      }
      $i++;
    }
    return $tmp;
  }

  function Insert($sql){ $this->LogSQL($sql,"insert"); return mysqli_query($this->connection,$sql); }
  function InsertWithoutLog($sql){ return mysqli_query($this->connection,$sql); }
  function Update($sql){$this->LogSQL($sql,"update"); return mysqli_query($this->connection,$sql); }
  function UpdateWithoutLog($sql){ return mysqli_query($this->connection,$sql); }
  function Delete($sql){$this->LogSQL($sql,"delete"); return mysqli_query($this->connection,$sql); }

  function LogSQL($sql,$befehl)
  {
/*
    $name = $this->app->User->GetName();
    $sql = base64_encode($sql);
    $serial = base64_encode(serialize($this->app->Secure));
    mysqli_query($this->connection,"INSERT INTO logdatei (id,name,befehl,statement,app,zeit) 
      VALUES ('','$name','$befehl','$sql','$serial',NOW())");
*/
  }

  function Count($sql){
    if(mysqli_query($this->connection,$sql)){	
      return mysqli_num_rows(mysqli_query($this->connection,$sql));
    }
    else {return 0;}
  }

  function CheckTableExistence($table){
    $result = mysqli_query($this->connection,"SELECT * FROM $table LIMIT 1");
    if (!$result) {
      return false;
      } else { return true; }
  }

 
  function CheckColExistence($table,$col)
  {
    if($this->CheckTableExistence($table)){
      $result = mysqli_query($this->connection,"SHOW COLUMNS FROM $table");
      if (!$result) {
        echo 'Could not run query: ' . mysqli_error();
        exit;
      }
      if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
          if($row['Field']==$col)
            return true;
        }
      }
    }
    return false;
  }



  function GetColArray($table)
  {
    if($this->CheckTableExistence($table)){
      $result = mysqli_query($this->connection,"SHOW COLUMNS FROM $table");
      if (!$result) {
        echo 'Could not run query: ' . mysqli_error();
        exit;
      }
      if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
          $ret[]=$row['Field'];
        }
        return $ret;
      }
    }
  }


  function GetColAssocArray($table)
  {
    if($this->CheckTableExistence($table)){
      $result = mysqli_query($this->connection,"SHOW COLUMNS FROM $table");
      if (!$result) {
        echo 'Could not run query: ' . mysqli_error();
        exit;
      }
      if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
          $ret[$row['Field']]="";
        }
        return $ret;
      }
    }
  }

  function UpdateArr($tablename,$pk,$pkname,$ArrCols, $escape = false)
  {
    if(count($ArrCols)>0){
      
      $zielspalten = $this->SelectArr("show columns from `$tablename`");
      if($zielspalten)
      {
        foreach($zielspalten as $val)$ziel[$val['Field']] = true;
      }     
      $sql = "UPDATE `$tablename` SET ";
      foreach($ArrCols as $key=>$value)
      {
        if($key!=$pkname && (isset($ziel[$key]) || !$zielspalten))
        {
          $sqla[] = $key." = '".($escape?$this->real_escape_string($value):$value)."' ";
        }
      }
      
      $sql .= implode(', ',$sqla)." WHERE `$pkname`='$pk' LIMIT 1";
      $this->Update($sql);
      
      if(mysqli_error($this->connection))
      {
      foreach($ArrCols as $key=>$value){
        if($key!=$pkname)$this->Query("UPDATE `$tablename` SET `$key`='$value' 
          WHERE `$pkname`='$pk' LIMIT 1");
            }
      }
    }
  }

  function InsertArr($tablename,$pkname,$ArrCols)
  {
    // save primary than update
    $this->Query("INSERT INTO `$tablename` (id) VALUES ('')");
    
    $pk = $this->GetInsertID();
    $this->UpdateArr($tablename,$pk,$pkname,$ArrCols);
  }

  /// get table content with specified cols 
  function SelectTable($tablename,$cols){
   
    $firstcol = true;
    if(count($cols)==0)
      $selection = '*';
    else 
    {
			$selection = '';
      foreach($cols as $value)
      {
        if(!$firstcol)
        $selection .= ','; 
        
        $selection .= $value;

        $firstcol=false;
      }
    }
 
    $sql = "SELECT $selection FROM $tablename";
    return $this->SelectArr($sql);
  }
	


  function Query($query){
    return mysqli_query($this->connection,$query);
  }

  function Fetch_Array($sql) {
    return mysqli_fetch_array($sql);
  }


  function MysqlCopyRow($TableName, $IDFieldName, $IDToDuplicate) 
  {
    if ($TableName AND $IDFieldName AND $IDToDuplicate > 0) {
      $sql = "SELECT * FROM $TableName WHERE $IDFieldName = $IDToDuplicate";
      $result = @mysqli_query($this->connection,$sql);
      if ($result) {
      $sql = "INSERT INTO $TableName SET ";
      $row = mysqli_fetch_array($result);
      $RowKeys = array_keys($row);
      $RowValues = array_values($row);
      for ($i=3;$i<count($RowKeys);$i+=2) {
        if ($i!=3) { $sql .= ", "; }
        $sql .= $RowKeys[$i] . " = '" . $RowValues[$i] . "'";
      }
      $result = @mysqli_query($this->connection,$sql);
      }
    }
    return $this->GetInsertID();
  }
  function real_escape_string($value)
  {
    return mysqli_real_escape_string($this->connection, $value);
  }
  
  function affected_rows()
  {
    return mysqli_affected_rows($this->connection);
  }
  
  function error()
  {
    return mysqli_error($this->connection);
  }
}

class UpgradeClient
{
	var $localmd5sums;
  var $erp;
	
	function UpgradeClient($conf, $app)
	{
    $this->app = $app;
    $this->erp = $app->erp;
		$this->conf = $conf;
	
	}
	

	function Connect()
	{
		// check connection then stop	
	
	}	
	

	function CheckCRT()
	{
	
		$cert = shell_exec("openssl s_client -connect update.embedded-projects.net:443 < /dev/null 2>/dev/null | openssl x509 -in /dev/stdin");
		if($cert==$this->conf['cert']."\n") return 1;
		else {
			echo "wrong\n";
			exit;
		}
	
	}

  function CheckVersionen()
  {
    $phpversion = phpversion();
    $ioncube_loader_version = '';
    $this->app->Tpl->Set('PHPVERSION',$phpversion);
    $this->app->Tpl->Set('IONCUBEVERSION','');
    if(!is_dir(dirname(__FILE__).'/../download'))@mkdir(dirname(__FILE__).'/../download');
    if(!is_dir(dirname(__FILE__).'/../download'))
    {
      return 'Im Hauptordner von WaWision kann der Ordner &quot;download&quot; Verzeichnis nicht angelegt werden, Pr&uuml;fen Sie die Rechte';
    }
    if(function_exists('ioncube_loader_version'))
    {
      $ioncube_loader_version = ioncube_loader_version();
      $this->app->Tpl->Set('IONCUBEVERSION',$ioncube_loader_version);
    }
    
    $parameter['version']=@$this->conf['version'];
		$result = $this->Request("versionen",$parameter);
    $ret = '';
    $aktvers = '';
    $masterkey1erlaubt = $ioncube_loader_version?true:false;
    $masterkey2erlaubt = $ioncube_loader_version?true:false;
    if($phpversion && $phpversion{0} == '5' && $phpversion{2} < 6)$masterkey2erlaubt = false;
    if($phpversion && $phpversion{0} == '7')$masterkey1erlaubt = false;
    if($ioncube_loader_version{0}< 5 && $ioncube_loader_version{1} == '.')$masterkey2erlaubt = false;
    
    if(strpos($result, 'ERROR') === false)
    {
      $resulta = explode(';',$result);
      foreach($resulta as $k => $v)
      {
        $versa = explode(':',$resulta[$k],2);
        if(!$aktvers)
        {
          $aktvers = $versa[0];
          $aktmasterkey = strpos($aktvers, 'masterkey1') !== false?'masterkey1':(strpos($aktvers, 'masterkey2') !== false?'masterkey2':'');
        }
        if(strpos($versa[0],'masterkey')!== false)
        {
          if(!$ioncube_loader_version)
          {
            unset($resulta[$k]);
          }else{
            if(strpos($versa[0],'masterkey2')!== false)
            {
              if($phpversion && $phpversion{0} == '5' && $phpversion{2} < 6)
              {
                unset($resulta[$k]);
                if($aktmasterkey == 'masterkey2')$aktmasterkey = "";
              }else{
                if($ioncube_loader_version{0}< 5 && $ioncube_loader_version{1} == '.')
                {
                  unset($resulta[$k]);
                  if($aktmasterkey == 'masterkey2')$aktmasterkey = "";
                }
              }
            }elseif(strpos($versa[0],'masterkey1')!== false)
            {
              if($phpversion && $phpversion{0} == '7')
              {
                unset($resulta[$k]);
                if($aktmasterkey == 'masterkey1')$aktmasterkey = "";
              }
            }
          }
          if(isset($resulta[$k]))
          {
            if($masterkey1erlaubt && strpos($versa[0],'masterkey1')!== false && $aktmasterkey == '')
            {
              $aktmasterkey = 'masterkey1';
            }
            $nochioncubes[$versa[0]] = $k;
          }
        }
      }
      
      
      if(count($resulta) > 1)
      {
        foreach($resulta as $k => $v)
        {
          $versa = explode(':',$resulta[$k],2);
          if(strpos($versa[0], 'masterkey') !== false)
          {
            if($aktmasterkey == 'masterkey1' && strpos($versa[0], 'masterkey2') !== false && isset($nochioncubes[str_replace('masterkey2','masterkey1', $versa[0])]))
            {
              unset($resulta[$k]);
              unset($nochioncubes[str_replace('masterkey2','masterkey1', $versa[0])]);
              unset($nochioncubes[$versa[0]]);
            }elseif($aktmasterkey == 'masterkey2' && strpos($versa[0], 'masterkey1') !== false && isset($nochioncubes[str_replace('masterkey1','masterkey2', $versa[0])]))
            {
              unset($resulta[$k]);
              unset($nochioncubes[str_replace('masterkey1','masterkey2', $versa[0])]);
              unset($nochioncubes[$versa[0]]);              
            }
          }
        }
      }
      
      if(count($resulta) > 1)
      {
        $ret = '<select id="verssel" onchange="versel()">';
        $i = 0;
        foreach($resulta as $resu)
        {
          $versa = explode(':',$resu,2);
          if($i == 0)$this->app->Tpl->Set('AKTVERSION', $versa[0]);
          $ret .= '<option value="'.$versa[0].'">'.$versa[1].'</option>';
          $i++;
        }
        $ret .= '</select>';
        $ret .= '<input class="button2" type="button" value="Updaten" id="upgrade" onclick="upgrade()"  />';
      }elseif(count($resulta) == 1){
        foreach($resulta as $resu)
        {
          $versa = explode(':',$resu,2);
          $this->app->Tpl->Set('AKTVERSION', $versa[0]);
          $ret .= '<input type="button" class="button2" value="'.$versa[1].'" id="upgrade" onclick="upgrade()" />';
        }
      }else{
        $ret .= 'Ioncube nicht verf&uuml;gbar';
      }
    }
    return $ret;
		echo $result;
		if($result=="ERROR") { echo "Updates: ERROR FROM SERVER (Perhaps a wrong license?)\n"; return;} 
		return $result;
		//$result = unserialize(gzuncompress(base64_decode($result)));
		//$result = (base64_decode($result));
		//echo $result;
		//exit;
		$rows = explode(";",$result);
    return $rows;
    
    
    $parameter['version']=@$this->conf['version'];
		$result = $this->Request("versionen",$parameter);

  }
  
  function CheckMd5()
  {
    $parameter['version']=@$this->conf['version'];
    $parameter['withsize'] = 1;
		$result = $this->Request("md5list",$parameter);
    
    
    return $result;
  }
  
  function CopyFile($files)
  {

    
    $startzeit = microtime(true);
    foreach($files as $k => $file)
    {
      $file = json_decode(json_encode($file),true);
      if(isset($file['typ']))
      {
        switch($file['typ'])
        {
          case 'getfile':
          case 'getfilecustom':
          case 'getfilemodules':
          
          break;
          default:
            $file['typ'] = '';
          break;
        }
        
      }else $file['typ'] = '';
      if(!isset($file['file']) || !isset($file['md5sum']) || !$file['file'] || $file['typ'] === '')
      {
        unset($files[$k]);
      }else{
        $parameter['file']=$file['file'];
        $parameter['md5sum']=$file['md5sum'];
        $ffile = $file['file'];
        $_file = dirname(__FILE__).'/../download/'.$ffile;
        $_fileto = dirname(__FILE__).'/../'.$ffile;
                

        $ffa = explode('/',$ffile);
        $_f = '';
        for($i = 0; $i < count($ffa)-1; $i++)
        {
          $_f .= $ffa[$i];
          if(!is_dir(dirname(__FILE__).'/../'.$_f))@mkdir(dirname(__FILE__).'/../'.$_f);
          $_f .= '/';
        }
                
        if(file_exists($_file))
        {
          if(md5_file($_file)==$file['md5sum'])
          {
            if(@copy($_file,$_fileto))
            {
              if(md5_file($_fileto)==$file['md5sum'])
              {
                unset($files[$k]);
              }              
            }
          }
        }        
      }
      if(microtime(true) - $startzeit > 10)break;
    }
    if(count($files) > 0)
    {
      foreach($files as $k => $file)
      {
        $data[] = $file;
      }
      if($changeversion != $parameter['versionname'])$data[] = array('error'=>$parameter['versionname'].':'.$changeversion);
    }else{
      if($changeversion != $parameter['versionname'])
      {
        $data[] = array('error'=>$parameter['versionname'].':'.$changeversion);
      }else
      $data = null;
    }
    
    return array('tocopy'=>$data);
  }
  
  function ChangeVersion()
  {
    $parameter['version']=@$this->conf['version'];
    $parameter['versionname']=@$this->conf['versionname'];
    if($parameter['versionname'] && $parameter['versionname'] != $parameter['version'])$changeversion = $this->Request('changeversion',$parameter);
    return $changeversion;    
  }
  
  function DownloadFile($files)
  {
    $startzeit = microtime(true);
    $parameter['version']=@$this->conf['version'];
    $parameter['versionname']=@$this->conf['versionname'];
    
    $parameter['version']=@$this->conf['version'];
    $parameter['versionname']=@$this->conf['versionname'];
    if($parameter['versionname'] && $parameter['versionname'] != $parameter['version'])$changeversion = $this->Request('changeversion',$parameter);
    
    foreach($files as $k => $file)
    {
      $file = json_decode(json_encode($file),true);
      if(isset($file['typ']))
      {
        switch($file['typ'])
        {
          case 'getfile':
          case 'getfilecustom':
          case 'getfilemodules':
          
          break;
          default:
            $file['typ'] = '';
          break;
        }
        
      }else $file['typ'] = '';
      if(!isset($file['file']) || !isset($file['md5sum']) || !$file['file'] || $file['typ'] === '')
      {
        $files[$k]['error'] = $file['file'];
        unset($files[$k]);
      }else{
        $parameter['file']=$file['file'];
        $parameter['md5sum']=$file['md5sum'];
        $ffile = $file['file'];
        $_file = dirname(__FILE__).'/../download/'.$ffile;
        $ffa = explode('/',$ffile);
        $_f = '';
        for($i = 0; $i < count($ffa)-1; $i++)
        {
          $_f .= $ffa[$i];
          if(!is_dir(dirname(__FILE__).'/../download/'.$_f))@mkdir(dirname(__FILE__).'/../download/'.$_f);
          $_f .= '/';
        }
        
        //$data[] = $_file;
        
        $result = $this->Request($file['typ'],$parameter);
        $output = @base64_decode($result);
        
        //$output = preg_replace('/[^(\x22-\x7F)\x0A]*/','', $output);
          /*if(@file_put_contents("/var/www/html/wawision-16.3/www/../download/www/widgets/widget.kasse.php", 'bla'))
          {
            
            
          }*/
        if(@file_put_contents($_file, $output))
        {
          if(md5_file($_file)==$file['md5sum'])
          {
            unset($files[$k]);
          }else{
            $files[$k]['error'] = 'md5 failed';
          }
        }else{
          $files[$k]['error'] = 'file_put_contents ' .$_file. ' failed '.$file['typ'].' ' .json_encode($parameter);
        }
        
      }
      if(microtime(true) - $startzeit > 15)break;
    }
    if(count($files) > 0)
    {
      foreach($files as $k => $file)
      {
        $data[] = $file;
      }
    }else{
      $data = null;
    }

    return array('todownload'=>$data);
  }
  
  function CheckFiles($updatefiles = false)
  {
    @clearstatcache();
    $parameter['version']=@$this->conf['version'];
    $parameter['versionname']=@$this->conf['versionname'];
    $parameter['withsize'] = 1;
    
    if(!is_dir(dirname(__FILE__).'/../download/'))
    {
      @mkdir(dirname(__FILE__).'/../download/');
    }
    if(!is_dir(dirname(__FILE__).'/../download/'))return 'ERROR: Downloadverzeichnis konnte nicht erstellt werden';
    $tmpfile = md5(microtime(true));
    if(!($fh = fopen(dirname(__FILE__).'/../download/'.$tmpfile,'w')))
    {
      return 'ERROR: Downloadverzeichnis hat keine Schreibrechte';
    }
    fclose($fh);
    $eigenguser = fileowner(dirname(__FILE__).'/../download/'.$tmpfile);
    $eigengroup = filegroup(dirname(__FILE__).'/../download/'.$tmpfile);
    @unlink(dirname(__FILE__).'/../download/'.$tmpfile);
    $_result = $this->Request("md5list",$parameter);
    if($this->errormsg)return 'ERROR: '.$this->errormsg;
    if($_result=="ERROR") return 'ERROR FROM SERVER (Perhaps a wrong license?)';
    $_result2 = $updatefiles?'':$this->Request("md5listmodules",$parameter);
		if($_result2=="ERROR") { return "ERROR FROM SERVER (Perhaps a wrong license?)"; }
    $_result3 = $updatefiles?'':$this->Request("md5listcustom",$parameter);
		if($_result3=="ERROR") { return "ERROR FROM SERVER (Perhaps a wrong license?)"; }
    $result = '';
    $result2 = '';
    $result3 = '';
    $resulta = explode(";",$_result);
    $resulta2 = explode(";",$_result2);
    $resulta3 = explode(";",$_result3);
    if($resulta3)
    {
      foreach($resulta3 as $r)
      {
        if($r)
        {
          $result3.= 'getfilecustom:'.$r.";";
          $ra = explode(':',$r);
          $dats[] = $ra[0];
        }
      }
      unset($resulta3);
    }
    if($resulta2)
    {
      foreach($resulta2 as $r)
      {
        if($r)
        {
          $ra = explode(':',$r);
          if(!isset($dats) || !in_array($ra[0], $dats))
          {
            $result2.= 'getfilemodules:'.$r.";";
            $dats[] = $ra[0];
          }
        }
      }
      unset($resulta2);
    }
    if($resulta)
    {
      foreach($resulta as $r)
      {
        if($r)
        {
          $ra = explode(':',$r);
          if(!isset($dats) || !in_array($ra[0], $dats))
          {
            $result.= 'getfile:'.$r.";";
          }
        }
      }
      unset($resulta);
    }


    
    $result .= $result2.$result3;
    
    
    $rows = explode(";",$result);
		$rows = explode(";",$result);
    $res['result'] = $result;
		$res['parameter'] = $parameter;
    $downloadind = 0;
    $copyind = 0;
		if(count($rows)>0)
		{
			foreach($rows as $value)
			{
				unset($single_row);
				$single_row = explode(":",$value);
				
				if(count($single_row)>=3 && strlen($single_row[0])>4 && strlen($single_row[2])>3)
				{
          $typ = $single_row[0];
          $file = $single_row[1];
          $file_lokal = dirname(__FILE__).'/../'.($file);
          $md5sum = $single_row[2];
          $size = isset($single_row[3])?$single_row[3]:false;
      
          $parameter['file']=$file;
          $parameter['md5sum']=$md5sum;
          
          if($file=="./upgradesystemclient.php")
          {
            
          }elseif( 
            (!$updatefiles && ($file=="./www/update.php" || $file=="./www/update.tpl" || $file=="./www/updatelogin.tpl" || $file == './www/jquery-update.js' || $file == './www/jquery-ui-update.js' || $file == 'jquery-ui.min.css'))
            || ($updatefiles && ($file!="./www/update.php" && $file!="./www/update.tpl" && $file!="./www/updatelogin.tpl" && $file != './www/jquery-update.js' && $file != './www/jquery-ui-update.js' && $file != 'jquery-ui.min.css'))
          
          )
          {
          
          }	
          else 
          {
            $bla[] = $file_lokal;
            if(is_file($file_lokal))
            {
              // pruefe md5sum
              if(md5_file($file_lokal)!=$md5sum)
              {
                $fileowner = fileowner($file_lokal);
                $filegroup = filegroup($file_lokal);
                $perms = fileperms($file_lokal);
                $o = ($perms & 0x0080);
                $g = ($perms & 0x0010);
                $a = ($perms & 0x0002);
                if($eigenguser && $eigengroup)
                {
                  if($fileowner != $eigenguser)
                  {
                    if($filegroup != $eigengroup)
                    {
                      if(!$a)
                      {
                        return array('error'=>'ERROR Fehlende Schreibrechte in '.$file_lokal);
                      }
                    }else{
                      if(!$g)
                      {
                        return array('error'=>'ERROR Fehlende Schreibrechte in '.$file_lokal);
                      }
                    }
                  }else{
                    if(!$o)
                    {
                        return array('error'=>'ERROR Fehlende Schreibrechte in '.$file_lokal);
                    }
                  }
                }
                $bla[] = array('fileowner'=>$fileowner,
                'fileowner'=>$fileowner,
                'filegroup'=>$filegroup,
                'perms'=>$perms,
                'o'=>$o,
                'g'=>$g,
                'a'=>$a,
                );
                if(is_file(dirname(__FILE__).'/../download/'.$file))
                {
                  if(md5_file(dirname(__FILE__).'/../download/'.$file)!=$md5sum)
                  {
                    $res['download'][$downloadind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                    $downloadexists[$typ][$file] = $downloadind;
                    $downloadind++;

                  }else{
                    $res['copy'][$copyind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                    $copyexists[$typ][$file] = $copyind;
                    $copyind++;

                  }
                }else{
                  $res['download'][$downloadind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                  $downloadexists[$typ][$file] = $downloadind;
                  $downloadind++;

                }
              }else{

              }
            } else if($file!="") {
              if(is_file(dirname(__FILE__).'/../download/'.$file))
              {
                if(md5_file(dirname(__FILE__).'/../download/'.$file)!=$md5sum)
                {
                  $fileowner = fileowner(dirname(__FILE__).'/../download/'.ltrim($file,'.'));
                  $filegroup = filegroup(dirname(__FILE__).'/../download/'.ltrim($file,'.'));
                  $perms = fileperms(dirname(__FILE__).'/../download/'.ltrim($file,'.'));
                  $o = ($perms & 0x0080);
                  $g = ($perms & 0x0010);
                  $a = ($perms & 0x0002);
                  if($eigenguser && $eigengroup)
                  {
                    if($fileowner != $eigenguser)
                    {
                      if($filegroup != $eigengroup)
                      {
                        if(!$a)
                        {
                          return array('error'=>'ERROR Fehlende Schreibrechte im Downloadordner');
                        }
                      }else{
                        if(!$g)
                        {
                          return array('error'=>'ERROR Fehlende Schreibrechte im Downloadordner');
                        }
                      }
                    }else{
                      if(!$o)
                      {
                        return array('error'=>'ERROR Fehlende Schreibrechte im Downloadordner');
                      }
                    }
                  }
                  
                  $res['download'][$downloadind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                  $downloadexists[$typ][$file] = $downloadind;
                  $downloadind++;
                }else{
                  $res['copy'][$copyind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                  $copyexists[$typ][$file] = $copyind;
                  $copyind++;
                }
              }else{
                $res['download'][$downloadind] = array('typ'=>$typ,'file'=>$file,'md5sum'=>$md5sum,'size'=>$size);
                $downloadexists[$typ][$file] = $downloadind;
                $downloadind++;
              }
            }
          }
        }
			}
		}

    return $res;
  }
  
  
	function CheckUpdate()
	{
		//$this->dir_rekursiv("./");
		//$parameter['md5sums'] = $this->localmd5sums;
		//shell_exec('find ./ -exec md5sum "{}" \;');
		
		
    $parameter['version']=@$this->conf['version'];
		$result = $this->Request("md5list",$parameter);
		
		if($result=="ERROR") { echo "Updates: ERROR FROM SERVER (Perhaps a wrong license?)\n"; return;}

		//$result = unserialize(gzuncompress(base64_decode($result)));
		//$result = (base64_decode($result));
		//echo $result;
		//exit;
		$rows = explode(";",$result);
		
		if(count($rows)>0)
		{
			foreach($rows as $value)
			{
				unset($single_row);
				$single_row = explode(":",$value);
				
				if(count($single_row)>=2 && strlen($single_row[0])>3 && strlen($single_row[1])>3)
				{
          $file = $single_row[0];
          $md5sum = $single_row[1];
      
          $parameter['file']=$file;
          $parameter['md5sum']=$md5sum;
          
          if($file=="./upgradesystemclient.php")
          {
          
          }	
          else if(is_file($file))
          {
            // pruefe md5sum
            if(md5_file($file)!=$md5sum)
            {
              // wenn update dann UPD_
              echo "update <- $file\n";
              $result = $this->Request("getfile",$parameter);
              $output =  (base64_decode($result));
            //$output = preg_replace('/[^(\x22-\x7F)\x0A]*/','', $output);
              file_put_contents($file."UPD", $output);
              /*
              $fp = fopen($file."UPD","wb+");
              fwrite($fp,base64_decode($result));
              fclose($fp);
              */
              // pruefsuemme neu berechnen wenn passt umbenennen und ins archiv
              echo md5_file($file."UPD");
              echo "-".$md5sum."\n";
              if(md5_file($file."UPD")==$md5sum)
              {
                echo "update ok $file\n";
                rename($file."UPD",$file);
              }
            }
          } else if($file!="") {
            echo "datei <- $file\n";
            // pruefe ob es verzeichnis gibt
            $verzeichnis = dirname($file);
            if(!is_dir($verzeichnis))
            {
              echo "verzeichnis <- $verzeichnis\n";
              mkdir($verzeichnis,0777,true);	
            }
            $result = $this->Request("getfile",$parameter);
            $output =  base64_decode($result);
            //$output = iconv("UTF-8","ISO-8859-1//IGNORE",$output);
            //$output = iconv("ISO-8859-1","UTF-8",$output);
            //$output = preg_replace('/[^(\x20-\x7F)\x0A]*/','', $output);
            file_put_contents($file."NEW", $output);
            /*$fp = fopen($file."NEW","wb+");
            fwrite($fp,base64_decode($result));
            fclose($fp);
            */
            if(md5_file($file."NEW")==$md5sum)
            {
              echo "datei ok $file\n";
              rename($file."NEW",$file);
            } else {
            //	echo "datei XX $file local: ".md5_file($file."NEW")." remote: ".$md5sum."\n";
            
            }
          } else { }
				}
			}
		
		
		}
		//pruefe, update, lege verzeichnis an, lege datei an, loesche datei????
		
		
		
		// download all files with UPD_ prefix
		
		
		// get md5 liste von server
		
		// pruefe ob alle dateien passen, wenn ja dann alle updaten am schluss
	
		// wenn nein fehler abbrechen und ganzen prozess nochmal starten	
		
		//echo $md5sums;	
		
		
	}
	
	
	function CheckUpdateModules()
	{
		//$this->dir_rekursiv("./");
		//$parameter['md5sums'] = $this->localmd5sums;
		//shell_exec('find ./ -exec md5sum "{}" \;');
		
		
    $parameter['version']=@$this->conf['version'];
		$result = $this->Request("md5listmodules",$parameter);
		
		if($result=="ERROR") { echo "Modules: ERROR FROM SERVER (Perhaps a wrong license?)\n"; return;} 
		
		//$result = unserialize(gzuncompress(base64_decode($result)));
		//$result = (base64_decode($result));
		//echo $result;
		//exit;
		$rows = explode(";",$result);
		
		if(count($rows)>0)
		{
			foreach($rows as $value)
			{
				unset($single_row);
				$single_row = explode(":",$value);
				
				if(count($single_row)>=2 && strlen($single_row[0])>3 && strlen($single_row[1])>3)
				{
					
				$file = $single_row[0];
				$md5sum = $single_row[1];
		
				$parameter['file']=$file;
				$parameter['md5sum']=$md5sum;
				
				if($file=="./upgradesystemclient.php")
				{
				
				}	
				else if(is_file($file))
				{
					// pruefe md5sum
					if(md5_file($file)!=$md5sum)
					{
						// wenn update dann UPD_
						echo "update (M) <- $file\n";
						$result = $this->Request("getfilemodules",$parameter);
					$output =  (base64_decode($result));
					//$output = preg_replace('/[^(\x22-\x7F)\x0A]*/','', $output);
					file_put_contents($file."UPD", $output);
						/*
						$fp = fopen($file."UPD","wb+");
						fwrite($fp,base64_decode($result));
						fclose($fp);
						*/
						// pruefsuemme neu berechnen wenn passt umbenennen und ins archiv
						echo md5_file($file."UPD");
						echo "-".$md5sum."\n";
						if(md5_file($file."UPD")==$md5sum)
						{
							echo "update (M) ok $file\n";
							rename($file."UPD",$file);
						}
					}
				} else if($file!="") {
					echo "datei (M) <- $file\n";
					// pruefe ob es verzeichnis gibt
					$verzeichnis = dirname($file);
					if(!is_dir($verzeichnis))
					{
						echo "verzeichnis (M) <- $verzeichnis\n";
						mkdir($verzeichnis,0777,true);	
					}
					$result = $this->Request("getfilemodules",$parameter);
					$output =  base64_decode($result);
					//$output = iconv("UTF-8","ISO-8859-1//IGNORE",$output);
					//$output = iconv("ISO-8859-1","UTF-8",$output);
					//$output = preg_replace('/[^(\x20-\x7F)\x0A]*/','', $output);
					file_put_contents($file."NEW", $output);
					/*$fp = fopen($file."NEW","wb+");
					fwrite($fp,base64_decode($result));
					fclose($fp);
					*/
					if(md5_file($file."NEW")==$md5sum)
					{
						echo "datei (M) ok $file\n";
						rename($file."NEW",$file);
					} else {
					//	echo "datei XX $file local: ".md5_file($file."NEW")." remote: ".$md5sum."\n";
					
					}
				} else { }
				}
			}
		
		
		}
		//pruefe, update, lege verzeichnis an, lege datei an, loesche datei????
		
		
		
		// download all files with UPD_ prefix
		
		
		// get md5 liste von server
		
		// pruefe ob alle dateien passen, wenn ja dann alle updaten am schluss
	
		// wenn nein fehler abbrechen und ganzen prozess nochmal starten	
		
		//echo $md5sums;	
		
		
	}

	function CheckUpdateCustom()
	{
		//$this->dir_rekursiv("./");
		//$parameter['md5sums'] = $this->localmd5sums;
		//shell_exec('find ./ -exec md5sum "{}" \;');
		
		
        	$parameter['version']=@$this->conf['version'];
		$result = $this->Request("md5listcustom",$parameter);
		
		if($result=="ERROR") { echo "Custom: ERROR FROM SERVER (Perhaps a wrong license?)\n"; return;} 
		
		//$result = unserialize(gzuncompress(base64_decode($result)));
		//$result = (base64_decode($result));
		//echo $result;
		//exit;
		$rows = explode(";",$result);
		
		if(count($rows)>0)
		{
			foreach($rows as $value)
			{
				unset($single_row);
				$single_row = explode(":",$value);
				
				if(count($single_row)>=2 && strlen($single_row[0])>3 && strlen($single_row[1])>3)
				{
					
				$file = $single_row[0];
				$md5sum = $single_row[1];
		
				$parameter['file']=$file;
				$parameter['md5sum']=$md5sum;
				
				if($file=="./upgradesystemclient.php")
				{
				
				}	
				else if(is_file($file))
				{
					// pruefe md5sum
					if(md5_file($file)!=$md5sum)
					{
						// wenn update dann UPD_
						echo "update (C) <- $file\n";
						$result = $this->Request("getfilecustom",$parameter);
					$output =  (base64_decode($result));
					//$output = preg_replace('/[^(\x22-\x7F)\x0A]*/','', $output);
					file_put_contents($file."UPD", $output);
						/*
						$fp = fopen($file."UPD","wb+");
						fwrite($fp,base64_decode($result));
						fclose($fp);
						*/
						// pruefsuemme neu berechnen wenn passt umbenennen und ins archiv
						echo md5_file($file."UPD");
						echo "-".$md5sum."\n";
						if(md5_file($file."UPD")==$md5sum)
						{
							echo "update (C) ok $file\n";
							rename($file."UPD",$file);
						}
					}
				} else if($file!="") {
					echo "datei (C) <- $file\n";
					// pruefe ob es verzeichnis gibt
					$verzeichnis = dirname($file);
					if(!is_dir($verzeichnis))
					{
						echo "verzeichnis (C) <- $verzeichnis\n";
						mkdir($verzeichnis,0777,true);	
					}
					$result = $this->Request("getfilecustom",$parameter);
					$output =  base64_decode($result);
					//$output = iconv("UTF-8","ISO-8859-1//IGNORE",$output);
					//$output = iconv("ISO-8859-1","UTF-8",$output);
					//$output = preg_replace('/[^(\x20-\x7F)\x0A]*/','', $output);
					file_put_contents($file."NEW", $output);
					/*$fp = fopen($file."NEW","wb+");
					fwrite($fp,base64_decode($result));
					fclose($fp);
					*/
					if(md5_file($file."NEW")==$md5sum)
					{
						echo "datei (C) ok $file\n";
						rename($file."NEW",$file);
					} else {
					//	echo "datei XX $file local: ".md5_file($file."NEW")." remote: ".$md5sum."\n";
					
					}
				} else { }
				}
			}
		
		
		}
		//pruefe, update, lege verzeichnis an, lege datei an, loesche datei????
		
		
		
		// download all files with UPD_ prefix
		
		
		// get md5 liste von server
		
		// pruefe ob alle dateien passen, wenn ja dann alle updaten am schluss
	
		// wenn nein fehler abbrechen und ganzen prozess nochmal starten	
		
		//echo $md5sums;	
		
		
	}
	

	function DownloadUpdate()
	{
	
	
	}
	
	function CheckDownloadedUpdate()
	{
	
	
	}
	
	function ExecuteUpdate()
	{
	
	}

	
	function Request($command,$parameter)
	{
    $erp = $this->erp;
		
                $auth['serial']=trim($erp->Firmendaten("lizenz"));//$this->conf['serial'];
                $auth['authkey']=trim($erp->Firmendaten("schluessel"));//$this->conf['authkey'];   
                $auth = base64_encode(serialize($auth));
                
                $parameter = base64_encode(serialize($parameter));

		$client = new HttpClient($this->conf['host'],$this->conf['port']);
		$client->post('/upgradesystem.php', array( "auth" => $auth, "parameter"=>$parameter,"command"=>"$command" ));
		$pageContents = $client->getContent();
    if(!empty($client->errormsg))$this->errormsg = $client->errormsg;
		return $pageContents;
	}
	
  	function dir_rekursiv($verzeichnis)
    	{ 
        	$handle =  opendir($verzeichnis);
        
            	while ($datei = readdir($handle))
                {   
                        if ($datei != "." && $datei != "..")
                        {   
                                if (is_dir($verzeichnis.$datei)) // Wenn Verzeichniseintrag ein Verzeichnis ist 
                                {   
                                	// Erneuter Funktionsaufruf, um das aktuelle Verzeichnis auszulesen
                                	$this->dir_rekursiv($verzeichnis.$datei.'/');
                                }
                                else
                               	{   
                                        // Wenn Verzeichnis-Eintrag eine Datei ist, diese ausgeben
                                	$this->localmd5sums[$verzeichnis.$datei] = md5_file($verzeichnis.$datei);
                        	}
                	}
                }
        	closedir($handle);
	}
                                                                                                                                                                                              
                                                                                                                                                                                              

}


/* Version 0.9, 6th April 2003 - Simon Willison ( http://simon.incutio.com/ )
   Manual: http://scripts.incutio.com/httpclient/
*/

class HttpClient {
    // Request vars
    var $host;
    var $port;
    var $path;
    var $method;
    var $postdata = '';
    var $cookies = array();
    var $referer;
    var $accept = 'text/xml,application/xml,application/xhtml+xml,text/html,text/plain,image/png,image/jpeg,image/gif,*/*';
    var $accept_encoding = 'gzip';
    var $accept_language = 'en-us';
    var $user_agent = 'Incutio HttpClient v0.9';
    // Options
    var $timeout = 20;
    var $use_gzip = true;
    var $persist_cookies = true;  // If true, received cookies are placed in the $this->cookies array ready for the next request
                                  // Note: This currently ignores the cookie path (and time) completely. Time is not important, 
                                  //       but path could possibly lead to security problems.
    var $persist_referers = true; // For each request, sends path of last request as referer
    var $debug = false;
    var $handle_redirects = true; // Auaomtically redirect if Location or URI header is found
    var $max_redirects = 5;
    var $headers_only = false;    // If true, stops receiving once headers have been read.
    // Basic authorization variables
    var $username;
    var $password;
    // Response vars
    var $status;
    var $headers = array();
    var $content = '';
    var $errormsg;
    // Tracker variables
    var $redirect_count = 0;
    var $cookie_host = '';
    function HttpClient($host, $port=80) {
        $this->host = $host;
        $this->port = $port;
    }
    function get($path, $data = false) {
        $this->path = $path;
        $this->method = 'GET';
        if ($data) {
            $this->path .= '?'.$this->buildQueryString($data);
        }
        return $this->doRequest();
    }
    function post($path, $data) {
        $this->path = $path;
        $this->method = 'POST';
        $this->postdata = $this->buildQueryString($data);
    	return $this->doRequest();
    }
    function buildQueryString($data) {
        $querystring = '';
        if (is_array($data)) {
            // Change data in to postable data
    		foreach ($data as $key => $val) {
    			if (is_array($val)) {
    				foreach ($val as $val2) {
    					$querystring .= urlencode($key).'='.urlencode($val2).'&';
    				}
    			} else {
    				$querystring .= urlencode($key).'='.urlencode($val).'&';
    			}
    		}
    		$querystring = substr($querystring, 0, -1); // Eliminate unnecessary &
    	} else {
    	    $querystring = $data;
    	}
    	return $querystring;
    }
    function doRequest() {
        // Performs the actual HTTP request, returning true or false depending on outcome

  if(!@fsockopen("ssl://".$this->host, $this->port, $errno, $errstr, $this->timeout) && $this->port==443)
  {
  $this->port=80;
  }

  if($this->port==443)
    $url = "ssl://".$this->host;
  else
    $url = $this->host;

		if (!$fp = @fsockopen($url, $this->port, $errno, $errstr, $this->timeout)) {
		    // Set error message
            switch($errno) {
				case -3:
					$this->errormsg = 'Socket creation failed (-3)';
				case -4:
					$this->errormsg = 'DNS lookup failure (-4)';
				case -5:
					$this->errormsg = 'Connection refused or timed out (-5)';
				default:
					$this->errormsg = 'Connection failed ('.$errno.')';
			    $this->errormsg .= ' '.$errstr;
			    $this->debug($this->errormsg);
			}
			return false;
        }
        socket_set_timeout($fp, $this->timeout);
        $request = $this->buildRequest();
        $this->debug('Request', $request);
        fwrite($fp, $request);
    	// Reset all the variables that should not persist between requests
    	$this->headers = array();
    	$this->content = '';
    	$this->errormsg = '';
    	// Set a couple of flags
    	$inHeaders = true;
    	$atStart = true;
    	// Now start reading back the response
    	while (!feof($fp)) {
    	    $line = fgets($fp, 4096);
    	    if ($atStart) {
    	        // Deal with first line of returned data
    	        $atStart = false;
    	        if (!preg_match('/HTTP\/(\\d\\.\\d)\\s*(\\d+)\\s*(.*)/', $line, $m)) {
    	            $this->errormsg = "Status code line invalid: ".htmlentities($line);
    	            $this->debug($this->errormsg);
    	            //return false;
    	        }
    	        $http_version = $m[1]; // not used
    	        $this->status = $m[2];
    	        $status_string = $m[3]; // not used
    	        $this->debug(trim($line));
    	        continue;
    	    }
    	    if ($inHeaders) {
    	        if (trim($line) == '') {
    	            $inHeaders = false;
    	            $this->debug('Received Headers', $this->headers);
    	            if ($this->headers_only) {
    	                break; // Skip the rest of the input
    	            }
    	            continue;
    	        }
    	        if (!preg_match('/([^:]+):\\s*(.*)/', $line, $m)) {
    	            // Skip to the next header
    	            continue;
    	        }
    	        $key = strtolower(trim($m[1]));
    	        $val = trim($m[2]);
    	        // Deal with the possibility of multiple headers of same name
    	        if (isset($this->headers[$key])) {
    	            if (is_array($this->headers[$key])) {
    	                $this->headers[$key][] = $val;
    	            } else {
    	                $this->headers[$key] = array($this->headers[$key], $val);
    	            }
    	        } else {
    	            $this->headers[$key] = $val;
    	        }
    	        continue;
    	    }
    	    // We're not in the headers, so append the line to the contents
    	    $this->content .= $line;
        }
        fclose($fp);
        
        // If data is compressed, uncompress it
        if (isset($this->headers['content-encoding']) && $this->headers['content-encoding'] == 'gzip') {
            $this->debug('Content is gzip encoded, unzipping it');
            $this->content = substr($this->content, 10); // See http://www.php.net/manual/en/function.gzencode.php
            $this->content = gzinflate($this->content);
        }
        // If $persist_cookies, deal with any cookies
        if ($this->persist_cookies && isset($this->headers['set-cookie']) && $this->host == $this->cookie_host) {
            $cookies = $this->headers['set-cookie'];
            if (!is_array($cookies)) {
                $cookies = array($cookies);
            }
            foreach ($cookies as $cookie) {
                if (preg_match('/([^=]+)=([^;]+);/', $cookie, $m)) {
                    $this->cookies[$m[1]] = $m[2];
                }
            }
            // Record domain of cookies for security reasons
            $this->cookie_host = $this->host;
        }
        // If $persist_referers, set the referer ready for the next request
        if ($this->persist_referers) {
            $this->debug('Persisting referer: '.$this->getRequestURL());
            $this->referer = $this->getRequestURL();
        }
        // Finally, if handle_redirects and a redirect is sent, do that
        if ($this->handle_redirects) {
            if (++$this->redirect_count >= $this->max_redirects) {
                $this->errormsg = 'Number of redirects exceeded maximum ('.$this->max_redirects.')';
                $this->debug($this->errormsg);
                $this->redirect_count = 0;
                return false;
            }
            $location = isset($this->headers['location']) ? $this->headers['location'] : '';
            $uri = isset($this->headers['uri']) ? $this->headers['uri'] : '';
            if ($location || $uri) {
                $url = parse_url($location.$uri);
                // This will FAIL if redirect is to a different site
                return $this->get($url['path']);
            }
        }
        return true;
    }
    function buildRequest() {
        $headers = array();
        $headers[] = "{$this->method} {$this->path} HTTP/1.0"; // Using 1.1 leads to all manner of problems, such as "chunked" encoding
        $headers[] = "Host: {$this->host}";
        $headers[] = "User-Agent: {$this->user_agent}";
        $headers[] = "Accept: {$this->accept}";
        if ($this->use_gzip) {
            $headers[] = "Accept-encoding: {$this->accept_encoding}";
        }
        $headers[] = "Accept-language: {$this->accept_language}";
        if ($this->referer) {
            $headers[] = "Referer: {$this->referer}";
        }
    	// Cookies
    	if ($this->cookies) {
    	    $cookie = 'Cookie: ';
    	    foreach ($this->cookies as $key => $value) {
    	        $cookie .= "$key=$value; ";
    	    }
    	    $headers[] = $cookie;
    	}
    	// Basic authentication
    	if ($this->username && $this->password) {
    	    $headers[] = 'Authorization: BASIC '.base64_encode($this->username.':'.$this->password);
    	}
    	// If this is a POST, set the content type and length
    	if ($this->postdata) {
    	    $headers[] = 'Content-Type: application/x-www-form-urlencoded';
    	    $headers[] = 'Content-Length: '.strlen($this->postdata);
    	}
    	$request = implode("\r\n", $headers)."\r\n\r\n".$this->postdata;
    	return $request;
    }
    function getStatus() {
        return $this->status;
    }
    function getContent() {
        return $this->content;
    }
    function getHeaders() {
        return $this->headers;
    }
    function getHeader($header) {
        $header = strtolower($header);
        if (isset($this->headers[$header])) {
            return $this->headers[$header];
        } else {
            return false;
        }
    }
    function getError() {
        return $this->errormsg;
    }
    function getCookies() {
        return $this->cookies;
    }
    function getRequestURL() {
        $url = 'http://'.$this->host;
        if ($this->port != 80) {
            $url .= ':'.$this->port;
        }            
        $url .= $this->path;
        return $url;
    }
    // Setter methods
    function setUserAgent($string) {
        $this->user_agent = $string;
    }
    function setAuthorization($username, $password) {
        $this->username = $username;
        $this->password = $password;
    }
    function setCookies($array) {
        $this->cookies = $array;
    }
    // Option setting methods
    function useGzip($boolean) {
        $this->use_gzip = $boolean;
    }
    function setPersistCookies($boolean) {
        $this->persist_cookies = $boolean;
    }
    function setPersistReferers($boolean) {
        $this->persist_referers = $boolean;
    }
    function setHandleRedirects($boolean) {
        $this->handle_redirects = $boolean;
    }
    function setMaxRedirects($num) {
        $this->max_redirects = $num;
    }
    function setHeadersOnly($boolean) {
        $this->headers_only = $boolean;
    }
    function setDebug($boolean) {
        $this->debug = $boolean;
    }
    // "Quick" static methods
    function quickGet($url) {
        $bits = parse_url($url);
        $host = $bits['host'];
        $port = isset($bits['port']) ? $bits['port'] : 80;
        $path = isset($bits['path']) ? $bits['path'] : '/';
        if (isset($bits['query'])) {
            $path .= '?'.$bits['query'];
        }
        $client = new HttpClient($host, $port);
        if (!$client->get($path)) {
            return false;
        } else {
            return $client->getContent();
        }
    }
    function quickPost($url, $data) {
        $bits = parse_url($url);
        $host = $bits['host'];
        $port = isset($bits['port']) ? $bits['port'] : 80;
        $path = isset($bits['path']) ? $bits['path'] : '/';
        $client = new HttpClient($host, $port);
        if (!$client->post($path, $data)) {
            return false;
        } else {
            return $client->getContent();
        }
    }
    function debug($msg, $object = false) {
        if ($this->debug) {
            print '<div style="border: 1px solid red; padding: 0.5em; margin: 0.5em;"><strong>HttpClient Debug:</strong> '.$msg;
            if ($object) {
                ob_start();
        	    print_r($object);
        	    $content = htmlentities(ob_get_contents());
        	    ob_end_clean();
        	    print '<pre>'.$content.'</pre>';
        	}
        	print '</div>';
        }
    }   
}




class Page 
{
  var $engine;
  function __construct(&$app)
  {
    $this->app = &$app;
    //$this->engine = &$engine;
  }

  /// load a themeset set
  function LoadTheme($theme)
  {
    //$this->app->Tpl->ReadTemplatesFromPath("themes/$theme/templates/");
    $this->app->Tpl->ReadTemplatesFromPath("themes/$theme/templates/");
  }

  /// show complete page
  function Show()
  {
    return $this->app->Tpl->FinalParse('update.tpl');
  }
}

class Session {

  // set check to true when user have permissions
  private $check = false;

  public $module;
  public $action;

  // application object
  public  $app;


  function __construct() 
  {


  }


  function Check($appObj)
  {
    $this->app = $appObj;
    $this->check =  true;

    if(!$this->app->acl->CheckTimeOut()){
      $this->check = false;
      $this->reason = "PLEASE_LOGIN";
    } else {
      //benutzer ist schon mal erfolgreich angemeldet
      if($this->app->User->GetType()=='admin'){
        $this->check =  true;
      } else {
        $this->reason = "NO_PERMISSIONS";
        $this->check = false;
      }
    }
  }

  function GetCheck() { return $this->check; }

  function UserSessionCheck()
  {
    $this->check=false;
    $this->reason="PLEASE_LOGIN";
    //$this->reason="SESSION_TIMEOUT";
    return true;
  }


}


class WawiString 
{


  function __construct()
  {
  }

  function Convert($value,$input,$output)
  {
    if($input=="")
      return $value;

    $array = $this->FindPercentValues($input);
    $regexp = $this->BuildRegExp($array);

    $elements =
      preg_split($regexp,$value,-1,PREG_SPLIT_DELIM_CAPTURE | PREG_SPLIT_NO_EMPTY);

    // input und elements stimmmen ueberein

    $newout = $output;
    $i = 0;
    foreach($array as $key=>$value)
    {
      $newout = str_replace($key,$elements[$i],$newout);
      $i++;
    }
    return $newout;
  }


  function BuildRegExp($array)
  {

    $regexp = '/^';
    foreach($array as $value)
    {
      $value = str_replace('.','\.',$value);
      $value = str_replace('+','\+',$value);
      $value = str_replace('*','\*',$value);
      $value = str_replace('?','\?',$value);
      $regexp .= '(\S+)'.$value;
    }
    $regexp .= '/';

    return $regexp;
  }

  function FindPercentValues($pattern)
  {
    preg_match_all('/(?:(%[0-9]+)|.)/i', $pattern, $matches);

    $start = true;
    foreach($matches[1] as $key=>$value)
    {
      if($value=="")
	$collecting = true;
      else
      {
	$collecting = false;
	$oldhash = $hash;
	$hash = $value;
      }

      if(!$collecting)
      {
	if(!$start)
	  $replace[$oldhash] = $collect;
	$collect="";
      }
      else
	$collect .=$matches[0][$key];
      $start = false;
    }
    $replace[$hash] = $collect;
    return $replace;
  }

  function encodeText($string)
  {
    $string = str_replace("\\r\\n","#BR#",$string);
    $string = str_replace("\n","#BR#",$string);
    $encoded = htmlspecialchars(stripslashes($string), ENT_QUOTES); 

   
    return $encoded;
  }

 function decodeText($_str, $_form=true) 
 {
   if ($_form) {
     $_str      = str_replace("#BR#", "\r\n", $_str);
   }
   else {
     $_str      = str_replace("#BR#", "<br>", $_str);
   }
   return($_str);
 }

	function valid_utf8( $string )
	{
		return !((bool)preg_match('~\xF5\xF6\xF7\xF8\xF9\xFA\xFB\xFC\xFD\xFE\xFF\xC0\xC1~ms',$string));
	}

}
class phpWFAPI
{
  function __construct(&$app)
  {
    $this->app=&$app;
  }

  function ReBuildPageFrame()
  {
    $this->app->Tpl->ResetParser();
    $this->BuildPageFrame();
  }


  function BuildPageFrame()
  {
    $this->app->Tpl->ReadTemplatesFromPath("phpwf/defaulttemplates/");

    // build template tree
    $this->app->Page->LoadTheme($this->app->WFconf[defaulttheme]);


    // start acutally application instance
    $this->app->Tpl->ReadTemplatesFromPath("pages/content/_gen");
    $this->app->Tpl->ReadTemplatesFromPath("pages/content/");
  }


  function StartRequestedCommand()
  {
    $defaultpage = $this->app->WFconf[defaultpage];
    $defaultpageaction = $this->app->WFconf[defaultpageaction];
  
    $module = $this->app->Secure->GetGET('module','alpha'); 
    $action = $this->app->Secure->GetGET('action','alpha'); 
    
    if(!file_exists("pages/".$module.".php"))
      $module = $defaultpage;
   
    if($action=="")
      $action = $defaultpageaction;
   
    if(!$this->app->acl->Check($this->app->User->GetType(),$module,$action))
      return;


    // start module
    if(file_exists("pages/".$module.".php"))
    {
      include("pages/".$module.".php");
      //create dynamical an object
      $constr=strtoupper($module{0}).substr($module, 1);
      $myApp = new $constr($this->app);
    } 
    else 
    {
      echo $this->app->WFM->Error("Module <b>$module</b> doesn't exists in pages/");

    }
    $this->app->acl->CheckTimeOut();
  }

  /// mit dem "erstellen Formular" einfach bearbeiten liste + formular anzeigen
  function EasyTableList($tablename,$cols,$parsetarget,$pkname,$delmsg,$delmsgcol)
  {
    // show list

    // create html table
    $table = new HTMLTable("0","100%");
    $table->AddRowAsHeading($cols); 
      
    $all = $this->app->DB->SelectTable($tablename,$cols);

    $table->AddField($all); 

    $action = $this->app->Secure->GetGET("action","alpha");
    $module = $this->app->Secure->GetGET("module","alpha");

    $table->AddCompleteCol(0,
      "<a href=\"index.php?module=$module&action=$action&id=%col%\">bearbeiten</a>");
    
    $table->AddCompleteCol(0,
      "<a href=\"#\" onclick=\"str = confirm('{$delmsg}');
      if(str!='' & str!=null) 
      window.document.location.href='index.php?module=$module&action=$action&id=%col%&formaction=delete';\">
      loeschen</a>",$delmsgcol);
 
    $table->ChangingRowColors('#ffffff','#dddddd');
      
    $this->app->Tpl->Set($parsetarget,$table->Get()); 
  }

  function Message($msg,$parsetarget='MSGBOX')
  {
    $this->app->Tpl->Add('MSGBOXTEXT',$msg);
    $this->app->Tpl->Parse($parsetarget,"messagebox.tpl");
  }
  // emailvorlage aus db senden

  function EmailFromTemplate($template,$to,$values)
  {
    $betreff = $this->app->DB->Select("SELECT betreff 
      FROM emailvorlagen WHERE name='$template' LIMIT 1");

    $nachricht = $this->app->DB->Select("SELECT nachricht 
      FROM emailvorlagen WHERE name='$template' LIMIT 1");

    if(count($values) > 0)
    {
      foreach($values as $key=>$value)
      {
        $nachricht = str_replace("%".$key."%",$value,$nachricht);
        $betreff = str_replace("%".$key."%",$value,$betreff);
      }
    }
    
    $nachricht = str_replace('#BR#',"\n",$nachricht);
    mail($to,$betreff,$nachricht,"From: ActConnect Team <info@actconnect.de>");

  }
}
class Secure 
{
  var $GET;
  var $POST;


  function __construct(&$app){
    $this->app = &$app;
    // clear global variables, that everybody have to go over secure layer
    $this->GET = $_GET;
    //    $_GET="";
    $this->POST = $_POST;
    //   $_POST="";

    $this->AddRule('notempty','reg','.'); // at least one sign
    $this->AddRule('alpha','reg','[a-zA-Z]');
    $this->AddRule('digit','reg','[0-9]');
    $this->AddRule('space','reg','[ ]');
    $this->AddRule('specialchars','reg','[_-]');
    $this->AddRule('email','reg','^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.([a-zA-Z]{2,4})$');
    $this->AddRule('datum','reg','([0-9]{1,2})\.([0-9]{1,2})\.([0-9]{4})');

    $this->AddRule('username','glue','alpha+digit');
    $this->AddRule('password','glue','alpha+digit+specialchars');
  }


  function GetGET($name,$rule="",$maxlength="",$sqlcheckoff="")
  {
    return $this->Syntax(isset($this->GET[$name])?$this->GET[$name]:'',$rule,$maxlength,$sqlcheckoff);
  }

  function GetPOST($name,$rule="",$maxlength="",$sqlcheckoff="")
  {
    return $this->Syntax(isset($this->POST[$name])?$this->POST[$name]:'',$rule,$maxlength,$sqlcheckoff);
  }

  function GetPOSTForForms($name,$rule="",$maxlength="",$sqlcheckoff="")
  {
    return $this->SyntaxForForms($this->POST[$name],$rule,$maxlength,$sqlcheckoff);
  }



  function GetPOSTArray()
  {
    if(count($this->POST)>0)
    {
      foreach($this->POST as $key=>$value)
      {
        $key = $this->GetPOST($key,"alpha+digit+specialchars",20);
        $ret[$key]=$this->GetPOST($value);
      }	
    }
    if(isset($ret))return $ret;
  }

  function GetGETArray()
  {
    if(count($this->GET)>0)
    {
      foreach($this->GET as $key=>$value)
      {
        $key = $this->GetGET($key,"alpha+digit+specialchars",20);
        $ret[$key]=$this->GetGET($value);
      }	
    }
    if(isset($ret))return $ret;
    return;
  }

  function stripallslashes($string) {

    while(strchr($string,'\\')) {
      $string = stripslashes($string);
    }
    return $string;
  } 

  function smartstripslashes($str) {
    $cd1 = substr_count($str, "\"");
    $cd2 = substr_count($str, "\\\"");
    $cs1 = substr_count($str, "'");
    $cs2 = substr_count($str, "\\'");
    $tmp = strtr($str, array("\\\"" => "", "\\'" => ""));
    $cb1 = substr_count($tmp, "\\");
    $cb2 = substr_count($tmp, "\\\\");
    if ($cd1 == $cd2 && $cs1 == $cs2 && $cb1 == 2 * $cb2) {
      return strtr($str, array("\\\"" => "\"", "\\'" => "'", "\\\\" => "\\"));
    }
    return $str;
  }

  function SyntaxForForms($value,$rule,$maxlength="",$sqlcheckoff="")
  {
    return $value;//mysqli_real_escape_string($this->app->DB->connection,$value);//mysqli_real_escape_string($value);
  }

  // check actual value with given rule
  function Syntax($value,$rule,$maxlength="",$sqlcheckoff="")
  {
    $value = str_replace("\xef\xbb\xbf","NONBLOCKINGZERO",$value);
    if(is_array($value))
    {
      return $value;
    }

    $value = $this->stripallslashes($value);
    $value = $this->smartstripslashes($value);

    $value = $this->app->erp->superentities($value);		

    if($rule=="" && $sqlcheckoff == "")
    {
      return mysqli_real_escape_string($this->app->DB->connection,$value);//mysqli_real_escape_string($value);
    }elseif($rule=="" && $sqlcheckoff != "")
    {
      return $value;
    }

    // build complete regexp

    // check if rule exists

    if($this->GetRegexp($rule)!=""){
      //$v = '/^['.$this->GetRegexp($rule).']+$/';
      $v = $this->GetRegexp($rule);
      if (preg_match_all('/'.$v.'/i', $value, $teffer) )
      {
        if($sqlcheckoff=="")
          return mysqli_real_escape_string($this->app->DB->connection,$value);//mysqli_real_escape_string($value);
        else
          return $value;
      }
      else
        return "";
    }
    else
    {
      echo "<table border=\"1\" width=\"100%\" bgcolor=\"#FFB6C1\">
        <tr><td>Rule <b>$rule</b> doesn't exists!</td></tr></table>";
      return "";
    }
  }


  function RuleCheck($value,$rule)
  {
    $v = $this->GetRegexp($rule);
    if (preg_match_all('/'.$v.'/i', $value, $teffer) )
      return true;
    else
      return false;
  }

  function AddRule($name,$type,$rule)
  {
    // type: reg = regular expression
    // type: glue ( already exists rules copy to new e.g. number+digit)
    $this->rules[$name]=array('type'=>$type,'rule'=>$rule);
  }

  // get complete regexp by rule name
  function GetRegexp($rule)
  {
    $rules = explode("+",$rule);
    $ret = '';
    foreach($rules as $key)
    {
      // check if rule is last in glue string
      if($this->rules[$key]['type']=="glue")
      {
        $subrules = explode("+",$this->rules[$key]['rule']);
        if(count($subrules)>0)
        {
          foreach($subrules as $subkey)
          {
            $ret .= $this->GetRegexp($subkey);
          }
        }
      }
      elseif($this->rules[$key]['type']=="reg")
      {
        $ret .= $this->rules[$key]['rule'];
      }
      else
      {
        //error
      }
    }
    if($ret=="")
      $ret = "none";
    return $ret;
  }

}
class Acl 
{
  //var $engine;
  function __construct(&$app)
  {
    $this->app = &$app;
  }


  function CheckTimeOut()
  {
    $this->session_id = session_id();

    if(isset($_COOKIE["CH42SESSION"]) && $_COOKIE["CH42SESSION"]!="")
    {
      $this->session_id = $_COOKIE["CH42SESSION"];
      $this->app->DB->Update("UPDATE useronline SET time=NOW(),login=1 WHERE sessionid='".$this->app->DB->real_escape_string($_COOKIE["CH42SESSION"])."' LIMIT 1");
    }

    // check if user is applied 
    // 	$this->app->DB->Delete("DELETE FROM useronline WHERE user_id='".$this->app->User->GetID()."' AND sessionid!='".$this->session_id."'");
    $sessid =  $this->app->DB->Select("SELECT sessionid FROM useronline,user WHERE
          login='1' AND sessionid='".$this->app->DB->real_escape_string($this->session_id)."' AND user.id=useronline.user_id AND user.activ='1' LIMIT 1");

    if($this->session_id == $sessid)
    { 
      // check if time is expired
      $time =  $this->app->DB->Select("SELECT UNIX_TIMESTAMP(time) FROM useronline,user WHERE
            login='1' AND sessionid='".$this->app->DB->real_escape_string($this->session_id)."' AND user.id=useronline.user_id AND user.activ='1' LIMIT 1");

      if((time()-$time) > $this->app->Conf->WFconf['logintimeout'])
      {
        if(!isset($_COOKIE["CH42SESSION"]) || $_COOKIE["CH42SESSION"]=="")
        {
          //$this->app->WF->ReBuildPageFrame();
          $this->Logout("Ihre Zeit ist abgelaufen, bitte melden Sie sich erneut an.",true);
          return false;
        }
      }
      else {
        // update time
        $this->app->DB->Update("UPDATE useronline,user SET useronline.time=NOW() WHERE
            login='1' AND sessionid='".$this->app->DB->real_escape_string($this->session_id)."' AND user.id=useronline.user_id AND user.activ='1'");

        session_write_close(); // Blockade wegnehmen           

        return true; 
      }
    }

  }

  function Check($usertype,$module='',$action='', $userid='')
  {
    if($usertype=="admin")
      return true;
    return false;
  }

  function Login()
  {
    $username = $this->app->DB->real_escape_string($this->app->Secure->GetPOST("username"));
    $password = $this->app->Secure->GetPOST("password");
    $passwordunescaped = $this->app->Secure->GetPOST('password',"","","noescape");
    $stechuhrdevice = $this->app->Secure->GetPOST('stechuhrdevice');
    /*if($this->app->Secure->GetPOST('isbarcode'))
    {
      setcookie('nonavigation',true);
      /*$creda = explode('!!!',$username,2);
      $username = $creda[0];
      $password = $creda[1];*/
     /*
    } else {
      setcookie('nonavigation',false);
    }*/

    $token = $this->app->Secure->GetPOST("token");


    if($username=="" && ($password=="" || $token=="") && $stechuhrdevice == ""){
      setcookie('nonavigation',false);
      $this->app->Tpl->Set('LOGINMSG',"Bitte geben Sie Benutzername und Passwort ein.");  
      //if(isset($this->app->Conf->WFtpllogin) && $this->app->Conf->WFtpllogin && file_exists(dirname(__FILE__).'/../../www/themes/'.$this->app->Conf->WFconf[defaulttheme].'/templates/'.$this->app->Conf->WFtpllogin)){

      $this->app->Tpl->Parse('PAGE',"updatelogin.tpl");
    }
    /* elseif($username==""||$password==""){
       $this->app->Tpl->Set(LOGINERRORMSG,"Bitte geben Sie einen Benutzername und ein Passwort an.");  
       $this->app->Tpl->Parse(PAGE,"updatelogin.tpl");
       }*/
    else {
      // Benutzer hat Daten angegeben
      $encrypted = $this->app->DB->Select("SELECT password FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");

      $encrypted_md5 = $this->app->DB->Select("SELECT passwordmd5 FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");

      $fehllogins= $this->app->DB->Select("SELECT fehllogins FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");

      //$fehllogins=0;

      $type= $this->app->DB->Select("SELECT type FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");

      $externlogin= $this->app->DB->Select("SELECT externlogin FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");

      $hwtoken = $this->app->DB->Select("SELECT hwtoken FROM user
          WHERE username='".$username."' AND activ='1' LIMIT 1");
      
      $usesha512 = true;
      $salt = $this->app->DB->Select("SELECT salt FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
      $passwordsha512 = $this->app->DB->Select("SELECT passwordsha512 FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
      if($this->app->DB->error())$usesha512 = false;
      
      $stechuhrdevicelogin = false;
      $code = $this->app->Secure->GetPOST('code');
      $devices = $this->app->DB->SelectArr("SELECT * from stechuhrdevice where aktiv = 1 and code = '$code'");
      if($devices)
      {
        $IP = $_SERVER['REMOTE_ADDR'];
        foreach($devices as $device)
        {
          $IP = ip2long($_SERVER['REMOTE_ADDR']);
          $devIP = ip2long($device['IP']);
          $submask = ip2long($device['submask']);
          
          $maskIP = $IP & $submask;
          $dbIP = $devIP & $submask;
          if($maskIP == $dbIP)
          {
            $stechuhrdevicelogin = true;
          }
        }
      }
      if($code && !$stechuhrdevicelogin)
      {
        setcookie('nonavigation',false);
        $this->app->Tpl->Set('RESETSTORAGE','
              var devicecode = localStorage.getItem("devicecode"); 
      if(devicecode)
      {
        localStorage.setItem("devicecode", "");
      }

        ');
      }
      // try login and set user_login if login was successfull
      // wenn intern geht immer passwort???
      //$hwtoken=0;

      // MOTP

      $user_id="";

      $userip = $_SERVER['REMOTE_ADDR'];
      $ip_arr = explode('.',$userip);

      if($ip_arr[0]=="192" || $ip_arr[0]=="10" || $ip_arr[0]=="127")
        $localconnection = 1;
      else 
        $localconnection = 0;


      //HACK intern immer Passwort
      //if($localconnection==1)
      //  $hwtoken=0;
      if($stechuhrdevicelogin && $stechuhrdevice)
      {
        $nr = substr($stechuhrdevice,0,6);
        if(is_numeric($nr) && strlen($stechuhrdevice) > 200)
        {
          $user_id = $this->app->DB->Select("SELECT id FROM user WHERE username = '$nr' and hwtoken = 4 LIMIT 1");
          if($user_id)
          {
            
            $encrypted = $this->app->DB->Select("SELECT password FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");

            $encrypted_md5 = $this->app->DB->Select("SELECT passwordmd5 FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");

            $fehllogins= $this->app->DB->Select("SELECT fehllogins FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");

            //$fehllogins=0;

            $type= $this->app->DB->Select("SELECT type FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");

            $externlogin= $this->app->DB->Select("SELECT externlogin FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");

            $hwtoken = $this->app->DB->Select("SELECT hwtoken FROM user
                WHERE id='".$user_id."' AND activ='1' LIMIT 1");
            
            $usesha512 = true;
            $salt = $this->app->DB->Select("SELECT salt FROM user WHERE id='".$user_id."' AND activ='1' LIMIT 1");
            $passwordsha512 = $this->app->DB->Select("SELECT passwordsha512 FROM user WHERE id='".$user_id."' AND activ='1' LIMIT 1");
            if($this->app->DB->error())
            {
              $usesha512 = false;
            }
            
            $stechuhruser = $this->app->DB->Select("SELECT stechuhrdevice FROM user WHERE id = '$user_id'");
            {
              if($stechuhrdevice == $stechuhruser)
              {
                setcookie('nonavigation',true);
              } elseif($stechuhruser == "") {
                $this->app->DB->Update("UPDATE user set stechuhrdevice = '$stechuhrdevice' where id = '$user_id' LIMIT 1");
                setcookie('nonavigation',true);
              } else {
                $user_id = "";
                setcookie('nonavigation',false);
              }
            }
          }
        }
      }
      elseif($hwtoken==1) //motp
      {
        setcookie('nonavigation',false);
        $pin = $this->app->DB->Select("SELECT motppin FROM user
            WHERE username='".$username."' AND activ='1' LIMIT 1");

        $secret = $this->app->DB->Select("SELECT motpsecret FROM user
            WHERE username='".$username."' AND activ='1' LIMIT 1");

        if($this->mOTP($pin,$token,$secret) && $fehllogins<8 && (md5($password ) == $encrypted_md5 || md5($passwordunescaped ) == $encrypted_md5))
        {
          $user_id = $this->app->DB->Select("SELECT id FROM user
              WHERE username='".$username."' AND activ='1' LIMIT 1");
        } else { $user_id = ""; }

      } 
      //picosafe login
      else if ($hwtoken==2)
      {
        setcookie('nonavigation',false);
        //include("/var/www/wawision/trunk/phpwf/plugins/class.picosafelogin.php");
        $myPicosafe = new PicosafeLogin();

        $aes = $this->app->DB->Select("SELECT hwkey FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
        $datablock = $this->app->DB->Select("SELECT hwdatablock FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
        $counter = $this->app->DB->Select("SELECT hwcounter FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");

        $myPicosafe->SetUserAES($aes);
        $myPicosafe->SetUserDatablock($datablock);
        $myPicosafe->SetUserCounter($counter);		

        if($encrypted_md5!="")
        {
          if ( $myPicosafe->LoginOTP($token) && (md5($password) == $encrypted_md5 || md5($passwordunescaped) == $encrypted_md5)  && $fehllogins<8)
          {
            $user_id = $this->app->DB->Select("SELECT id FROM user
                WHERE username='".$username."' AND activ='1' LIMIT 1");

            // Update counter
            $newcounter = $myPicosafe->GetLastValidCounter();
            $this->app->DB->Update("UPDATE user SET hwcounter='$newcounter' WHERE id='$user_id' LIMIT 1");

          } else {
            //echo $myPicosafe->error_message;
            $user_id = "";
          }
        } else {

          if ( $myPicosafe->LoginOTP($token) && (crypt( $password,  $encrypted ) == $encrypted || crypt( $passwordunescaped,  $encrypted ) == $encrypted)  && $fehllogins<8)
          {
            $user_id = $this->app->DB->Select("SELECT id FROM user
                WHERE username='".$username."' AND activ='1' LIMIT 1");

            // Update counter
            $newcounter = $myPicosafe->GetLastValidCounter();
            $this->app->DB->Update("UPDATE user SET hwcounter='$newcounter' WHERE id='$user_id' LIMIT 1");

          } else {
            //echo $myPicosafe->error_message;
            $user_id = "";
          }
        }
      }
      //wawision otp 
      else if ($hwtoken==3)
      {
        setcookie('nonavigation',false);
        $wawi = new WaWisionOTP();
        $hwkey = $this->app->DB->Select("SELECT hwkey FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
        $hwcounter = $this->app->DB->Select("SELECT hwcounter FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");
        $hwdatablock = $this->app->DB->Select("SELECT hwdatablock FROM user WHERE username='".$username."' AND activ='1' LIMIT 1");

        //$wawi->SetKey($hwkey);
        //$wawi->SetCounter($hwcounter);

        $serial =$hwdatablock;
        //$key = pack('V*', 0x01,0x02,0x03,0x04);
        $hwkey = trim(str_replace(' ','',$hwkey));
        $hwkey_array = explode(",",$hwkey);  
        $key = pack('V*', $hwkey_array[0], $hwkey_array[1], $hwkey_array[2], $hwkey_array[3]);
        $check = (int)$wawi->wawision_pad_verify($token,$key,$serial);

        // Fix fuer HW
        if($check >= 2147483647) $check = 0;

        if($encrypted_md5!="")
        {
          if ( $check > 0 && (md5($password) == $encrypted_md5 || md5($passwordunescaped) == $encrypted_md5)  && $fehllogins<8 && $check > $hwcounter)
          {
            $user_id = $this->app->DB->Select("SELECT id FROM user
                WHERE username='".$username."' AND activ='1' LIMIT 1");

            // Update counter
            $this->app->DB->Update("UPDATE user SET hwcounter='$check' WHERE id='$user_id' LIMIT 1");
            $this->app->erp->SystemLog("WaWision Login OTP Success User: $username Token: $token");

          } else {
            if($check===false)
            {
              $this->app->erp->SystemLog("WaWision Login OTP Falscher Key (Unkown Key) User: $username Token: $token");
            } else if ($check < $hwcounter && $check > 0)
            {
              $this->app->erp->SystemLog("WaWision Login OTP Counter Fehler (Replay Attacke) User: $username Token: $token");
            }
            //echo $myPicosafe->error_message;
            $user_id = "";
          }
        } else {
/*
          if ( $wawi->LoginOTP($token) && crypt( $password,  $encrypted ) == $encrypted  && $fehllogins<8)
          {
            $user_id = $this->app->DB->Select("SELECT id FROM user
                WHERE username='".$username."' AND activ='1' LIMIT 1");

            // Update counter
            $newcounter = $wawi->GetLastValidCounter();
            $this->app->DB->Update("UPDATE user SET hwcounter='$newcounter' WHERE id='$user_id' LIMIT 1");
          } else {

*/
            //echo $myPicosafe->error_message;
            $user_id = "";
//          }
        }
      }

      else {
        setcookie('nonavigation',false);
        if(!empty($passwordsha512) && $usesha512)
        {
          if(hash('sha512',$passwordunescaped.$salt) === $passwordsha512 && $fehllogins<8)
          {
            $user_id = $this->app->DB->Select("SELECT id FROM user
                WHERE username='".$username."' AND activ='1' LIMIT 1");
          }else{
            $user_id = "";
          }
        }elseif($encrypted_md5!=""){
          if ((md5($password ) == $encrypted_md5 || md5($passwordunescaped) == $encrypted_md5) && $fehllogins<8)
          {
            if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre"){
              $user_id = $this->app->DB->Select("SELECT id FROM \"user\"
                  WHERE username='".$username."' AND activ='1' LIMIT 1");
            } else {
              $user_id = $this->app->DB->Select("SELECT id FROM user
                  WHERE username='".$username."' AND activ='1' LIMIT 1");
            }
            if($user_id && $usesha512)
            {
              $salt = $this->app->DB->Select("SELECT salt FROM user WHERE id = '$user_id' LIMIT 1");
              $sha512 = $this->app->DB->Select("SELECT passwordsha512 FROM user WHERE id = '$user_id' LIMIT 1");
              if(empty($salt) && empty($sha512))
              {
                $salt = hash('sha512',microtime(true));
                $sha512 = hash('sha512',$passwordunescaped.$salt);
                $this->app->DB->Update("UPDATE user SET salt = '$salt', passwordsha512 = '$sha512' WHERE id = '$user_id' LIMIT 1");
              }
            }
          }
          else { $user_id = ""; }
        } else {
          if (((crypt( $password,  $encrypted ) == $encrypted) || (crypt( $passwordunescaped,  $encrypted ) == $encrypted))  && $fehllogins<8)
          {
            if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre"){
              $user_id = $this->app->DB->Select("SELECT id FROM \"user\"
                  WHERE username='".$username."' AND activ='1' LIMIT 1");
            } else {
              $user_id = $this->app->DB->Select("SELECT id FROM user
                  WHERE username='".$username."' AND activ='1' LIMIT 1");

            }
            if($user_id && $usesha512)
            {
              $salt = $this->app->DB->Select("SELECT salt FROM user WHERE id = '$user_id' LIMIT 1");
              $sha512 = $this->app->DB->Select("SELECT passwordsha512 FROM user WHERE id = '$user_id' LIMIT 1");
              if(empty($salt) && empty($sha512))
              {
                $salt = hash('sha512',microtime(true));
                $sha512 = hash('sha512',$passwordunescaped.$salt);
                $this->app->DB->Update("UPDATE user SET salt = '$salt', passwordsha512 = '$sha512' WHERE id = '$user_id' LIMIT 1");
              }
            }
          }
          else { $user_id = ""; }
        }
      }

      //$password = substr($password, 0, 8); //TODO !!! besseres verfahren!!

      //pruefen ob extern login erlaubt ist!!

      // wenn keine externerlogin erlaubt ist und verbindung extern
      if($externlogin==0 && $localconnection==0)
      {
        $this->app->Tpl->Set('LOGINERRORMSG',"Es ist kein externer Login mit diesem Account erlaubt.");  
        $this->app->Tpl->Parse('PAGE',"updatelogin.tpl");
      }
      else if(is_numeric($user_id))
      { 

        $this->app->DB->Delete("DELETE FROM useronline WHERE user_id='".$user_id."'");

        $this->app->DB->Insert("INSERT INTO useronline (user_id, sessionid, ip, login, time)
            VALUES ('".$user_id."','".$this->session_id."','".$_SERVER['REMOTE_ADDR']."','1',NOW())");

        $this->app->DB->Select("UPDATE user SET fehllogins=0
            WHERE username='".$username."' LIMIT 1");

        $this->app->erp->calledOnceAfterLogin($type);

        $module=$this->app->Secure->GetGET("module");
        $action=$this->app->Secure->GetGET("action");
        $id=$this->app->Secure->GetGET("id");

        //$this->app->erp->LogFile("LOG IN $module ".$_SERVER['HTTP_REFERER']);

        $ref = $_SERVER['HTTP_REFERER'];
        $refData = parse_url($ref);
        if($refData['query']!="")
        {
          header("Location: index.php?".$refData['query']);
          exit;
        }


        $this->app->erp->Startseite();

        exit;
      }
      else if ($fehllogins>=8)
      {
        $this->app->Tpl->Set('LOGINERRORMSG',"Max. Anzahl an Fehllogins erreicht. Bitte wenden Sie sich an Ihren Administrator.");  
        $this->app->Tpl->Parse('PAGE',"updatelogin.tpl");
      }
      else
      { 

        if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
          $this->app->DB->Select("UPDATE \"user\" SET fehllogins=fehllogins+1 WHERE username='".$username."'");
        else
          $this->app->DB->Select("UPDATE user SET fehllogins=fehllogins+1 WHERE username='".$username."' LIMIT 1");

        $this->app->Tpl->Set('LOGINERRORMSG',"Benutzername oder Passwort falsch.");  
        $this->app->Tpl->Parse('PAGE',"updatelogin.tpl");
      }
    }
  }

  function Logout($msg="",$logout=false)
  {
    if($logout)
      $this->app->Tpl->Parse('PAGE',"sessiontimeout.tpl");

    $username = $this->app->User->GetName();
    $this->app->DB->Delete("DELETE FROM useronline WHERE user_id='".$this->app->User->GetID()."'");
    session_destroy();
    session_start();
    session_regenerate_id(true);
    $_SESSION['database']="";


    if(!$logout)
    {
      header("Location: ".$this->app->http."://".$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['REQUEST_URI']),'/'));
      exit;
    }
    //$this->app->Tpl->Set(LOGINERRORMSG,$msg);  
    //$this->app->Tpl->Parse(PAGE,"updatelogin.tpl");
  }


  function CreateAclDB()
  {

  }

  function mOTP($pin,$otp,$initsecret)
  {

    $maxperiod = 3*60; // in seconds = +/- 3 minutes
    $time=gmdate("U");
    for($i = $time - $maxperiod; $i <= $time + $maxperiod; $i++)
    {
      $md5 = substr(md5(substr($i,0,-1).$initsecret.$pin),0,6);

      if($otp == $md5) {
        return(true);
      }
    }
    return(false);
  }



}
class User 
{
  var $cache;
  function __construct(&$app)
  {
    $this->app = &$app;
  }

  function GetID()
  { 
    if(isset($_COOKIE["CH42SESSION"]) && $_COOKIE["CH42SESSION"]!="")$tmp = $_COOKIE["CH42SESSION"]; else $tmp = session_id();
    if(!$this->cache || $this->cache['time'] +10 < microtime(true) || $this->cache['tmp'] != $tmp)
    {
      $this->cache = null;
      $user_id = $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");
      if($user_id)
      {
        $this->cache['user_id'] = $user_id;
        $this->cache['tmp'] = $tmp;
        $this->cache['time'] = microtime(true);
      }
      return $user_id;
    }else return $this->cache['user_id'];     
    
    return $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");

    if($this->app->Conf->WFdbType=="postgre")
    {
      $result =  $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login='1'");
      //       AND ip='".$_SERVER[REMOTE_ADDR]."' AND login='1'");

      if(!is_numeric($result)) return 0; 
      return $result;

    } else {
      return $this->app->DB->Select("SELECT user_id FROM useronline WHERE sessionid='".$this->app->DB->real_escape_string($tmp)."' AND login ='1'");
      //        AND ip='".$_SERVER[REMOTE_ADDR]."' AND login='1'");
    }
  }

  function GetType()
  { 
    if($this->GetID()<=0){
      return $this->app->Conf->WFconf['defaultgroup'];
    }
    else {
      if(isset($this->cache['type']))return $this->cache['type'];
      
      if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
      {
        $type = $this->app->DB->Select("SELECT type FROM \"user\" WHERE id='".$this->GetID()."'");
        $this->cache['type'] = $type;
      }
      else {
        $type = $this->app->DB->Select("SELECT type FROM user WHERE id='".$this->GetID()."'");
        $this->cache['type'] = $type;
      }
      if($type=="")
      {
        $type = $this->app->Conf->WFconf['defaultgroup'];
        $this->cache['type'] = $type;
      }

      return $type;
    }
  }

  function GetParameter($index)
  {
    $id = $this->GetID();

    if($index!="")
    {
      if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
        $settings = $this->app->DB->Select("SELECT settings FROM \"user\" WHERE id='$id' LIMIT 1");
      else
        $settings = $this->app->DB->Select("SELECT settings FROM user WHERE id='$id' LIMIT 1");

      $settings = unserialize($settings);

      if(isset($settings[$index]))
        return $settings[$index];
    } 
  } 

  // value koennen beliebige Datentypen aus php sein (serialisiert) 
  function SetParameter($index,$value)
  {
    $id = $this->GetID();

    if($index!="" && isset($value))
    {
      $settings = $this->app->DB->Select("SELECT settings FROM user WHERE id='$id' LIMIT 1");
      $settings = unserialize($settings); 

      $settings[$index] = $value;

      $settings = serialize($settings);
      $this->app->DB->Update("UPDATE user SET settings='$settings' WHERE id='$id' LIMIT 1");
      $this->cache = null;
    }
  }



  function GetUsername()
  {
    if(isset($this->cache['username']))return $this->cache['username'];
    if($this->app->Conf->WFdbType=="postgre")
      $username = $this->app->DB->Select("SELECT username FROM \"user\" WHERE id='".$this->GetID()."'");
    else
      $username = $this->app->DB->Select("SELECT username FROM user WHERE id='".$this->GetID()."'");
    $this->cache['username'] = $username;
    return $username;
  }

  function GetDescription()
  { 
    /*
       if($this->app->Conf->WFdbType=="postgre")
       return $this->app->DB->Select("SELECT description FROM \"user\" WHERE id='".$this->GetID()."'");
       else
       return $this->app->DB->Select("SELECT description FROM user WHERE id='".$this->GetID()."'");
     */
    return $this->GetName();
  }

  function GetMail()
  { 
    return $this->app->DB->Select("SELECT email FROM adresse WHERE id='".$this->GetAdresse()."'");
  }


  function GetName()
  { 
    if(isset($this->cache['name']))return $this->cache['name'];
    $name = $this->app->DB->Select("SELECT name FROM adresse WHERE id='".$this->GetAdresse()."'");
    $this->cache['name'] = $name;
    return $name;
  }

  function GetSprachen()
  {
    $sprachen = $this->app->DB->Select("SELECT sprachen FROM user WHERE id = '".(int)$this->GetId()."' LIMIT 1");
    if($sprachen)
    {
      $sprachena = explode(';',str_replace(',',';',$sprachen));
      foreach($sprachena as $sprache)
      {
        $sprache = trim($sprache);
        if($sprache != '')$ret[] = $sprache;
      }
      if(isset($ret))return $ret;
    }
    return array('german','english');
  }

  function GetSprache()
  {
    $sprachen = $this->GetSprachen();
    return $sprachen[0];
  }


  function GetAdresse()
  {
    if(isset($this->cache['adresse']))return $this->cache['adresse'];
    if(isset($this->app->Conf->WFdbType) && $this->app->Conf->WFdbType=="postgre")
      $adresse = $this->app->DB->Select("SELECT adresse FROM \"user\" WHERE id='".$this->GetID()."'");
    else
      $adresse = $this->app->DB->Select("SELECT adresse FROM user WHERE id='".$this->GetID()."'");
    $this->cache['adresse'] = $adresse;
    return $adresse;
  }

  function GetProjektleiter()
  { 
    $result = $this->app->DB->SelectArr("SELECT parameter FROM adresse_rolle WHERE subjekt='Projektleiter' AND (bis='0000-00-00' OR bis < NOW()) AND adresse='".$this->app->User->GetAdresse()."'");      	


    if(count($result)>0)
      return true;
    else return false;
  }



  function DefaultProjekt()
  {
    $adresse = $this->GetAdresse();
    $projekt = $this->app->DB->Select("SELECT projekt FROM adresse WHERE id='".$adresse."'");
    if($projekt <=0)
      $projekt = $this->app->DB->Select("SELECT standardprojekt FROM firma WHERE id='".$this->app->User->GetFirma()."' LIMIT 1");

    return $projekt;
  }

  function GetEmail()
  { 
    $adresse = $this->GetAdresse();
    return $this->app->DB->Select("SELECT email FROM adresse WHERE id='".$adresse."'");
  }


  function GetFirma()
  { 
    //return $this->app->DB->Select("SELECT firma FROM adresse WHERE id='".$this->GetAdresse()."'");
    return 1;
  }


  function GetFirmaName()
  {
    if(isset($this->cache['firmaname']))return $this->cache['firmaname'];
    $name = $this->app->DB->Select("SELECT name FROM firma WHERE id='".$this->GetFirma()."'");
    $this->cache['firmaname'] = $name;
    return $name;
  }


  function GetField($field)
  { 
    return $this->app->DB->Select("SELECT $field FROM user WHERE id='".$this->GetID()."'");
  }


}

class ThemeTemplate {
  var $NAME; //Name des Templates
  var $PATH; //PFAD des Templates
  var $parsed; //Zustand 
  var $ORIGINAL; //Parse - Text Vorlage
  var $VARS; //assoziatives Array mit Variablennamen als Index
  var $Elements;
  var $vararraycreated;
  function __construct($_path, $_file){

    $this->vararraycreated = false;
    $this->PATH=$_path;
    $this->NAME=$_file;
    $this->readFile();
  }
  
  function readFile()
  {
    $_path = $this->PATH;
    $_file = $this->NAME;
    $fp=@fopen($_path.$_file,"r");
    if($fp){
      if(filesize($_path.$_file)>0)
				$contents = fread ($fp, filesize($_path.$_file));
      fclose($fp);
    }else die($_path.$_file.' not found');
    $this->ORIGINAL=isset($contents)?$contents:'';
    //$this->CreateVarArray();
  }


  function CreateVarArray(){
    $this->vararraycreated = true;
    $this->SetVar("",'');
    $pattern = '/((\[[A-Z0-9_]+\]))/';
    preg_match_all($pattern,$this->ORIGINAL,$matches, PREG_OFFSET_CAPTURE);

    //TODO Parser umbauen, damit Variablen nicht doppelt genommen werden.
    if(count($matches[0]) > 0)
    {
      for($i=0;$i<count($matches[0]);$i++)
      {
        $this->Elements[$i]['before'] = substr($this->ORIGINAL, $i==0?0:($matches[0][$i-1][1] +strlen($matches[0][$i-1][0]) ), $matches[0][$i][1] - ($i==0 ?0 :  ($matches[0][$i-1][1]+strlen($matches[0][$i-1][0])) ) );
        $this->Elements[$i]['el'] = $matches[0][$i][0];
        $this->Elements[$i]['el'] = str_replace('[','',$this->Elements[$i]['el']);
        $this->Elements[$i]['el'] = str_replace(']','',$this->Elements[$i]['el']);
        if($i > 0)$this->Elements[$i-1]['nach'] = $this->Elements[$i]['before'];
      }
      $this->Elements[count($matches[0])-1]['nach'] = substr($this->ORIGINAL, $matches[0][count($matches[0])-1][1]+strlen($matches[0][count($matches[0])-1][0]));
    }
    for($i=0;$i<count($matches[0]);$i++)
    {
      $matches[0][$i][0] = str_replace('[','',$matches[0][$i][0]);
      $matches[0][$i][0] = str_replace(']','',$matches[0][$i][0]);
      if(!isset($this->VARS[$matches[0][$i][0]]))
      {
        $this->SetVar($matches[0][$i][0],'');
      }
    }
  }

  function Parsed()
  {
    return 1;
    if($this->parsed!=1)
    {
    $fp=@fopen($this->PATH.$this->NAME,"r");
    if($fp){
      $contents = fread ($fp, filesize($this->PATH.$this->FILE));
      fclose($fp);
    }
    $this->ORIGINAL=$contents;
    $this->CreateVarArray();

    }
    $this->parsed=1;
  }

  function AddVar($_var, $_value){ $this->VARS[$_var]=$this->VARS[$_var].$_value; }
  function SetVar($_var, $_value){ $this->VARS[$_var]=$_value; }

}

/*********************** Class PcmsTemplate ****************************/
/// Main Parser for building the html skin (gui) 
class TemplateParser { 
  var $TEMPLATELIST;
  var $VARARRAY;
  var $VARVARARRAY;

  function __construct(&$app){     
		$this->app = &$app;
   	$this->TEMPLATELIST='';
    $this->VARVARARRAY = '';
    $this->ReadTemplatesFromPath('');
	}


  function GetVars($tplfile)
  {
    $fp=@fopen($tplfile,"r");
    if($fp){
      $contents = fread ($fp, filesize($tplfile));
      fclose($fp);
    }
    $suchmuster = '/[\[][A-Z_]+[\]]/';
    preg_match_all($suchmuster, $contents, $treffer);
    return $treffer[0];
  }

  function ResetParser()
  {
    unset($this->TEMPLATELIST);
    unset($this->VARARRAY);
  }

  function ReadTemplatesFromPath($_path){
    if(is_file(dirname(__FILE__).'/update.tpl'))
    {
      $this->TEMPLATELIST['update.tpl'] = new ThemeTemplate(dirname(__FILE__).'/','update.tpl');	
    }else die(dirname(__FILE__).'/update.tpl nicht gefunden');
    if(is_file(dirname(__FILE__).'/updatelogin.tpl'))
    {
      $this->TEMPLATELIST['updatelogin.tpl'] = new ThemeTemplate(dirname(__FILE__).'/','updatelogin.tpl');	
    }else die(dirname(__FILE__).'/updatelogin.tpl nicht gefunden');
  }

  function CreateVarArray(){
    foreach($this->TEMPLATELIST as $template=>$templatename){
      if(count($this->TEMPLATELIST[$template]->VARS) > 0){
        foreach($this->TEMPLATELIST[$template]->VARS as $key=>$value){
          $this->VARARRAY[$key]=$value;
        }
      }
    }
  }

  function ShowVariables(){
    foreach($this->VARARRAY as $key=>$value)
    echo "<b>$key =></b>".htmlspecialchars($value)."<br>";
  }

  function ParseVariables($text){
    foreach($this->VARARRAY as $key=>$value)
    {
      if($key=!"")
        $text = str_replace('['.$key.']',$value,$text);
    }
    // fill empty vars
    return $text;
  }

  function ShowTemplates(){
    foreach ($this->TEMPLATELIST as $key=> $value){
      foreach ($value as $key1=> $text){
        if(!is_array($text))echo "$key ".htmlspecialchars($text)."<br>";
        if(is_array($text))foreach($text as $key2=>$value2) echo $key2." ".$value2;
      }
      echo "<br><br>";
    }
  }

  function Set($_var,$_value, $variable = false){ $this->VARARRAY[$_var]=$_value; if($variable)$this->VARVARARRAY[$_var] = $variable;}

  function Add($_var,$_value, $variable = false){  
    $this->VARARRAY[$_var]=isset($this->VARARRAY[$_var])?$this->VARARRAY[$_var].$_value:$_value;
    if($variable)$this->VARVARARRAY[$_var] = $variable;
  }
  
  function Get($_var){  
    return $this->VARARRAY[$_var]." ";
  }
  
  function Output($_template)
  {
    echo $this->app->erp->ClearDataBeforeOutput($this->Parse("",$_template,1));
  }


  function OutputAsString($_template)
  {
    return $this->app->erp->ClearDataBeforeOutput($this->Parse("",$_template,1));   
	}


  function Parse($_var, $_template,$return=0){

    //$this->AjaxParse();
    //if($_var == 'PAGE')$this->app->erp->ParseMenu();
    $this->ParseVarVars();
    if($_template!=""){
      if(isset($this->TEMPLATELIST[$_template]) && !($this->TEMPLATELIST[$_template]->vararraycreated))
      {
        $this->TEMPLATELIST[$_template]->CreateVarArray();
      }
      
      //alle template variablen aufuellen mit den werten aus VARARRAY 
      if(isset($this->TEMPLATELIST[$_template]) && isset($this->TEMPLATELIST[$_template]->VARS) && count($this->TEMPLATELIST[$_template]->VARS)>0){ 
        foreach ($this->TEMPLATELIST[$_template]->VARS as $key=> $value){
          $this->TEMPLATELIST[$_template]->SetVar($key,isset($this->VARARRAY[$key])?$this->VARARRAY[$key]:'');
        }
      
        //ORIGINAL auffuellen
        $tmptpl = $this->TEMPLATELIST[$_template]->ORIGINAL;
        foreach ($this->TEMPLATELIST[$_template]->VARS as $key=>$value){
          if(!is_numeric($key) && $key!="")
          $tmptpl = str_replace("[".$key."]",$value, $tmptpl);	
        }
      } else $tmptpl = '';
      //aufgefuelltes ORIGINAL in $t_var add($_var,ORIGINAL)
      if($return==1)
        return $tmptpl;
      else
        $this->Add($_var,$tmptpl);
    }
  }

  function AddAndParse($_var, $_value, $_varparse, $_templateparse){
    $this->Set($_var, $_value);
    $this->Parse($_varparse,$_templateparse);
  }
  
  function ParseVarVars()
  {
    $pattern = '/((\[[A-Z0-9_]+\]))/';
    if(!empty($this->VARVARARRAY) && is_array($this->VARVARARRAY))
    {
      foreach($this->VARVARARRAY as $k => $el)
      {
        if(isset($matches))unset($matches);
        preg_match_all($pattern,$this->VARARRAY[$k],$matches, PREG_OFFSET_CAPTURE);

        for($i=0;$i<count($matches[0]);$i++)
        {
          $matches[0][$i][0] = str_replace('[','',$matches[0][$i][0]);
          $matches[0][$i][0] = str_replace(']','',$matches[0][$i][0]);
          if(isset($this->VARARRAY[$matches[0][$i][0]]))
          {
            $this->VARARRAY[$k] = str_replace('['.$matches[0][$i][0].']',$this->VARARRAY[$matches[0][$i][0]],$this->VARARRAY[$k]);            
          }
        }
      }
    }
  }

  function FinalParse($_template){
    
    $this->ParseVarVars();
    if(isset($this->TEMPLATELIST[$_template]) && !($this->TEMPLATELIST[$_template]->vararraycreated))
    {
      $this->TEMPLATELIST[$_template]->CreateVarArray();
    }
		$print = $this->app->Secure->GetGET("print");
		$printcontent = $this->app->Secure->GetGET("printcontent");

		if($printcontent=="") $printcontent="TAB1";
		if($print=="true") {

			switch($printtype)
			{
				default:

				$out = str_replace("[PRINT]",$this->VARARRAY[$printcontent],$this->TEMPLATELIST['print.tpl']->ORIGINAL);
				echo $out;
			}
				exit;
		}     

    if($_template!="" && isset($this->TEMPLATELIST[$_template]) && isset($this->TEMPLATELIST[$_template]->VARS)){
      //alle template variablen aufuellen mit den werten aus VARARRAY
      if(count($this->TEMPLATELIST[$_template]->VARS)>0){ 
        foreach ($this->TEMPLATELIST[$_template]->VARS as $key=> $value)
        {
          $this->TEMPLATELIST[$_template]->SetVar($key,(isset($this->VARARRAY[$key])?$this->VARARRAY[$key]:''));
        }
      }
    }
    //ORIGINAL auffuellen
    
    
    $new = false;
    if($new)
    {
      //macht Noch Probleme 
      $tmptpl = '';
      if(!empty($this->TEMPLATELIST[$_template]->Elements))
      {
        
        
        foreach($this->TEMPLATELIST[$_template]->Elements as $k)
        {
          $tmptpl .= $k['before'];
          if(!empty($this->TEMPLATELIST[$_template]->VARS[$k['el']]))
          {
            $tmptpl .= $this->TEMPLATELIST[$_template]->VARS[$k['el']];
          }
        }
        $tmptpl .= $this->TEMPLATELIST[$_template]->Elements[count($this->TEMPLATELIST[$_template]->Elements)-1]['nach'];
      }else $tmptpl = $this->TEMPLATELIST[$_template]->ORIGINAL;
    }else 
    {
      $tmptpl = $this->TEMPLATELIST[$_template]->ORIGINAL;
      if(count($this->TEMPLATELIST[$_template]->VARS)>0){ 
        foreach ($this->TEMPLATELIST[$_template]->VARS as $key=>$value)
        {
          if($key!="")
          $tmptpl = str_replace("[".$key."]",$value, $tmptpl);
        }
      }
      
      if(count($this->VARARRAY)>0)
        foreach($this->VARARRAY as $key=>$value)
        {
          if($key!="")
          $tmptpl = str_replace('['.$key.']',$value,$tmptpl);
        }
    }
    
		$tmptpl = $this->app->erp->ClearDataBeforeOutput($tmptpl);
    return $tmptpl;
  }

  function AjaxParse()
  {

    foreach($this->TEMPLATELIST as $key=>$value)
    {
      foreach ($this->TEMPLATELIST[$key]->VARS as $var=>$tmp)
      {
	if(strstr($var,"AJAX"))
	{
	  //$this->Set(AJAX_SELECT_PROJEKT,"Hallo");	
	  //$this->VARARRAY[$var]="XVZ";
	  //print_r($this->VARARRAY);
	}
      }
    }
  }


  function KeywordParse()
  {

    foreach($this->TEMPLATELIST as $key=>$value)
    {
      foreach ($this->TEMPLATELIST[$key]->VARS as $var=>$tmp)
      if(strstr($var,"AJAX"))
      {
				echo $var;
      }
    }
  }



} 

class Application
{

    var $ActionHandlerList;
    var $ActionHandlerDefault;

    function __construct($config,$group="")
    {
      session_cache_limiter('private');
      @session_start();

      $this->Conf= $config;

      if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=="on")
				$this->http = "https";
      else
				$this->http = "http";

    
      $this->Secure         = new Secure($this);   // empty $_GET, and $_POST so you
      
      // have to need the secure layer always
      $this->Tpl            = new TemplateParser($this);
      
/*
			if(WithGUI()){
      	$this->FormHandler    = new FormHandler($this);
      	$this->DatabaseForm   = new DatabaseForm($this);
      	$this->Table	    = new Table($this);
      	$this->Widget	    = new WidgetAPI($this);
      	$this->PageBuilder    = new PageBuilder($this);
      	$this->Page           = new Page($this);
      	$this->ObjAPI	    = new ObjectAPI($this);
      	$this->WFM            = new WFMonitor($this);
			}*/

      //$this->YUI            = new YUI($this);
      $this->User           = new User($this);
      $this->acl            = new Acl($this);
      $this->WF             = new phpWFAPI($this);
      $this->String         = new WawiString();

      $this->BuildNavigation = true;
          
      $this->DB             = new DB($this->Conf->WFdbhost,$this->Conf->WFdbname,$this->Conf->WFdbuser,$this->Conf->WFdbpass,$this);
      $this->Tpl->ReadTemplatesFromPath('');
			//if(WithGUI())
      //	$this->Tpl->ReadTemplatesFromPath("../phpwf/widgets/templates/");

    }


    function __destruct() {
      $this->DB->Close();
    }

    function ActionHandlerInit(&$caller)
    {
      $this->caller = &$caller;
    }

 
    function ActionHandler($command,$function)
    {
      $this->ActionHandlerList[$command]=$function; 
    }
    
    function DefaultActionHandler($command)
    {
      $this->ActionHandlerDefault=$command;
    }

   
    function ActionHandlerListen(&$app)
    {
      $fkt = '';
      $action = $app->Secure->GetGET("action","alpha");
      if($action!="")
      {
        if(isset($this->ActionHandlerList[$action]))$fkt = $this->ActionHandlerList[$action];
      }
      else
      {
        if(empty($this->ActionHandlerDefault) && isset($this->ActionHandlerList['list']))
        {
          if(empty($action))$app->Secure->GET['action'] = 'list';
          $this->ActionHandlerDefault = 'list';
        }
				if(isset($this->ActionHandlerDefault))$fkt = $this->ActionHandlerList[$this->ActionHandlerDefault];
      }

      // check permissions
      if($fkt)@$this->caller->$fkt();
    }

    
}

class Player {

  public $DefautTemplates;
  public $DefautTheme;

  // the application object
  public $app;

  function __construct()
  {
    $this->DefautTemplates="defaulttemplates";
    $this->DefautTheme="default";
  }
  
  function Run($sessionObj)
  {
    $this->app = $sessionObj->app;
    // play application only when layer 2 said that its ok
    if(!$sessionObj->GetCheck()) {
      if($sessionObj->reason=="PLEASE_LOGIN")
      {
        $action = "login";
        $this->app->Secure->GET['action']="login";
      } else {
        $action = "login";
        //echo "verboten: ".$sessionObj->reason;
      }
    } else {
      $action = $this->app->Secure->GetGET('action','alpha');

    }
    $this->app->Tpl->Set('YEAR',date('Y'));
    $this->app->Tpl->Set('BENUTZER',$this->app->User->GetName());
    //$this->app->Tpl->Set('REVISION',$this->app->erp->Revision(). " (".$this->app->erp->Branch().")");
    //$this->app->Tpl->Set('REVISIONID',$this->app->erp->RevisionPlain());
    //$this->app->Tpl->Set('BRANCH',$this->app->erp->Branch());

    $this->app->Tpl->Set('LIZENZHINWEIS','| <a href="http://www.wawision.de/lizenzhinweis" target="_blank">Lizenzhinweis</a>');
    switch($action)
    {
      case 'login':
        $this->app->Tpl->Set('UEBERSCHRIFT',"wawision &middot; Enterprise Warehouse Management");
        $this->app->acl->Login();
        echo $this->app->Tpl->FinalParse('update.tpl');
      break;
      case 'ajax':
        $data = null;
        $WAWISION['host']="update.embedded-projects.net";
        $WAWISION['port']="443";
        $cmd = $this->app->Secure->GetGET('cmd');
        switch($cmd){
          case 'checkforupdate':
            $myUpd = new UpgradeClient($WAWISION, $this->app);
            $_data = $myUpd->CheckFiles(true);
            if(is_string($_data) && strpos($_data, 'ERROR') === 0)
            {
              $data['error'] = $_data;
            }else{
              if(isset($_data['download']) && count($_data['download']) > 0)
              {
                $files = $_data['download'];
                $myUpd->DownloadFile($files);
                $_data = $myUpd->CheckFiles(true);
                if(!isset($_data['download']) || count($_data['download']) == 0)$data['reload'] = 1;
              }
              if(isset($_data['copy']) && count($_data['copy']) > 0)
              {
                $files = $_data['copy'];
                $data3 = $myUpd->CopyFile($files);
                $_data = $myUpd->CheckFiles(true);
                if(!isset($_data['copy']) || count($_data['copy']) == 0)$data['reload'] = 1;
              }
            }
          break;
          case 'changeversion':
            $version = $this->app->Secure->GetPOST('version');
            if($version)
            {
              $WAWISION['versionname'] = $version;
              $myUpd = new UpgradeClient($WAWISION, $this->app);
              $data['version'] = $myUpd->ChangeVersion();
            }else $data['error']= 'Fehler: Keine Version';
            
          break;
          case 'checkfiles':
            $version = $this->app->Secure->GetPOST('version');
            if($version)
            {
              $WAWISION['versionname'] = $version;
              $myUpd = new UpgradeClient($WAWISION, $this->app);
              $data = $myUpd->CheckFiles();
              
            }else $data['error'] = 'Fehler: Keine Version';
          break;
          case 'checkfiles2':
            $version = $this->app->Secure->GetPOST('version');
            if($version)
            {
              $WAWISION['versionname'] = $version;
              $myUpd = new UpgradeClient($WAWISION, $this->app);
              $_data = $myUpd->CheckFiles();
              $data['copy'] = isset($_data['copy']) && isset($_data['copy'][0])?count($_data['copy']):0;
              $data['download'] = isset($_data['download']) && isset($_data['download'][0])?count($_data['download']):0;
              if(isset($_data['error']))$data['error'] = $_data['error'];
              //$data = 'download '.(isset($data['download']) && isset($data['download'][0])?count($data['download']).' :'.$data['download'][0]['file']:0).' copy '.(isset($data['copy']) && isset($data['copy'][0])?count($data['copy']).' :'.$data['copy'][0]['file']:0);
            }else $data = 'Fehler: Keine Version';          
          break;
          case 'downloadfiles2':
            $version = $this->app->Secure->GetPOST('version');
            if($version)
            {
              $WAWISION['versionname'] = $version;
              $myUpd = new UpgradeClient($WAWISION, $this->app);
              $files = false;
              if($version)
              {
                $data2 = $myUpd->CheckFiles();
                if(isset($data2['download']))$files = $data2['download'];
              }
              if($version && $files)
              {
                $data3 = $myUpd->DownloadFile($files);
                $data['todownload'] = (isset($data3['todownload']) && is_array($data3['todownload']))?count($data3['todownload']):0;
              }else $data['todownload'] = null;          
              
            }else{
              $data['error'] = 'Keine Version';
            }
          break;
          case 'downloadfiles':
            $version = $this->app->Secure->GetPOST('version');
            if($version)
            {
              $WAWISION['versionname'] = $version;
              $myUpd = new UpgradeClient($WAWISION, $this->app);
              $files = json_decode(json_encode($this->app->Secure->GetPOST('files')),true);
              if($version && !$files)
              {
                $data2 = $myUpd->CheckFiles();
                if(isset($data2['todownload']))$files = $data2['todownload'];
              }
              if($version && $files)
              {
                $data = $myUpd->DownloadFile($files);
              }else $data['todownload'] = null;          
              
            }else{
              $data['error'] = 'Keine Version';
            }
          break;
          case 'copyfiles':

            $version = $this->app->Secure->GetPOST('version');
            $WAWISION['versionname'] = $version;
            $myUpd = new UpgradeClient($WAWISION, $this->app);

            $files = json_decode(json_encode($this->app->Secure->GetPOST('files')),true);
            if($version && !$files)
            {
              $data2 = $myUpd->CheckFiles();
              if(isset($data2['todownload']))
              {
                $myUpd->DownloadFile($data2['todownload']);
              }elseif(isset($data2['tocopy']))
              {
                $files = $data2['tocopy'];
              }
            }
            
            
            if($version && $files)
            {
              $data = $myUpd->CopyFile($files);

            }elseif(!$version) 
            {
              $data = array('error'=>'Keine Version'); 
            }else{
              $data = array('error'=>'Keine Version'); 
            }
          break;
          case 'copyfiles2':
            $version = $this->app->Secure->GetPOST('version');
            $WAWISION['versionname'] = $version;
            $myUpd = new UpgradeClient($WAWISION, $this->app);

            $files = false;
            if($version)
            {
              $data2 = $myUpd->CheckFiles();
              if(isset($data2['download']))
              {
                $myUpd->DownloadFile($data2['download']);
                $data2 = $myUpd->CheckFiles();
              }
              
              if(isset($data2['copy']))
              {
                $files = $data2['copy'];
              }
            }
            
            
            if($version && $files)
            {
              $data3 = $myUpd->CopyFile($files);
              $data['tocopy'] = (isset($data3['tocopy']) && is_array($data3['tocopy']))?count($data3['tocopy']):0;

            }elseif(!$version) 
            {
              $data = array('error'=>'Keine Version'); 
            }else{
              $data['tocopy'] = 0;
            }
          break;
          case 'upgradedb':

            $nummer = $this->app->Secure->GetPOST('nummer');
            $className = 'erpAPI';
            if(class_exists('erpAPICustom'))$className = 'erpAPICustom';
            $methodName = 'UpgradeDatabase';
            /*
            if(file_exists(dirname(__FILE__).'/lib/class.erpapi.php'))
            {
              include_once(dirname(__FILE__).'/lib/class.erpapi.php');
            }*/
            $r = new ReflectionMethod($className, $methodName);
            $params = $r->getParameters();
            $anzargs = count($params);
            $obj = new $className($this->app);
            if($obj)$this->app->erp = $obj;
            if($anzargs > 0)
            {
              $data['nr'] = $obj->$methodName($nummer);
            }else{
              $data['nr'] = $obj->$methodName();
            }
          
          break;
          
        }
        
        
        
        
        echo json_encode($data);
        exit;
        $myUpd = new UpgradeClient($WAWISION, $this->app);


  

        //$myUpd->Connect();
        //$myUpd->CheckCRT();
        
        $myUpd->CheckUpdate();
        $myUpd->CheckUpdateCustom();
        $myUpd->CheckUpdateModules();
        exit;
      break;
      default:
        $WAWISION['host']="update.embedded-projects.net";
        $WAWISION['port']="443";
        $myUpd = new UpgradeClient($WAWISION, $this->app);

        $res = $myUpd->CheckVersionen();
        if(isset($myUpd->errormsg) && $myUpd->errormsg)
        {
          if(is_string($myUpd->errormsg))
          {
            $res = '<b style="color:red">Fehler: '.$myUpd->errormsg.'</b>';
          }else{
            $res = json_encode($myUpd->errormsg);
          }
        }
        $this->app->Tpl->Add('PAGE',"<br><center>".$res."</center>");
        
        
        /*$md5s = $myUpd->CheckMd5();
        $md5sa = explode(';',$md5s);
        $this->app->Tpl->Add('PAGE','<table>');
        foreach($md5sa as $md5)
        {
          $this->app->Tpl->Add('PAGE','<tr>');
          $md5a = explode(':',$md5);
          foreach($md5a as $col)
          {
            $this->app->Tpl->Add('PAGE','<td>'.$col.'</td>');
          }
          $this->app->Tpl->Add('PAGE','</tr>');
        }
        $this->app->Tpl->Add('PAGE','</table>');*/
        //$this->app->Tpl->Add('PAGE',$res.$md5s);
        echo $this->app->Tpl->FinalParse('update.tpl');
      break;
    }
    
  }
}


if(is_file("../conf/main.conf.php"))
{
  include("../conf/main.conf.php");
  $config = new Config();  
  $app = new erpooSystem($config);
  $session = new Session();
  $session->Check($app);
  $player = new Player();
  $player->Run($session);
}


?>
