<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php 

class WidgetGenapi_account
{

  private $app;            //application object  
  public $form;            //store form object  
  private $parsetarget;    //target for content

  public function __construct($app,$parsetarget)
  {
    $this->app = $app;
    $this->parsetarget = $parsetarget;
    $this->Form();
  }

  public function api_accountDelete()
  {
    
    $this->form->Execute("api_account","delete");

    $this->api_accountList();
  }

  function Edit()
  {
    $this->form->Edit();
  }

  function Copy()
  {
    $this->form->Copy();
  }

  public function Create()
  {
    $this->form->Create();
  }

  public function Search()
  {
    $this->app->Tpl->Set($this->parsetarget,"SUUUCHEEE");
  }

  public function Summary()
  {
    $this->app->Tpl->Set($this->parsetarget,"grosse Tabelle");
  }

  function Form()
  {
    $this->form = $this->app->FormHandler->CreateNew("api_account");
    $this->form->UseTable("api_account");
    $this->form->UseTemplate("api_account.tpl",$this->parsetarget);

    $field = new HTMLCheckbox("aktiv","","","1","0","0");
    $this->form->NewField($field);

    $field = new HTMLInput("bezeichnung","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("projekt","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("initkey","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("remotedomain","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("event_url","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("importwarteschlange_name","text","","40","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLCheckbox("importwarteschlange","","","1","0","0");
    $this->form->NewField($field);

    $field = new HTMLCheckbox("cleanutf8","","","1","0","0");
    $this->form->NewField($field);


  }

}

?>