<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
error_reporting(E_ERROR | E_WARNING | E_PARSE);

include_once(dirname(__FILE__)."/../conf/main.conf.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.secure.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.user.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf.php");
include_once(dirname(__FILE__)."/../www/lib/pdf/fpdf_final.php");
include_once(dirname(__FILE__)."/../www/lib/imap.inc.php");
include_once(dirname(__FILE__)."/../www/lib/class.erpapi.php");
include_once(dirname(__FILE__)."/../www/lib/class.remote.php");
include_once(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include_once(dirname(__FILE__)."/../www/lib/class.aes.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");

$classes = array('briefpapier','lieferschein','auftrag','anfrage','gutschrift','bestellung','rechnung','mahnwesen');
foreach($classes as $class)
{
  if(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.".$class."_custom.php"))
  {
    include_once(dirname(__FILE__)."/../www/lib/dokumente/class.".$class."_custom.php");
  }elseif(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.".$class.".php"))
  {
    include_once(dirname(__FILE__)."/../www/lib/dokumente/class.".$class.".php");
  }
}

/*
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.briefpapier.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.lieferschein.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.auftrag.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.angebot.php");
if(file_exists(dirname(__FILE__)."/../www/lib/dokumente/class.anfrage.php"))include_once(dirname(__FILE__)."/../www/lib/dokumente/class.anfrage.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.gutschrift.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.bestellung.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.rechnung.php");
include_once(dirname(__FILE__)."/../www/lib/dokumente/class.mahnwesen.php");*/
include_once(dirname(__FILE__)."/../phpwf/plugins/class.string.php");
require_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");
require_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
if(!class_exists('app_t2'))
{
  class app_t2 {
    var $DB;
    var $erp;
    var $User;
    var $mail;
    var $remote;
    var $Secure;
function GetLandLang($isocode)
{
  $flipped = array_flip($this->GetLaender());
  if(isset($flipped[$isocode]))
    $land = $flipped[$isocode];
  else $land = "unkown";
  return $land;
}

function GetLaender()
{
  $laender = array(
      'Afghanistan'  => 'AF',
      '&Auml;gypten'  => 'EG',
      'Albanien'  => 'AL',
      'Algerien'  => 'DZ',
      'Andorra'  => 'AD',
      'Angola'  => 'AO',
      'Anguilla'  => 'AI',
      'Antarktis'  => 'AQ',
      'Antigua und Barbuda'  => 'AG',
      '&Auml;quatorial Guinea'  => 'GQ',
      'Argentinien'  => 'AR',
      'Armenien'  => 'AM',
      'Aruba'  => 'AW',
      'Aserbaidschan'  => 'AZ',
      '&Auml;thiopien'  => 'ET',
      'Australien'  => 'AU',
      'Bahamas'  => 'BS',
      'Bahrain'  => 'BH',
      'Bangladesh'  => 'BD',
      'Barbados'  => 'BB',
      'Belgien'  => 'BE',
      'Belize'  => 'BZ',
      'Benin'  => 'BJ',
      'Bermudas'  => 'BM',
      'Bhutan'  => 'BT',
      'Birma'  => 'MM',
      'Bolivien'  => 'BO',
      'Bosnien-Herzegowina'  => 'BA',
      'Botswana'  => 'BW',
      'Bouvet Inseln'  => 'BV',
      'Brasilien'  => 'BR',
      'Britisch-Indischer Ozean'  => 'IO',
      'Brunei'  => 'BN',
      'Bulgarien'  => 'BG',
      'Burkina Faso'  => 'BF',
      'Burundi'  => 'BI',
      'Chile'  => 'CL',
      'China'  => 'CN',
      'Christmas Island'  => 'CX',
      'Cook Inseln'  => 'CK',
      'Costa Rica'  => 'CR',
      'D&auml;nemark'  => 'DK',
      'Deutschland'  => 'DE',
      'Djibuti'  => 'DJ',
      'Dominika'  => 'DM',
      'Dominikanische Republik'  => 'DO',
      'Ecuador'  => 'EC',
      'El Salvador'  => 'SV',
      'Elfenbeink&uuml;ste'  => 'CI',
      'Eritrea'  => 'ER',
      'Estland'  => 'EE',
      'Falkland Inseln'  => 'FK',
      'F&auml;r&ouml;er Inseln'  => 'FO',
      'Fidschi'  => 'FJ',
      'Finnland'  => 'FI',
      'Frankreich'  => 'FR',
      'Franz&ouml;sisch Guyana'  => 'GF',
      'Franz&ouml;sisch Polynesien'  => 'PF',
      'Franz&ouml;sisches S&uuml;d-Territorium'  => 'TF',
      'Gabun'  => 'GA',
      'Gambia'  => 'GM',
      'Georgien'  => 'GE',
      'Ghana'  => 'GH',
      'Gibraltar'  => 'GI',
      'Grenada'  => 'GD',
      'Griechenland'  => 'GR',
      'Gr&ouml;nland'  => 'GL',
      'Großbritannien'  => 'UK',
      'Großbritannien (UK)'  => 'GB',
      'Guadeloupe'  => 'GP',
      'Guam'  => 'GU',
      'Guatemala'  => 'GT',
      'Guinea'  => 'GN',
      'Guinea Bissau'  => 'GW',
      'Guyana'  => 'GY',
      'Haiti'  => 'HT',
      'Heard und McDonald Islands'  => 'HM',
      'Honduras'  => 'HN',
      'Hong Kong'  => 'HK',
      'Indien'  => 'IN',
      'Indonesien'  => 'ID',
      'Irak'  => 'IQ',
      'Iran'  => 'IR',
      'Irland'  => 'IE',
      'Island'  => 'IS',
      'Israel'  => 'IL',
      'Italien'  => 'IT',
      'Jamaika'  => 'JM',
      'Japan'  => 'JP',
      'Jemen'  => 'YE',
      'Jordanien'  => 'JO',
      'Jugoslawien'  => 'YU',
      'Kaiman Inseln'  => 'KY',
      'Kambodscha'  => 'KH',
      'Kamerun'  => 'CM',
      'Kanada'  => 'CA',
      'Kap Verde'  => 'CV',
      'Kasachstan'  => 'KZ',
      'Kenia'  => 'KE',
      'Kirgisistan'  => 'KG',
      'Kiribati'  => 'KI',
      'Kokosinseln'  => 'CC',
      'Kolumbien'  => 'CO',
      'Komoren'  => 'KM',
      'Kongo'  => 'CG',
      'Kongo, Demokratische Republik'  => 'CD',
      'Kosovo'  => 'KO',
      'Kroatien'  => 'HR',
      'Kuba'  => 'CU',
      'Kuwait'  => 'KW',
      'Laos'  => 'LA',
      'Lesotho'  => 'LS',
      'Lettland'  => 'LV',
      'Libanon'  => 'LB',
      'Liberia'  => 'LR',
      'Libyen'  => 'LY',
      'Liechtenstein'  => 'LI',
      'Litauen'  => 'LT',
      'Luxemburg'  => 'LU',
      'Macao'  => 'MO',
      'Madagaskar'  => 'MG',
      'Malawi'  => 'MW',
      'Malaysia'  => 'MY',
      'Malediven'  => 'MV',
      'Mali'  => 'ML',
      'Malta'  => 'MT',
      'Marianen'  => 'MP',
      'Marokko'  => 'MA',
      'Marshall Inseln'  => 'MH',
      'Martinique'  => 'MQ',
      'Mauretanien'  => 'MR',
      'Mauritius'  => 'MU',
      'Mayotte'  => 'YT',
      'Mazedonien'  => 'MK',
      'Mexiko'  => 'MX',
      'Mikronesien'  => 'FM',
      'Mocambique'  => 'MZ',
      'Moldavien'  => 'MD',
      'Monaco'  => 'MC',
      'Mongolei'  => 'MN',
      'Montenegro'  => 'ME',
      'Montserrat'  => 'MS',
      'Namibia'  => 'NA',
      'Nauru'  => 'NR',
      'Nepal'  => 'NP',
      'Neukaledonien'  => 'NC',
      'Neuseeland'  => 'NZ',
      'Nicaragua'  => 'NI',
      'Niederlande'  => 'NL',
      'Niederl&auml;ndische Antillen'  => 'AN',
      'Niger'  => 'NE',
      'Nigeria'  => 'NG',
      'Niue'  => 'NU',
      'Nord Korea'  => 'KP',
      'Norfolk Inseln'  => 'NF',
      'Norwegen'  => 'NO',
      'Oman'  => 'OM',
      '&Ouml;sterreich'  => 'AT',
      'Pakistan'  => 'PK',
      'Pal&auml;stina'  => 'PS',
      'Palau'  => 'PW',
      'Panama'  => 'PA',
      'Papua Neuguinea'  => 'PG',
      'Paraguay'  => 'PY',
      'Peru'  => 'PE',
      'Philippinen'  => 'PH',
      'Pitcairn'  => 'PN',
      'Polen'  => 'PL',
      'Portugal'  => 'PT',
      'Puerto Rico'  => 'PR',
      'Qatar'  => 'QA',
      'Reunion'  => 'RE',
      'Ruanda'  => 'RW',
      'Rum&auml;nien'  => 'RO',
      'Ru&szlig;land'  => 'RU',
      'Saint Lucia'  => 'LC',
      'Sambia'  => 'ZM',
      'Samoa'  => 'AS',
      'Samoa'  => 'WS',
      'San Marino'  => 'SM',
      'Sao Tome'  => 'ST',
      'Saudi Arabien'  => 'SA',
      'Schweden'  => 'SE',
      'Schweiz'  => 'CH',
      'Senegal'  => 'SN',
      'Serbien'  => 'RS',
      'Seychellen'  => 'SC',
      'Sierra Leone'  => 'SL',
      'Singapur'  => 'SG',
      'Slowakei -slowakische Republik-'  => 'SK',
      'Slowenien'  => 'SI',
      'Solomon Inseln'  => 'SB',
      'Somalia'  => 'SO',
      'South Georgia, South Sandwich Isl.'  => 'GS',
      'Spanien'  => 'ES',
      'Sri Lanka'  => 'LK',
      'St. Helena'  => 'SH',
      'St. Kitts Nevis Anguilla'  => 'KN',
      'St. Pierre und Miquelon'  => 'PM',
      'St. Vincent'  => 'VC',
      'S&uuml;d Korea'  => 'KR',
      'S&uuml;dafrika'  => 'ZA',
      'Sudan'  => 'SD',
      'Surinam'  => 'SR',
      'Svalbard und Jan Mayen Islands'  => 'SJ',
      'Swasiland'  => 'SZ',
      'Syrien'  => 'SY',
      'Tadschikistan'  => 'TJ',
      'Taiwan'  => 'TW',
      'Tansania'  => 'TZ',
      'Thailand'  => 'TH',
      'Timor'  => 'TP',
      'Togo'  => 'TG',
      'Tokelau'  => 'TK',
      'Tonga'  => 'TO',
      'Trinidad Tobago'  => 'TT',
      'Tschad'  => 'TD',
      'Tschechische Republik'  => 'CZ',
      'Tunesien'  => 'TN',
      'T&uuml;rkei'  => 'TR',
      'Turkmenistan'  => 'TM',
      'Turks und Kaikos Inseln'  => 'TC',
      'Tuvalu'  => 'TV',
      'Uganda'  => 'UG',
      'Ukraine'  => 'UA',
      'Ungarn'  => 'HU',
      'Uruguay'  => 'UY',
      'Usbekistan'  => 'UZ',
      'Vanuatu'  => 'VU',
      'Vatikan'  => 'VA',
      'Venezuela'  => 'VE',
      'Vereinigte Arabische Emirate'  => 'AE',
      'Vereinigte Staaten von Amerika'  => 'US',
      'Vietnam'  => 'VN',
      'Virgin Island (Brit.)'  => 'VG',
      'Virgin Island (USA)'  => 'VI',
      'Wallis et Futuna'  => 'WF',
      'Wei&szlig;ru&szlig;land'  => 'BY',
      'Westsahara'  => 'EH',
      'Zentralafrikanische Republik'  => 'CF',
      'Zimbabwe'  => 'ZW',
      'Zypern'  => 'CY'
        );
  return $laender;
}
  }
}
//ENDE

if(true || !isset($app))
{
  $app = new app_t2();

  $conf = new Config();
  $app->Conf = $conf;
  $app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
  $erp = new erpAPI($app);
  $app->erp = $erp;
  $app->String         = new WawiString();
  $app->remote = new Remote($app);
  $app->Secure = new Secure($app);
  $app->User = new User($app);
  if(!defined('FPDF_FONTPATH'))define('FPDF_FONTPATH',dirname(__FILE__)."/../www/lib/pdf/font/");
}

//ENDE
if(!isset($app))
{
  $app = new app_t();

  $conf = new Config();
  $app->Conf = $conf;
  $app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
  $app->remote = new Remote($app);
  if(class_exists('erpAPICustom'))
  {
    $erp = new erpAPICustom($app);
  }else{
    $erp = new erpAPI($app);
  }
  $app->erp = $erp;
}
  if(empty($app->Conf))
  {
    if(empty($conf))$conf = new Config();
    $app->Conf = $conf;
  }
  $benutzername = $app->erp->Firmendaten("benutzername");
  $passwort = $app->erp->Firmendaten("passwort");
  $host = $app->erp->Firmendaten("host");
  $port = $app->erp->Firmendaten("port");
  $mailssl = $app->erp->Firmendaten("mailssl");
  $noauth = $app->erp->Firmendaten("noauth");
  $mailanstellesmtp = $app->erp->Firmendaten("mailanstellesmtp");

  // mail
  $app->mail = new PHPMailer($app);
  $app->mail->PluginDir="plugins/phpmailer/";

  if($mailanstellesmtp=="1"){
    $app->mail->IsMail();
  } else {
    $app->mail->IsSMTP();

    if($noauth=="1") $app->mail->SMTPAuth = false;
    else $app->mail->SMTPAuth   = true;

    if($mailssl==1) 
        $app->mail->SMTPSecure = "tls";                 // sets the prefix to the servier
    else if ($mailssl==2)
        $app->mail->SMTPSecure = "ssl";                 // sets the prefix to the servier

    $app->mail->Host       = $host;

    $app->mail->Port       = $port;                   // set the SMTP port for the GMAIL server

    $app->mail->Username   = $benutzername;  // GMAIL username
    $app->mail->Password   = $passwort;            // GMAIL password
  }
$fp = $app->erp->ProzessLock("api_uebertragungen");
$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'api_uebertragungen'");
include_once(dirname(__FILE__)."/../www/pages/api.php");
include_once(dirname(__FILE__)."/../www/pages/uebertragungen.php");

$api = new Api($app, true);
$uebertragungen = new Uebertragungen($app, true);

$uebertragungen_accounts = $app->DB->SelectArr("SELECT * FROM uebertragungen_account WHERE aktiv = 1 AND (api > 0 OR typ = 'lokal')");
    $belegtypen = array('auftrag','rechnung','gutschrift','angebot','lieferschein','bestellung','produktion');

    
if($uebertragungen_accounts)
{

  //Requests generieren  
  foreach($uebertragungen_accounts as $uebertragung_account)
  {
    $fnr = 1; 
    $belegtyp = $uebertragung_account['belegtyp'];
    if($belegtyp && in_array($belegtyp, $belegtypen) && $uebertragung_account['api'])
    {
      $uebertragung_id = $uebertragung_account['id'];
      $api_id = $uebertragung_account['api'];
      if($api_id)$importwarteschlange = $app->DB->Select("SELECT importwarteschlange FROM api_account WHERE id = '$api_id' LIMIT 1");
      if(isset($uebertragung_account['importwarteschlange']))$importwarteschlange = $uebertragung_account['importwarteschlange'];
      $status = 'angelegt';
      if($importwarteschlange)$status = 'nicht freigegeben';
      $belegab_id = (int)$uebertragung_account['belegab_id'];
      $projekt = $uebertragung_account['projekt'];
      $subwhere = '';
      if($uebertragung_account['belegstatus'])$subwhere .= " AND l.status like '".$app->DB->real_escape_string($uebertragung_account['belegstatus'])."' ";
      if($uebertragung_account['belegab_datum'] != '0000-00-00' && $uebertragung_account['belegab_datum'] != '')$subwhere .= " AND l.datum >= '".$uebertragung_account['belegab_datum']."' ";
      if($projekt)$subwhere .= " AND l.projekt = '".$uebertragung_account['projekt']."' ";

      $belege = $app->DB->SelectArr("SELECT l.id FROM $belegtyp l LEFT JOIN api_request ar ON ar.uebertragung_account = '$uebertragung_id' AND ar.typ = '$belegtyp' AND ar.parameter1 = l.id 
      WHERE l.id >= '$belegab_id' AND isnull(ar.id) $subwhere
      ");
      if($belege)
      {
        foreach($belege as $bel)
        {
          
          $app->DB->Insert("INSERT INTO api_request (uebertragung_account, api, status, typ, parameter1, projekt) VALUES ('$uebertragung_id','$api_id','$status','$belegtyp','".$bel['id']."','$projekt') ");
          echo $app->DB->error();
        }
        $app->erp->LogFile(count($belege). ' neue Requests');
      }else 
      {
        if($app->DB->error())
        $app->erp->LogFile(addslashes( $app->DB->error()));
      }
      
    }
  }
  if(isset($swhere))unset($swhere);
  foreach($belegtypen as $belegtyp)$swhere[] = " ar.typ = '$belegtyp' ";
  
  //Requests senden
$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'api_uebertragungen'");
  foreach($uebertragungen_accounts as $uebertragung_account)
  {
    $uebertragung_id = $uebertragung_account['id'];
    $api_id = $uebertragung_account['api'];
    $api->api_id = $api_id;
    $maxbelege = $uebertragung_account['maxbelege'];
    if($maxbelege < 1)$maxbelege = 1;
    $text = $uebertragung_account['emailbody'];
    $requests = null;
    if($uebertragung_account['api'])$requests = $app->DB->SelectArr("SELECT * FROM api_request ar WHERE ar.uebertragung_account = '$uebertragung_id' AND uebertragen = 0 AND geloescht = 0 AND status = 'angelegt' AND ( ".implode(' OR ', $swhere)." ) ORDER BY ar.prio LIMIT $maxbelege");
    
    if($requests)
    {
      $app->erp->LogFile(count($requests).' Requests zum Uebertragen gefunden');
      $xml_pdfsel = array('xml'=>'XML','pdf'=>'PDF','xml_pdfbase64'=>'XML mit Base64-Encodierte PDF', 'xml_pdfdatei'=>'XML + PDF Datei');
      $xml_pdf = $uebertragung_account['xml_pdf'];
      $app->erp->LogFile($xml_pdf);
      if($xml_pdf == 'xml' || $xml_pdf == 'xml_pdfbase64' || $xml_pdf == 'xml_pdfdatei')
      {
        $parameter = null;
        if($xml_pdf == 'xml_pdfbase64')$parameter['pdf'] = 1;
        if($uebertragung_account['briefpapierimxml'])$parameter['briefpapier'] = 1;
        if($uebertragung_account['gln_freifeld'])$parameter['gln_freifeld'] = $uebertragung_account['gln_freifeld'];

        $xml = null;
        $pdfs = null;
        foreach($requests as $request)
        {
          $id = (int)$request['parameter1'];
          
          if($id)
          {
            //$app->erp->LogFile($id.' start');
            $api->ApiDataToXML($request['typ'], $id, $xml,$parameter);
            //$app->erp->LogFile($id.' end');
            if(empty($xml))$app->erp->LogFile($request['typ'].' '.$id.' fehlgeschlagen');
            $ids[] = $request['id'];
            if($xml_pdf == 'xml_pdfdatei')
            {
              $belegnr = $app->DB->Select("SELECT belegnr FROM ".$request['typ']." WHERE id = '$id' LIMIT 1");
              $pdfdatei = $app->Conf->WFuserdata.'/'.($uebertragung_account['prefix']?$uebertragung_account['prefix']:'').date('YmdHis').'_'.$belegnr.'.pdf';
              $pdfcontent = $api->GetPDF($request['typ'], $id);
              if(!empty($pdfcontent))
              {
                if(file_put_contents($pdfdatei, $pdfcontent))$pdfs[] = $pdfdatei;
                unset($pdfcontent);
              }
            }
          }
        }
        if(!empty($xml))
        {
          
          if($uebertragung_account['xml_zusatz'])
          {
            
              $dummy = 
'<?xml version="1.0" encoding="UTF-8"?>
<response>'.$uebertragung_account['xml_zusatz'].'
</response>';
            $zusatz = simplexml_load_string($dummy);
            if($zusatz)
            {                
              foreach($zusatz as $key => $value)
              {
                if(is_object($value))
                {
                  $el = $xml->xml->AddChild($key,'');
                  foreach($value as $key2 => $value2)
                  {
                    $el2 =  $el->AddChild($key2, $value2);
                    if(is_object($el2))
                    {
                      foreach($el2 as $key3 => $value3)
                      {
                        $el2->AddChild($key3, $value3);
                      }
                    }
                  }
                }else{
                  $xml->xml->AddChild($key,$value);
                }
              }
            }
          }  

          //$app->erp->LogFile('xml ok');
          //$app->erp->LogFile(isset($app->Conf)?'confok':'conf nicht ok');
          $_datei = $app->Conf->WFuserdata.'/'.($uebertragung_account['prefix']?$uebertragung_account['prefix']:'').date('YmdHis').$fnr.'.xml';
          $fnr++;
          //$app->erp->LogFile($datei .' ...');
          if($api->SaveXML($xml, $_datei , 'belege'))
          {
            $_content = @file_get_contents($_datei);
            $ok = true;
            if($xml_pdf == 'xml_pdfdatei')
            {
              if(isset($datei))unset($datei);
              $datei[0] = $_datei;
              if($pdfs)
              {
                foreach($pdfs as $pdf)$datei[] = $pdf;
                unset($pdfs);
              }
            }

            if($uebertragungen->UebertrageDaten($uebertragung_account['id'], $_datei, $text))
            {
              
              //Prüfe IDs
              $_tmpxml = @simplexml_load_string($_content);
              
              //$___typ = $app->DB->Select("SELECT typ FROM api_request WHERE id = '$id' LIMIT 1");
              $___typ = $uebertragung_account['belegtyp'];
              $___typlist = $___typ.'_list'; 
              
              if($_tmpxml)
              {
                if(isset($_tmpxml->xml) && isset($_tmpxml->xml->$___typlist) && isset($_tmpxml->xml->$___typlist->$___typ))
                {
                  foreach($_tmpxml->xml->$___typlist->$___typ as $ls)
                  {
                    if(isset($ls->id) && (int)$ls->id > 0)
                    {
                      $parameterok[] = (int)$ls->id;
                    }
                  }
                }
              }else{
                if(!file_exists($_content))
                {
                  $app->erp->LogFile("XML $_content nicht gefunden");
                }else{
                  $app->erp->LogFile("XML $_content konnte nicht geparst werden");
                }
              }
              $uebertragenanz = 0;
              if(true)
              {
                foreach($ids as $id)
                {
                  $_parameter1 = $app->DB->Select("SELECT parameter1 FROM api_request WHERE id = '$id' LIMIT 1");
                  if(isset($parameterok) && in_array($_parameter1, $parameterok))
                  {
                    $uebertragenanz++;
                    $app->DB->Update("UPDATE api_request SET uebertragen = 1, status = 'uebertragen', uebertragen_am = now() WHERE id = '$id' LIMIT 1");
                  }else{
                    $__typ = $app->DB->Select("SELECT typ FROM api_request WHERE id = '$id' LIMIT 1");
                    $__belegnr = $app->DB->Select("SELECT belegnr FROM $__typ WHERE id = '$_parameter1' LIMIT 1");
                    if(empty($__belegnr))$__belegnr = 'ENTWURF';
                    $app->DB->Insert("INSERT INTO uebertragungen_log (uebertragungen_account, parameter2, parameter1, typ, wert) VALUES ('".$app->DB->Select("SELECT uebertragung_account FROM api_request WHERE id = '$id' LIMIT 1")."','uebertragung_fehler','$_parameter1','$__typ','$__belegnr')");
                    $app->DB->Update("UPDATE api_request SET prio = 1 WHERE id = '$id' AND prio = 0 LIMIT 1");
                    
                  }
                }
                unset($parameterok);
              }
              $app->erp->LogFile($uebertragenanz." von ".count($ids)." Dateien uebertragen");
              
              echo $uebertragenanz." von ".count($ids)." Übertragen\r\n";
              unset($ids);
            }else{
              echo "Fehler beim Übertragen\r\n";
              print_r($uebertragungen->fehler);
              $app->erp->LogFile('Fehler beim Uebertragen: '.addslashes(json_encode($uebertragungen->fehler)));
            }
          }else 
          {
            //$app->erp->LogFile('Speichern nicht moeglich');
            //$app->erp->LogFile($app->Conf->WFuserdata.'/'.($uebertragung_account['prefix']?$uebertragung_account['prefix']:'').date('YmdHis').'.xml');
          }
        }else 
        {
          
        }
      }elseif($xml_pdf == 'pdf')
      {
        $xml = null;
        $pdfs = null;
        foreach($requests as $request)
        {
          $id = (int)$request['parameter1'];
          if($id)
          {
            $belegnr = $app->DB->Select("SELECT belegnr FROM ".$request['typ']." WHERE id = '$id' LIMIT 1");
            $pdfdatei = $app->Conf->WFuserdata.'/'.($uebertragung_account['prefix']?$uebertragung_account['prefix']:'').date('YmdHis').'_'.$belegnr.'.pdf';
            $pdfcontent = $api->GetPDF($request['typ'], $id);
            if(!empty($pdfcontent))
            {
              
              
              if(file_put_contents($pdfdatei, $pdfcontent))$pdfs[] = $pdfdatei;
              $ids[] = $request['id'];
              unset($pdfcontent);
            }
          }
        }
        if($pdfs)
        {
          if($uebertragungen->UebertrageDaten($uebertragung_account['id'], $pdfs, $text))
          {
            foreach($ids as $id)
            {
              $app->DB->Update("UPDATE api_request SET uebertragen = 1, status = 'uebertragen', uebertragen_am = now() WHERE id = '$id' LIMIT 1");
            }
            unset($ids);
            echo "Übertragen\r\n";
          }else{
            echo "Fehler beim Übertragen\r\n";
            print_r($uebertragungen->fehler);
          }
          unset($pdfs);
        }else{
          foreach($ids as $id)
          {
            $app->DB->Update("UPDATE api_request SET uebertragen = 1, status = 'uebertragen', uebertragen_am = now() WHERE id = '$id' LIMIT 1");
          }
          unset($ids);
        }
      }
    }
  }
  $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'api_uebertragungen'");
  //Daten Holen
  foreach($uebertragungen_accounts as $uebertragung_account)
  {
    $uebertragung_id = $uebertragung_account['id'];
    $api_id = $uebertragung_account['api'];
    $api->api_id = $api_id;
  
    $Liste = $uebertragungen->GetNewFiles($uebertragung_id);
    if($Liste)
    {
      $anz = 0;
      $gefunden = 0;
      $pfad = $app->Conf->WFuserdata.'/uebertragung';
      if(!file_exists($pfad))mkdir($pfad);
      $pfad = $pfad.'/'.$app->Conf->WFdbname;
      if(!file_exists($pfad))mkdir($pfad);
      foreach($Liste as $Datei)
      {
        $tofile = $pfad.'/'.$Datei;
        if(!file_exists($tofile))
        {
          $gefunden++;
          
          if($uebertragungen->GetFile($uebertragung_id, $Datei,$tofile))
          {
            $anz++;
            
            $api->ParseXML($tofile, 0 , $uebertragung_id);
          }
        }
      }
      if($anz > 0)
      {
        echo $anz." von ".$gefunden. " Dateien verarbeitet\r\n"; 
      }else{
        if($gefunden)
        {
          echo "Dateien konnten nicht heruntergeladen werden\r\n";
        }
      }
    }
  } 
  $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'api_uebertragungen'");
  foreach($uebertragungen_accounts as $uebertragung_account)
  {
    if($uebertragung_account['typ'] == 'lokal')
    {
      $ordner = $uebertragung_account['parameter1'];
      if(substr($ordner, -1) != '/')$ordner .= '/';
      $handle = opendir($uebertragung_account['parameter1']);
      if($handle)
      {
        
        $bla = 'Uebertragungen Ordner: ';
        while($file = readdir($handle))
        {
          if($file{0} != '.')
          {
            $arrdateien[] = $ordner.$file;
            $size = filesize($ordner.$file);
            $checkd = $app->DB->Select("SELECT id FROM uebertragungen_dateien WHERE uebertragung_account = '".$uebertragung_account['id']."' AND geloescht_von_server = 0 
            AND datei = '".$app->DB->real_escape_string($ordner.$file)."'
            ");
            if($checkd)$app->DB->Update("UPDATE uebertragungen_dateien set zeitstempelupdate = now() WHERE id = '$checkd' LIMIT 1");
            
            $bla .= $file.': '.$size.' ';
            
          }
          
        }
        $alledateien = $app->DB->SelectArr("SELECT id,datei FROM uebertragungen_dateien WHERE uebertragung_account = '".$uebertragung_account['id']."' AND download = 0 AND geloescht_von_server = 0");
        if($alledateien && isset($arrdateien))
        {
          foreach($alledateien as $v)
          {
            if(!in_array($v['datei'],$arrdateien))$app->DB->Update("UPDATE uebertragungen_dateien set geloescht_von_server = 1 WHERE id = '".$v['id']."' LIMIT 1");
          }
        }
        $app->erp->LogFile($bla);
        closedir($handle);
      }
      
    }
    if(isset($arrdateien))unset($arrdateien);
  }
  $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 0,mutexcounter=0 WHERE parameter = 'api_uebertragungen'");
}
$app->erp->ProzessUnlock($fp);
?>
