<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
error_reporting(E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_STRICT);
include_once(dirname(__FILE__)."/../conf/main.conf.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include_once(dirname(__FILE__)."/../www/lib/imap.inc.php");
include_once(dirname(__FILE__)."/../www/lib/class.erpapi.php");
if(file_exists(dirname(__FILE__)."/../www/lib/class.erpapi_custom.php"))include_once(dirname(__FILE__)."/../www/lib/class.erpapi_custom.php");
include_once(dirname(__FILE__)."/../www/lib/class.remote.php");
if(file_exists(dirname(__FILE__)."/../www/lib/class.remote_custom.php"))include_once(dirname(__FILE__)."/../www/lib/class.remote_custom.php");
include_once(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include_once(dirname(__FILE__)."/../www/lib/class.aes.php");
include_once(dirname(__FILE__)."/../www/pages/shopimport.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.secure.php");

if(!class_exists('app_t'))
{
  class app_t {
    var $DB;
    var $erp;
    var $user;
    var $remote;
  }
}

if(!class_exists('User'))
{
  class User
  {
    function __construct(&$app)
    {
      $this->app = $app;
    }
    
    function GetName()
    {
      return 'Cronjob';
    }
    
    function GetID()
    {
      return 0;
    }
    
    function GetFirma()
    {
      return 1;
    }
    
    function GetType()
    {
      return 'admin';
    }
    
    function DefaultProjekt()
    {
      return $app->DB->Select("SELECT standardprojekt FROM firma WHERE id='1' LIMIT 1");
    }
    
    function GetAdresse()
    {
      return 0;
    }
    
    function GetUsername()
    {
      return 'Cronjob';
    }
    
  }
  
}

//ENDE

$app = new app_t();


$conf = new Config();
$app->Conf = $conf;
$app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
if(class_exists('erpAPICustom'))
{
  $erp = new erpAPICustom($app);
}else{
  $erp = new erpAPI($app);
}
$app->erp = $erp;

if(class_exists('RemoteCustom'))
{
  $remote = new RemoteCustom($app);
}else{
  $remote = new Remote($app);
}

$app->remote = $remote;
$app->Secure = new Secure($app);
$app->User = new User($app);


$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW() WHERE parameter = 'cleaner'");
if($app->erp->Firmendaten('cleaner_logfile'))
{
  $tage = (int)$app->erp->Firmendaten('cleaner_logfile_tage');
  if($tage > 0)
  {
    $app->DB->Delete("DELETE FROM logfile WHERE DATE_SUB(CURDATE(), INTERVAL $tage DAY) >= datum OR datum = '0000-00-00'");
  }
}
if($app->erp->Firmendaten('cleaner_protokoll'))
{
  $tage = (int)$app->erp->Firmendaten('cleaner_protokoll_tage');
  if($tage > 0)
  {
    $app->DB->Delete("DELETE FROM protokoll WHERE DATE_SUB(CURDATE(), INTERVAL $tage DAY) >= datum OR datum = '0000-00-00'");
  }
}
if($app->erp->Firmendaten('cleaner_shopimport'))
{
  $tage = (int)$app->erp->Firmendaten('cleaner_shopimport_tage');
  if($tage > 0)
  {
    $app->DB->Delete("DELETE FROM shopimport_auftraege WHERE DATE_SUB(CURDATE(), INTERVAL $tage DAY) >= logdatei OR logdatei = '0000-00-00'");
  }
}
if($app->erp->Firmendaten('cleaner_versandzentrum'))
{
  $tage = (int)$app->erp->Firmendaten('cleaner_versandzentrum_tage');
  if($tage > 0)
  {
    $app->DB->Delete("DELETE FROM versandzentrum_log WHERE DATE_SUB(CURDATE(), INTERVAL $tage DAY) >= zeitstempel OR zeitstempel = '0000-00-00'");
  }
}
$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 0,mutexcounter=0 WHERE parameter = 'cleaner'");
?>
