<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
/*
include(dirname(__FILE__)."/../conf/main.conf.php");
include(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include(dirname(__FILE__)."/../www/lib/imap.inc.php");
include(dirname(__FILE__)."/../www/lib/class.erpapi.php");
//include(dirname(__FILE__)."/../www/lib/class.erpapi_custom.php");
include(dirname(__FILE__)."/../www/lib/class.remote.php");
include(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include(dirname(__FILE__)."/../www/lib/class.aes.php");
include(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");



class app_t {
  var $DB;
  var $erp;
  var $user;
  var $remote;
}
*/
//ENDE

$conf = new Config();
$app->Conf = $conf;
$app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
$erp = new erpAPI($app);
$remote = new Remote($app);
$app->erp = $erp;
$app->remote= $remote;

$app->erp->LogFile('Cronjob Artikeluebertragung Start');
$dateien = $app->DB->SelectArr("SELECT ds.objekt,ds.parameter,ds.datei,ds.subjekt FROM datei_stichwoerter ds");
$anz = 0;

$ordner = $conf->WFuserdata."/../dateibaum";
if(!is_dir($ordner)) mkdir($ordner,0777);

for($i=0;$i<count($dateien);$i++)
{
  $row = $dateien[$i];
  $check = $app->DB->Select("SELECT id FROM dateibaum WHERE datei_stichwoerter='".$row['datei']."' LIMIT 1");
  if($check > 0) continue;

 
  switch($row['objekt'])
  {
    case "Artikel":
      $hauptverzeichnis = $app->DB->Select("SELECT nummer FROM artikel WHERE id='".$row['parameter']."' AND geloescht!=1 LIMIT 1"); 
    break;
    case "Projekt":
      $hauptverzeichnis = $app->DB->Select("SELECT abkuerzung FROM projekt WHERE id='".$row['parameter']."' LIMIT 1"); 
    break;
    case "Adresse":
      $hauptverzeichnis = $app->DB->Select("SELECT lieferantennummer FROM adresse WHERE id='".$row['parameter']."' AND geloescht!=1 LIMIT 1"); 
      if($hauptverzeichnis=="")
        $hauptverzeichnis = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id='".$row['parameter']."' AND geloescht!=1 LIMIT 1"); 
    break;

    default:
      $hauptverzeichnis="";
  }

 
  if($hauptverzeichnis!="") 
  {

    $pfadfuerdatei = $ordner."/".$row['objekt']."/".$hauptverzeichnis."/".ucfirst($row['subjekt']);
    if(!is_dir($pfadfuerdatei) && !mkdir($pfadfuerdatei,0777,true))
    {
      echo "Fehler beim Anlegen des Verzeichnisses: ".$pfadfuerdatei;
      //exit;
    }

    $dateiname = $app->erp->GetDateiName($row['datei']);

    $version = $app->DB->Select("SELECT MAX(version) FROM datei_version WHERE datei='".$row['datei']."'");
    $newid = $app->DB->Select("SELECT id FROM datei_version WHERE datei='".$row['datei']."' AND version='$version' LIMIT 1");
    copy($conf->WFuserdata."/dms/".$conf->WFdbname."/".$newid,$pfadfuerdatei."/".$dateiname);

    $app->DB->Insert("INSERT INTO dateibaum (id,datei_stichwoerter,pfad) VALUES ('','".$row['datei']."','".$pfadfuerdatei."/".$dateiname."')");
  } 
}

$deletefiles = $app->DB->SelectArr("SELECT db.id,db.pfad FROM dateibaum db LEFT JOIN datei_stichwoerter ds ON db.datei_stichwoerter=ds.datei WHERE ds.id IS NULL");
if(count($deletefiles)>0)
{
  foreach($deletefiles as $files)
  {
    if($files['pfad']!="" && $files['id'] > 0)
    {
      unlink($files['pfad']);
      $app->DB->Delete("DELETE FROM dateibaum WHERE id='".$files['id']."' LIMIT 1");
    }
  }
}

?>
