<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
error_reporting(E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_STRICT);
include_once(dirname(__FILE__)."/../conf/main.conf.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.mysql.php");
include_once(dirname(__FILE__)."/../www/lib/imap.inc.php");
include_once(dirname(__FILE__)."/../www/lib/class.erpapi.php");
if(file_exists(dirname(__FILE__)."/../www/lib/class.erpapi_custom.php"))include_once(dirname(__FILE__)."/../www/lib/class.erpapi_custom.php");
include_once(dirname(__FILE__)."/../www/lib/class.remote.php");
if(file_exists(dirname(__FILE__)."/../www/lib/class.remote_custom.php"))include_once(dirname(__FILE__)."/../www/lib/class.remote_custom.php");
include_once(dirname(__FILE__)."/../www/lib/class.httpclient.php");
include_once(dirname(__FILE__)."/../www/lib/class.aes.php");
include_once(dirname(__FILE__)."/../www/pages/shopimport.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.phpmailer.php");
include_once(dirname(__FILE__)."/../www/plugins/phpmailer/class.smtp.php");
include_once(dirname(__FILE__)."/../phpwf/plugins/class.secure.php");

if(!class_exists('app_t'))
{
  class app_t {
    var $DB;
    var $erp;
    var $user;
    var $remote;
  }
}

if(!class_exists('User'))
{
  class User
  {
    function __construct(&$app)
    {
      $this->app = $app;
    }
    
    function GetName()
    {
      return 'Cronjob';
    }
    
    function GetID()
    {
      return 0;
    }
    
    function GetFirma()
    {
      return 1;
    }
    
    function GetType()
    {
      return 'admin';
    }
    
    function DefaultProjekt()
    {
      return $app->DB->Select("SELECT standardprojekt FROM firma WHERE id='1' LIMIT 1");
    }
    
    function GetAdresse()
    {
      return 0;
    }
    
    function GetUsername()
    {
      return 'Cronjob';
    }
    
  }
  
}

//ENDE

$app = new app_t();


$conf = new Config();
$app->Conf = $conf;
$app->DB = new DB($conf->WFdbhost,$conf->WFdbname,$conf->WFdbuser,$conf->WFdbpass);
if(class_exists('erpAPICustom'))
{
  $erp = new erpAPICustom($app);
}else{
  $erp = new erpAPI($app);
}
$app->erp = $erp;

if(class_exists('RemoteCustom'))
{
  $remote = new RemoteCustom($app);
}else{
  $remote = new Remote($app);
}

$app->remote = $remote;
$app->Secure = new Secure($app);
$app->User = new User($app);


$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW() WHERE parameter = 'shopimport'");
$shops = $app->DB->SelectArr("SELECT * FROM shopexport WHERE aktiv = 1 AND cronjobaktiv = 1 and url <> '' and passwort <> '' AND token <> '' and not isnull(passwort) and not isnull(url)");
if($shops)
{
  foreach($shops as $shop)
  {
    $id = $shop['id'];
    $projekt = $shop['projekt'];
    $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'shopimport'");
    $direktimport = $shop['direktimport'];
    $app->erp->LogFile('Shopimport '.$id);
    if($direktimport)
    {
      $app->erp->LogFile('direktimport '.$id);
      $shopimp = new Shopimport($app, true);
    }
    $pageContents = $app->remote->RemoteConnection($id);
    if($pageContents=="success")
    {
      $holealle = $app->DB->Select("SELECT holealle FROM shopexport WHERE id = '$id' LIMIT 1");
      $nummersyncstatusaendern = $shop['nummersyncstatusaendern'];
      $statusaendern = $shop['auftragabgleich'];
      $zeitraum = $app->DB->SelectArr("SELECT datumvon, datumbis,tmpdatumvon, tmpdatumbis, anzgleichzeitig FROM shopexport WHERE id = '$id' LIMIT 1");
      if($zeitraum)$zeitraum = reset($zeitraum);
      $anzgleichzeitig = 1;
      if(isset($zeitraum['anzgleichzeitig']))$anzgleichzeitig = (int)$zeitraum['anzgleichzeitig'];
      
      if($anzgleichzeitig > 1)
      {
        $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'shopimport'");
        $result = $app->remote->RemoteGetAuftrag($id);
        if($result && is_array($result))
        {         
          $maxtime = false;
          $mintime = false;
          
          for($i = 0; $i < count($result); $i++)
          {
            $projekt = $shop['projekt'];
            $auftrag = $result[$i]['id'];
            $tmpwarenkorb = unserialize(base64_decode($result[$i]['warenkorb']));
            if(!empty($tmpwarenkorb['zeitstempel']))
            {
              $time = strtotime($tmpwarenkorb['zeitstempel']);
              if($time < 0)$time = 0;
              if($maxtime === false)$maxtime = $time;
              if($mintime === false)$mintime = $time;
              if($time > $maxtime)$maxtime = $time;
              if($time < $mintime)$mintime = $time;
            }
            if(!empty($tmpwarenkorb['projekt']) && $app->DB->Select("SELECT id FROM projekt WHERE id = '".(int)$tmpwarenkorb['projekt']."' LIMIT 1"))$projekt = (int)$tmpwarenkorb['projekt'];
            $onlinebestellnummer = $tmpwarenkorb['onlinebestellnummer'];
            if(isset($tmpwarenkorb['subshop']) && $tmpwarenkorb['subshop'])
            {
              $subshopprojekt = $app->DB->Select("SELECT projekt FROM shopexport_subshop WHERE shop = '".$id."' AND aktiv = 1 AND subshopkennung = '".$app->DB->real_escape_string($tmpwarenkorb['subshop'])."' LIMIT 1");
              if($subshopprojekt)
              {
                $projekt = $subshopprojekt;
              }
            }
            $aktemail = isset($tmpwarenkorb['email'])?trim($tmpwarenkorb['email']):'';
            unset($tmpwarenkorb);
            if($holealle && $onlinebestellnummer)
            {
              $neue_nummer = (int)$onlinebestellnummer+1;
              $app->DB->Update("UPDATE shopexport SET ab_nummer = '$neue_nummer' WHERE id = '$id'");
            }
            $sessionid = $result[$i]['sessionid'];
            $warenkorb = $result[$i]['warenkorb'];
            $logdatei = $result[$i]['logdatei'];
            if(empty($logdatei))$logdatei = date('Y-m-d H:i:s');
            $checkdoppelt = $app->DB->Select("SELECT id FROM shopimport_auftraege WHERE extid = '".$app->DB->real_escape_string($auftrag)."' and shopid = '$id' LIMIT 1");
            $checkdoppeltimported = $app->DB->Select("SELECT id FROM shopimport_auftraege WHERE extid = '".$app->DB->real_escape_string($auftrag)."' and shopid = '$id' and warenkorb = '".$app->DB->real_escape_string($warenkorb)."' AND trash = 0
            AND (imported = 0 OR (imported = 1 AND DATE_SUB(NOW(),INTERVAL 10 MINUTE)>logdatei ))
            LIMIT 1");
            if(!$checkdoppeltimported)
            {
              $app->DB->Insert("INSERT INTO shopimport_auftraege (id,extid,sessionid,warenkorb,imported,projekt,bearbeiter,logdatei) 
                  VALUES('','".$app->DB->real_escape_string($auftrag)."','".$app->DB->real_escape_string($sessionid)."','".$app->DB->real_escape_string($warenkorb)."','0','$projekt','Cronjob','".$app->DB->real_escape_string($logdatei)."')");
              $insid = $app->DB->GetInsertID();
              if($insid)$app->DB->Update("UPDATE shopimport_auftraege set shopid = '$id' where id = '$insid'");
            }
              
              //$app->DB->Insert("INSERT INTO shopimport_auftraege (id,extid,sessionid,warenkorb,imported,projekt,bearbeiter,logdatei) 
              //    VALUES('','".$app->DB->real_escape_string($auftrag)."','".$app->DB->real_escape_string($sessionid)."','".$app->DB->real_escape_string($warenkorb)."','0','$projekt','Cronjob','".$app->DB->real_escape_string($logdatei)."')");
              //$insid = $app->DB->GetInsertID();
              //if($insid)$app->DB->Update("UPDATE shopimport_auftraege set shopid = '$id' where id = '$insid'");
              if(!$direktimport)
              {

              }else{
                if(!$checkdoppelt && !$checkdoppeltimported && $aktemail != '')
                {
                  $warenkorb = $app->DB->Select("SELECT warenkorb FROM shopimport_auftraege WHERE id = '$insid' LIMIT 1");
                  $warenkorb = unserialize(base64_decode($warenkorb));
                  if($shop['utf8codierung']=="1")
                  {
                    $warenkorb = $app->erp->CleanDataBeforImportUTF8($warenkorb);
                  } else {
                    $warenkorb = $app->erp->CleanDataBeforImport($warenkorb);
                  }
                  foreach($warenkorb as $k => $v) $warenkorb[$k] = $app->erp->fixeUmlaute($v);
                  $kundenurvonprojekt = $app->DB->Select("SELECT kundenurvonprojekt FROM shopexport WHERE id = '$id' LIMIT 1");
                  $adresseprojekt = '';
                  if($kundenurvonprojekt)
                  {
                    $adresseprojekt = $app->DB->Select("SELECT projekt FROM shopexport WHERE id = '$id' LIMIT 1");
                  
                    if(isset($warenkorb['subshop']) && $warenkorb['subshop'])
                    {
                      $subshopprojekt = $app->DB->Select("SELECT projekt FROM shopexport_subshop WHERE shop = '".$id."' AND aktiv = 1 AND subshopkennung = '".$app->DB->real_escape_string($warenkorb['subshop'])."' LIMIT 1");
                      if($subshopprojekt)
                      {
                        $adresseprojekt = $subshopprojekt;
                      }
                    }
                  }

                  if($adresseprojekt)$adresseprojekt = " AND projekt = '".$adresseprojekt."' ";
                  
                  $checkid = $app->DB->Select("SELECT id FROM adresse WHERE name='".$app->erp->ReadyForPDF($warenkorb['name'])."' AND email='".$app->erp->ReadyForPDF($warenkorb['email'])."' AND abteilung='".$app->erp->ReadyForPDF($warenkorb['abteilung'])."'
                      AND strasse='".$app->erp->ReadyForPDF($warenkorb['strasse'])."' AND plz='".$app->erp->ReadyForPDF($warenkorb['plz'])."' AND ort='".$app->erp->ReadyForPDF($warenkorb['ort'])."' AND geloescht!=1 $adresseprojekt LIMIT 1");
                  if($checkid)
                  {
                    $checkkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkid' LIMIT 1");
                    if(!$checkkundennummer)
                    {
                      $app->erp->AddRolleZuAdresse($checkid, "Kunde", "von", "Projekt", $projekt);
                      $checkkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkid' LIMIT 1");
                    }
                    $checkid = $checkkundennummer;
                  }
                  if(!$checkid)
                  {
                    if($warenkorb['email']!="amazon_import_bounce@nfxmedia.de")
                    {
                      if($warenkorb['email'] != '')
                      {
                        $checkidemailid = $app->DB->Select("SELECT id FROM adresse WHERE email='".$warenkorb['email']."' and email <> '' AND geloescht!=1 $adresseprojekt LIMIT 1");
                        if($checkidemailid)
                        {
                          $checkidemail = $app->DB->Select("SELECT kundennummer FORM adresse WHERE id = '$checkidemailid' LIMIT 1");
                          if(!$checkidemail)
                          {
                            $app->erp->AddRolleZuAdresse($checkidemailid, "Kunde", "von", "Projekt", $projekt);
                            $checkidemail = $app->DB->Select("SELECT kundennummer FORM adresse WHERE id = '$checkidemailid' LIMIT 1");
                          }
                        }
                      }else{
                        $checkidemailid = $app->DB->Select("SELECT id FROM adresse WHERE name='".$app->erp->ReadyForPDF($warenkorb['name'])."'   AND strasse='".$app->erp->ReadyForPDF($warenkorb['strasse'])."' AND plz='".$app->erp->ReadyForPDF($warenkorb['plz'])."' AND ort='".$app->erp->ReadyForPDF($warenkorb['ort'])."' AND geloescht!=1 $adresseprojekt LIMIT 1");
                        if($checkidemailid)
                        {
                          $checkidemail = $app->DB->Select("SELECT kundennummer FORM adresse WHERE id = '$checkidemailid' LIMIT 1");
                          if(!$checkidemail)
                          {
                            $app->erp->AddRolleZuAdresse($checkidemailid, "Kunde", "von", "Projekt", $projekt);
                            $checkidemail = $app->DB->Select("SELECT kundennummer FORM adresse WHERE id = '$checkidemailid' LIMIT 1");
                          }
                        }                        
                      }
                    }
                    //if($checkidemail == '')
                    //{
                    //  $checkidemail = $app->DB->Select("SELECT kundennummer FROM adresse WHERE name LIKE '".$app->erp->ReadyForPDF($warenkorb['name'])."' AND ort LIKE '".$app->erp->ReadyForPDF($warenkorb['ort'])."' $adresseprojekt AND geloescht!=1 LIMIT 1");                  
                    //}
                  }
                  //echo "SELECT kundennummer FROM adresse WHERE email='".$warenkorb[email]."'  LIMIT 1";
                  if(!empty($warenkorb['kundennummer']))$validkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE kundennummer='".$warenkorb['kundennummer']."' AND geloescht!=1 LIMIT 1");
                  $kundennummer = 0;
                  $import_kundennummer = "";
                  if($warenkorb['kundennummer']!="" && $validkundennummer==$warenkorb['kundennummer'])
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $validkundennummer;
                  }elseif ($checkid!="")
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $checkid;                
                  }
                  elseif ($checkidemail!="")
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $checkidemail;
                  }
                  //echo "Kundennummer: ".$import_kundennummer."\r\n";
                  $shopimp->KundeAnlegenUpdate($insid,$auftrag, $warenkorb, $kundennummer, $import_kundennummer, $unbekanntezahlungsweisen);
                  $checkid = "";
                  $checkidemail = "";
                  $validkundennummer = "";
                }
              }

            
            
            if($demomodus!="1")	
            {
              $app->remote->RemoteDeleteAuftrag($id,$auftrag);
            }
            elseif($demomodus == "1")
            {
              break;
            }

          }
          if(!$demomodus)
          {
            if(!$maxtime)$maxtime = strtotime(date('Y-m-d H:i:s'));
            $datumvon = strtotime($zeitraum['datumvon']);
            $datumbis = strtotime($zeitraum['datumbis']);
            $tmpdatumvon = strtotime($zeitraum['tmpdatumvon']);
            $tmpdatumbis = strtotime($zeitraum['tmpdatumbis']);
            if($datumvon < 0)$datumvon = 0;
            if($datumbis < 0)$datumbis = 0;
            if($tmpdatumvon < 0)$tmpdatumvon = 0;
            if($tmpdatumbis < 0)$tmpdatumbis = 0;
            $app->DB->Update("UPDATE shopexport SET datumvon = '".date('Y-m-d H:i:s',$maxtime)."', tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
            /*
            if($datumvon)
            {
              if($datumbis)
              {
                if($tmpdatumvon)
                {
                  if(count($result) < $anzgleichzeitig)
                  {
                    $app->DB->Update("UPDATE shopexport SET datumvon = tmpdatumvon WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = NULL, tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
                  }else{
                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                  }
                }else{
                  if(count($result) < $anzgleichzeitig)
                  {
                    $app->DB->Update("UPDATE shopexport SET datumvon = datumbis WHERE id = '$id' LIMIT 1");
                  }else{
                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                  }
                }
              }else{
                //von aber kein bis
                if($tmpdatumvon)
                {
                  if(count($result) < $anzgleichzeitig)
                  {
                    if($maxtime)$app->DB->Update("UPDATE shopexport SET datumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = NULL, tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
                  }else{
                    
                    if($maxtime)$app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime)."' WHERE id = '$id' LIMIT 1");
                  }
                }else{
                  if(count($result) < $anzgleichzeitig)
                  {
                    if($maxtime)$app->DB->Update("UPDATE shopexport SET datumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = NULL, tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
                  }else{
                    if($maxtime)$app->DB->Update("UPDATE shopexport SET tmpdatumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                    if($maxtime)$app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime)."' WHERE id = '$id' LIMIT 1");
                  }
                } 
              }
            }else{
              if($datumbis)
              {
                //Kein von aber ein bis
                if($tmpdatumvon)
                {
                  if(count($result) < $anzgleichzeitig)
                  {
                    $app->DB->Update("UPDATE shopexport SET datumvon = tmpdatumvon WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = NULL, tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
                  }else{
                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                  }
                }else{
                  if(count($result) < $anzgleichzeitig)
                  {
                    $app->DB->Update("UPDATE shopexport SET datumvon = datumbis WHERE id = '$id' LIMIT 1");
                  }else{
                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                  }
                }
              }else{
                if($tmpdatumvon)
                {
                  if(count($result) < $anzgleichzeitig)
                  {
                    $app->DB->Update("UPDATE shopexport SET datumvon = tmpdatumvon WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = NULL, tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
                  }else{

                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                  }
                }else{
                  if(count($result) < $anzgleichzeitig)
                  {
                    if(!$datumvon)$app->DB->Update("UPDATE shopexport SET datumvon = '".date('Y-m-d H:i:s',$maxtime+1)."' WHERE id = '$id' LIMIT 1");
                  }else{
                    $app->DB->Update("UPDATE shopexport SET tmpdatumbis = '".date('Y-m-d H:i:s',$mintime-1)."' WHERE id = '$id' LIMIT 1");
                    $app->DB->Update("UPDATE shopexport SET tmpdatumvon = '".date('Y-m-d H:i:s',$maxtime)."' WHERE id = '$id' LIMIT 1");
                  }
                }
              }
            }*/
          }
        }else{
          if(!$demomodus)
          {           
            if(!$maxtime)$maxtime = strtotime(date('Y-m-d H:i:s'));
            $datumvon = strtotime($zeitraum['datumvon']);
            $datumbis = strtotime($zeitraum['datumbis']);
            $tmpdatumvon = strtotime($zeitraum['tmpdatumvon']);
            $tmpdatumbis = strtotime($zeitraum['tmpdatumbis']);
            if($datumvon < 0)$datumvon = 0;
            if($datumbis < 0)$datumbis = 0;
            if($tmpdatumvon < 0)$tmpdatumvon = 0;
            if($tmpdatumbis < 0)$tmpdatumbis = 0;
            if($tmpdatumbis)$app->DB->Update("UPDATE shopexport SET tmpdatumbis = NULL WHERE id = '$id' LIMIT 1");
          }
        }
      }else{
      
        $gesamtanzahl = $app->remote->RemoteGetAuftraegeAnzahl($id);
        //if($gesamtanzahl > 1)$gesamtanzahl = 1;
        if($gesamtanzahl > 0)
        {
          $app->erp->LogFile("Hole ".$gesamtanzahl." aus Shop ".$id);
          for($i=0;$i<$gesamtanzahl;$i++)
          {
            $app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 1,mutexcounter=0 WHERE parameter = 'shopimport'");
            $result = $app->remote->RemoteGetAuftrag($id);

            if(is_array($result))
            {
              $auftrag = $result[0]['id'];
              unset($tmpwarenkorb);
              $tmpwarenkorb = unserialize(base64_decode($result[0]['warenkorb']));
              $aktemail = isset($tmpwarenkorb['email'])?trim($tmpwarenkorb['email']):'';
              $onlinebestellnummer = $tmpwarenkorb['onlinebestellnummer'];
              $projekt = $app->DB->Select("SELECT projekt WHERE shopexport = '$id' LIMIT 1");
              if(!empty($tmpwarenkorb['projekt']) && $app->DB->Select("SELECT id FROM projekt WHERE id = '".(int)$tmpwarenkorb['projekt']."' LIMIT 1"))$projekt = (int)$tmpwarenkorb['projekt'];
              if(isset($tmpwarenkorb['subshop']) && $tmpwarenkorb['subshop'])
              {
                $subshopprojekt = $app->DB->Select("SELECT projekt FROM shopexport_subshop WHERE shop = '".$id."' AND aktiv = 1 AND subshopkennung = '".$app->DB->real_escape_string($tmpwarenkorb['subshop'])."' LIMIT 1");
                if($subshopprojekt)
                {
                  $projekt = $subshopprojekt;
                }
              }
              if($holealle && $onlinebestellnummer)
              {
                $neue_nummer = (int)$onlinebestellnummer+1;
                $app->DB->Update("UPDATE shopexport SET ab_nummer = '$neue_nummer' WHERE id = '$id'");
              }
              $sessionid = $result[0]['sessionid'];
              $warenkorb = $result[0]['warenkorb'];
              $logdatei = $result[0]['logdatei'];
              if(empty($logdatei))$logdatei = date('Y-m-d H:i:s');
              $checkdoppelt = $app->DB->Select("SELECT id FROM shopimport_auftraege WHERE extid = '".$app->DB->real_escape_string($auftrag)."' and shopid = '$id' LIMIT 1");
              $checkdoppeltimported = $app->DB->Select("SELECT id FROM shopimport_auftraege WHERE extid = '".$app->DB->real_escape_string($auftrag)."' and shopid = '$id' and warenkorb = '".$app->DB->real_escape_string($warenkorb)."' AND trash = 0
              AND (imported = 0 OR (imported = 1 AND DATE_SUB(NOW(),INTERVAL 10 MINUTE)>logdatei ))
              LIMIT 1");
              if(!$checkdoppeltimported)
              {
                $app->DB->Insert("INSERT INTO shopimport_auftraege (id,extid,sessionid,warenkorb,imported,projekt,bearbeiter,logdatei) 
                    VALUES('','".$app->DB->real_escape_string($auftrag)."','".$app->DB->real_escape_string($sessionid)."','".$app->DB->real_escape_string($warenkorb)."','0','$projekt','Cronjob','".$app->DB->real_escape_string($logdatei)."')");
                $insid = $app->DB->GetInsertID();
                if($insid)$app->DB->Update("UPDATE shopimport_auftraege set shopid = '$id' where id = '$insid'");
              }
              if(!$direktimport)
              {

              }else{
                if(!$checkdoppelt && !$checkdoppeltimported && $aktemail != '')
                {
                  $warenkorb = $app->DB->Select("SELECT warenkorb FROM shopimport_auftraege WHERE id = '$insid' LIMIT 1");
                  $warenkorb = unserialize(base64_decode($warenkorb));
                  if($shop['utf8codierung']=="1")
                  {
                    $warenkorb = $app->erp->CleanDataBeforImportUTF8($warenkorb);
                  } else {
                    $warenkorb = $app->erp->CleanDataBeforImport($warenkorb);
                  }
                  foreach($warenkorb as $k => $v) $warenkorb[$k] = $app->erp->fixeUmlaute($v);
                  $kundenurvonprojekt = $app->DB->Select("SELECT kundenurvonprojekt FROM shopexport WHERE id = '$id' LIMIT 1");
                  $adresseprojekt = '';
                  if($kundenurvonprojekt)$adresseprojekt = $app->DB->Select("SELECT projekt FROM shopexport WHERE id = '$id' LIMIT 1");
                  if($adresseprojekt)$adresseprojekt = " AND projekt = '".$adresseprojekt."' ";
                  
                  $checkid = $app->DB->Select("SELECT id FROM adresse WHERE name='".$app->erp->ReadyForPDF($warenkorb['name'])."' AND email='".$app->erp->ReadyForPDF($warenkorb['email'])."' AND abteilung='".$app->erp->ReadyForPDF($warenkorb['abteilung'])."'
                      AND strasse='".$app->erp->ReadyForPDF($warenkorb['strasse'])."' AND plz='".$app->erp->ReadyForPDF($warenkorb['plz'])."' AND ort='".$app->erp->ReadyForPDF($warenkorb['ort'])."' AND geloescht!=1 $adresseprojekt LIMIT 1");
                  if($checkid)
                  {
                    $checkkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkid' LIMIT 1");
                    if(!$checkkundennummer)
                    {
                      $app->erp->AddRolleZuAdresse($checkid, "Kunde", "von", "Projekt", $projekt);
                      $checkkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkid' LIMIT 1");
                    }
                    $checkid = $checkkundennummer;
                  }
                  if(!$checkid)
                  {
                    if($warenkorb['email']!="amazon_import_bounce@nfxmedia.de")
                    {
                      $checkidemailid = $app->DB->Select("SELECT id FROM adresse WHERE email='".$warenkorb['email']."' and email <> '' AND geloescht!=1 $adresseprojekt LIMIT 1");
                      if($checkidemailid)
                      {
                        $checkidemail = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkidemailid' LIMIT 1");
                        if(!$checkidemail)
                        {
                          $app->erp->AddRolleZuAdresse($checkidemailid, "Kunde", "von", "Projekt", $projekt);
                          $checkidemail = $app->DB->Select("SELECT kundennummer FROM adresse WHERE id = '$checkidemailid' LIMIT 1");
                        }
                      }
                    }
                    if($checkidemail == '')
                    {
                      $checkidemail = $app->DB->Select("SELECT kundennummer FROM adresse WHERE name LIKE '".$app->erp->ReadyForPDF($warenkorb['name'])."' AND ort LIKE '".$app->erp->ReadyForPDF($warenkorb['ort'])."' $adresseprojekt AND geloescht!=1 LIMIT 1");                  
                    }
                  }
                  //echo "SELECT kundennummer FROM adresse WHERE email='".$warenkorb[email]."'  LIMIT 1";
                  if(!empty($warenkorb['kundennummer']))$validkundennummer = $app->DB->Select("SELECT kundennummer FROM adresse WHERE kundennummer='".$warenkorb['kundennummer']."' AND geloescht!=1 LIMIT 1");
                  $kundennummer = 0;
                  $import_kundennummer = "";
                  if($warenkorb['kundennummer']!="" && $validkundennummer==$warenkorb['kundennummer'])
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $validkundennummer;
                  }elseif ($checkid!="")
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $checkid;                
                  }
                  elseif ($checkidemail!="")
                  {
                    $kundennummer = 1;
                    $import_kundennummer = $checkidemail;
                  }
                  //echo "Kundennummer: ".$import_kundennummer."\r\n";
                  $app->erp->LogFile("Importiere Auftrag ".$auftrag);
                  $shopimp->KundeAnlegenUpdate($insid,$auftrag, $warenkorb, $kundennummer, $import_kundennummer, $unbekanntezahlungsweisen);
                  $checkid = "";
                  $checkidemail = "";
                  $validkundennummer = "";
                }
              }
              
              

              if($demomodus != "1")	
              {
                $app->remote->RemoteDeleteAuftrag($id,$auftrag);
              }
            }
          }
          $app->erp->LogFile($gesamtanzahl." aus Shop ".$id." geholt");
        }
      }
    }
  }
}
$app->DB->Update("UPDATE prozessstarter SET letzteausfuerhung=NOW(), mutex = 0,mutexcounter=0 WHERE parameter = 'shopimport'");
?>
