<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php

class Remote
{

  function __construct(&$app)
  {
    $this->app=&$app;
  }

  function RemoteConnection($id, $extra = null)
  {
    return $this->RemoteCommand($id,"auth", $extra);
  }

  function RemoteGetUpdateArticleList($id)
  {
    return $this->RemoteCommand($id,"getlist");
  }

  function RemoteGetFileList($id)
  {
    return $this->RemoteCommand($id,"getfilelist");
  }

  function RemoteGetFileListArticle($id,$artikel_id)
  {
    $data['artikel'] = $artikel_id;

    return $this->RemoteCommand($id,"getfilelistarticle",$data);
  }

  function RemoteGetAuftraegeAnzahl($id)
  {
    $holealle = $this->app->DB->Select("SELECT holealle FROM shopexport WHERE id = '$id' LIMIT 1");
    $holeallestati = $this->app->DB->Select("SELECT holeallestati FROM shopexport WHERE id = '$id' LIMIT 1");
    $zeitraum = $this->app->DB->SelectArr("SELECT datumvon, datumbis,tmpdatumvon, tmpdatumbis, anzgleichzeitig FROM shopexport WHERE id = '$id' LIMIT 1");
    if($zeitraum)
    {
      
      $data['datumvon'] = $zeitraum[0]['datumvon'];
      $data['datumbis'] = $zeitraum[0]['datumbis'];
      //if(strtotime($zeitraum[0]['tmpdatumbis']) > 0)$data['datumbis'] = $zeitraum[0]['tmpdatumbis'];
      //if(strtotime($zeitraum[0]['tmpdatumvon']) > 0)$data['datumvon'] = $zeitraum[0]['tmpdatumbis'];
      if(strtotime($data['datumvon'])<=0)$data['datumvon'] = '2000-01-01 00:00:00';
      if(strtotime($data['datumbis'])<=0)$data['datumbis'] = date('Y-m-d H:i:s');
      $data['anzgleichzeitig'] = $zeitraum[0]['anzgleichzeitig'];
      if($holeallestati && $data['anzgleichzeitig'] > 1)$data['holeallestati'] = 1;
    }
    if($holealle)
    {
      $ab_nummer = $this->app->DB->Select("SELECT ab_nummer FROM shopexport WHERE id = '$id' LIMIT 1");
      $data = array('ab_nummer' => $ab_nummer);
      if($holeallestati)$data['holeallestati'] = 1;
      return $this->RemoteCommand($id,"getauftraegeanzahl", $data);
    }
    return $this->RemoteCommand($id,"getauftraegeanzahl");
  }
  
  function RemoteGetAuftraegeAnzahlNummer($id, $nummer)
  {
    $holealle = $this->app->DB->Select("SELECT holealle FROM shopexport WHERE id = '$id' LIMIT 1");
    if($holealle)
    {
      $data = array('nummer' => $nummer);
      return $this->RemoteCommand($id,"getauftraegeanzahl", $data);
    }
    return $this->RemoteCommand($id,"getauftraegeanzahl");
  }

  function RemoteGetAuftrag($id)
  {
    $holealle = $this->app->DB->Select("SELECT holealle FROM shopexport WHERE id = '$id' LIMIT 1");
    $holeallestati = $this->app->DB->Select("SELECT holeallestati FROM shopexport WHERE id = '$id' LIMIT 1");
    $zeitraum = $this->app->DB->SelectArr("SELECT datumvon, datumbis,tmpdatumvon, tmpdatumbis, anzgleichzeitig FROM shopexport WHERE id = '$id' LIMIT 1");
    if($zeitraum)
    {
      
      $data['datumvon'] = $zeitraum[0]['datumvon'];
      $data['datumbis'] = $zeitraum[0]['datumbis'];
      if(strtotime($zeitraum[0]['tmpdatumbis']) > 0)$data['datumbis'] = $zeitraum[0]['tmpdatumbis'];
      //if(strtotime($zeitraum[0]['tmpdatumvon']) > 0)$data['datumvon'] = $zeitraum[0]['tmpdatumbis'];
      if(strtotime($data['datumvon'])<=0)$data['datumvon'] = '2000-01-01 00:00:00';
      if(strtotime($data['datumbis'])<=0)$data['datumbis'] = date('Y-m-d H:i:s');
      $data['anzgleichzeitig'] = $zeitraum[0]['anzgleichzeitig'];
      if($data['anzgleichzeitig'] > 1 && $this->app->DB->Select("SELECT einzelsync FROM shopexport WHERE id = '$id' LIMIT 1"))$data['anzgleichzeitig'] = 1;
    }
    if($holealle)
    {
      $ab_nummer = $this->app->DB->Select("SELECT ab_nummer FROM shopexport WHERE id = '$id' LIMIT 1");
      $data['ab_nummer'] = $ab_nummer;
      if($holeallestati)$data['holeallestati'] = 1;
      return $this->RemoteCommand($id,"getauftrag", $data);
    }elseif($zeitraum)
    {
      return $this->RemoteCommand($id,"getauftrag", $data);
    }
    
    return $this->RemoteCommand($id,"getauftrag");
  }
  
  function RemoteGetAuftragNummer($id, $nummer)
  {
    $holealle = $this->app->DB->Select("SELECT holealle FROM shopexport WHERE id = '$id' LIMIT 1");
    if($holealle)
    {
      $data = array('nummer' => $nummer);
      return $this->RemoteCommand($id,"getauftrag", $data);
    }
  }

  function RemoteSendExportlink($id)
  {
    //$data[0] = array('aasas','asddd');


    // passwort erzeugen , daten verschluesseln, wenn passwort neu link an kunden senden
    // alternativ artikel umfrage
    //    $all = $this->app->DB->SelectArr("SELECT * FROM artikelgruppen WHERE shop='$id'");

    // alle artikelid = 38 die in einem auftrag sind


    // usb90key
    $artikelid= 38;

    $all = $this->app->DB->SelectArr("SELECT a.id as auftrag, a.adresse as adresse  FROM auftrag_position ap LEFT JOIN auftrag a ON a.id=ap.auftrag WHERE ap.artikel='$artikelid' AND ap.geliefert_menge < ap.menge AND a.status!='storniert'
        AND a.status!='abgeschlossen'");
    // mail mit url senden

    $loop = 0;

    for($i=0;$i<count($all);$i++)
    {
      $auftragid = $all[$i]['auftrag'];
      $adresse = $all[$i]['adresse'];

      $grund = "artikel";

      $check = $this->app->DB->Select("SELECT reg FROM exportlink_sent WHERE adresse='$adresse' AND objekt='$artikelid' AND ident='$auftragid' LIMIT 1");

      if($check=="")
      {

        $checkreg = 1;
        while($checkreg!="")
        {
          $token1 = md5(uniqid(rand(), true));
          $token2 = md5(uniqid(rand(), true));

          $token3 = md5(uniqid(rand(), true));
          $token4 = md5(uniqid(rand(), true));

          $zufall = $token1.”-”.$token2;
          $zufall = md5($zufall);

          $zufall2 = $token3.”-”.$token4;
          $zufall2 = md5($zufall2);

          $reg = md5($zufall2.$zufall);


          $checkreg = $this->app->DB->Select("SELECT reg FROM exportlink_sent WHERE reg='$reg' LIMIT 1");
        }

        // pruefen ob es zahl schon gibt sonst nochmal

        $data[$loop]['reg'] = $reg;
        $data[$loop]['grund'] = $grund;
        $data[$loop]['objekt'] = $artikelid; // artikel id
        $data[$loop]['ident'] = $auftragid;//
        $loop++;

        $this->app->DB->Insert("INSERT INTO exportlink_sent (id,reg,grund,objekt,ident,adresse,datum) VALUES ('','$reg','$grund','$artikelid','$auftragid','$adresse',NOW())");
      }

    }
    return $this->RemoteCommand($id,"exportlink",$data);
  }



  function RemoteSendNavigation($id)
  {
    //$data[0] = array('aasas','asddd');

    $all = $this->app->DB->SelectArr("SELECT * FROM shopnavigation WHERE shop='$id'");
    for($i=0;$i<count($all);$i++)
    {

      $data[$i]['id'] = $all[$i]['id'];
      $data[$i]['bezeichnung'] = $all[$i]['bezeichnung'];
      $data[$i]['position'] = $all[$i]['position'];
      $data[$i]['parent'] = $all[$i]['parent'];
      $data[$i]['bezeichnung_en'] = $all[$i]['bezeichnung_en'];
      $data[$i]['plugin'] = $all[$i]['plugin'];
      $data[$i]['pluginparameter'] =  $all[$i]['pluginparameter'];
      $data[$i]['target'] =  $all[$i]['target'];
    }
    return $this->RemoteCommand($id,"navigation",$data);
  }

  function RemoteSendArtikelgruppen($id)
  {
    //$data[0] = array('aasas','asddd');

    $all = $this->app->DB->SelectArr("SELECT * FROM artikelgruppen WHERE shop='$id'");
    for($i=0;$i<count($all);$i++)
    {

      $data[$i]['id'] = $all[$i]['id'];
      $data[$i]['bezeichnung'] = $all[$i]['bezeichnung'];
      $data[$i]['bezeichnung_en'] = $all[$i]['bezeichnung_en'];
      $data[$i]['beschreibung_de'] = $all[$i]['beschreibung_de'];
      $data[$i]['beschreibung_en'] = $all[$i]['beschreibung_en'];
    }
    return $this->RemoteCommand($id,"artikelgruppen",$data);
  }


  function RemoteSendInhalt($id)
  {
    //$data[0] = array('aasas','asddd');

    $all = $this->app->DB->SelectArr("SELECT * FROM inhalt WHERE shop='$id' AND aktiv=1");
    for($i=0;$i<count($all);$i++)
    {

      //      $data[$i][id] = $all[$i][id];
      $data[$i]['sprache'] = $all[$i]['sprache'];
      $data[$i]['inhalt'] = $all[$i]['inhalt'];
      $data[$i]['kurztext'] = $all[$i]['kurztext'];
      $data[$i]['html'] = $all[$i]['html'];
      $data[$i]['title'] = $all[$i]['title'];
      $data[$i]['description'] = $all[$i]['description'];
      $data[$i]['keywords'] = $all[$i]['keywords'];
      $data[$i]['inhaltstyp'] = $all[$i]['inhaltstyp'];
      $data[$i]['template'] = $all[$i]['template'];
      $data[$i]['finalparse'] = $all[$i]['finalparse'];
      $data[$i]['navigation'] = $all[$i]['navigation'];
      $data[$i]['sichtbarbis'] = $all[$i]['sichtbarbis'];
      $data[$i]['datum'] = $all[$i]['datum'];
      $data[$i]['aktiv'] = $all[$i]['aktiv'];
    }
    return $this->RemoteCommand($id,"inhalt",$data);
  }

  function RemoteSendArtikelArtikelgruppen($id)
  {
    //$data[0] = array('aasas','asddd');

    $all = $this->app->DB->SelectArr("SELECT * FROM artikel_artikelgruppe");
    for($i=0;$i<count($all);$i++)
    {
      $data[$i]['id'] = $all[$i]['id'];
      $data[$i]['artikel'] = $all[$i]['artikel'];
      $data[$i]['artikelgruppe'] = $all[$i]['artikelgruppe'];
      $data[$i]['position'] = $all[$i]['position'];
    }
    return $this->RemoteCommand($id,"artikelartikelgruppen",$data);
  }


  function RemoteGetArticle($id,$nummer)
  {
    $data['nummer']=$nummer;
    return $this->RemoteCommand($id,"getarticle",$data);
  }

  function RemoteSendArticleList($id,$artikel_arr, $extnummer = "", $nurlager = false)
  {

    //$data[0] = array('aasas','asddd');
    if(is_file("objectapi/mysql/_gen/object.gen.artikel.php"))
      include_once("objectapi/mysql/_gen/object.gen.artikel.php");
    else
      include_once(dirname(__FILE__)."/../../www/objectapi/mysql/_gen/object.gen.artikel.php");
    $lagerexport = $this->app->DB->Select("SELECT lagerexport FROM shopexport WHERE id='$id' LIMIT 1");
    $artikelexport = $this->app->DB->Select("SELECT artikelexport FROM shopexport WHERE id='$id' LIMIT 1");
    $shopbilderuebertragen = $this->app->DB->Select("SELECT shopbilderuebertragen FROM shopexport WHERE id='$id' LIMIT 1");
    $tmp = new ObjGenArtikel($this->app);
    for($i=0;$i<count($artikel_arr);$i++)
    {
      $artikel = $artikel_arr[$i];
      $tmp->Select($artikel);

      $data[$i]['artikel'] = $artikel;
      $data[$i]['nummer'] = $tmp->GetNummer();
      if(is_array($extnummer) && count($extnummer) > $i && !empty($extnummer[$i]))$data[$i]['nummer'] = $extnummer[$i];

      $data[$i]['inaktiv'] = $tmp->GetInaktiv();

      if($tmp->GetIntern_Gesperrt()=="1")
        $data[$i]['inaktiv']=1;

      $data[$i]['name_de'] = $tmp->GetName_De();
      $data[$i]['name_en'] = $tmp->GetName_En();
      $data[$i]['einheit'] = $tmp->GetEinheit();
      $data[$i]['hersteller'] = $tmp->GetHersteller();
      $data[$i]['herstellernummer'] = $tmp->GetHerstellernummer();
      $data[$i]['ean'] = $tmp->GetEan();
      $data[$i]['artikelnummer_fremdnummern'] = $this->app->DB->SelectArr("SELECT * FROM artikelnummer_fremdnummern WHERE artikel = '".$tmp->GetId()."' AND shopid = '$id' AND aktiv = '1'");
      $data[$i]['kurztext_de'] = $tmp->GetKurztext_De();
      $data[$i]['kurztext_en'] = $tmp->GetKurztext_En();
      $data[$i]['beschreibung_de'] = $tmp->GetBeschreibung_De();
      $data[$i]['beschreibung_en'] = $tmp->GetBeschreibung_En();
      $data[$i]['uebersicht_de'] = htmlspecialchars($tmp->GetUebersicht_De(),ENT_QUOTES);
      $data[$i]['uebersicht_en'] = htmlspecialchars($tmp->GetUebersicht_En(),ENT_QUOTES);
      if($tmp->GetVariante())
      {
        $variante_von = $tmp->GetVariante_Von();
        if($variante_von)
        {
          $tmp_2 = new ObjGenArtikel($this->app);
          $tmp_2->Select($variante_von);
          if($data[$i]['kurztext_de'] == '')$data[$i]['kurztext_de'] = $tmp_2->GetKurztext_De();
          if($data[$i]['kurztext_en'] == '')$data[$i]['kurztext_en'] = $tmp_2->GetKurztext_En();
          if($data[$i]['beschreibung_de'] == '')$data[$i]['beschreibung_de'] = $tmp_2->GetBeschreibung_De();
          if($data[$i]['beschreibung_en'] == '')$data[$i]['beschreibung_en'] = $tmp_2->GetBeschreibung_En();
          if($data[$i]['uebersicht_de'] == '')$data[$i]['uebersicht_de'] = htmlspecialchars($tmp_2->GetUebersicht_De(),ENT_QUOTES);
          if($data[$i]['uebersicht_en'] == '')$data[$i]['uebersicht_en'] = htmlspecialchars($tmp_2->GetUebersicht_En(),ENT_QUOTES);
        }
      }  
      
      $data[$i]['links_de'] = $tmp->GetLinks_De();
      $data[$i]['links_en'] = $tmp->GetLinks_En();
      $data[$i]['startseite_de'] = $tmp->GetStartseite_De();
      $data[$i]['startseite_en'] = $tmp->GetStartseite_En();
      $data[$i]['neu'] = $tmp->GetNeu();
      $data[$i]['restmenge'] = $tmp->GetRestmenge();
      $data[$i]['topseller'] = $tmp->GetTopseller();
      $data[$i]['startseite'] = $tmp->GetStartseite();
      $data[$i]['standardbild'] = $tmp->GetStandardbild();
      $data[$i]['herstellerlink'] = $tmp->GetHerstellerlink();
      $data[$i]['lieferzeit'] = $tmp->GetLieferzeit();
      $data[$i]['lieferzeitmanuell'] = $tmp->GetLieferzeitmanuell();
      $data[$i]['gewicht'] = $tmp->GetGewicht();
      $data[$i]['laenge'] = $tmp->GetLaenge();
      $data[$i]['breite'] = $tmp->GetBreite();
      $data[$i]['hoehe'] = $tmp->GetHoehe();
      
      $data[$i]['wichtig'] = $tmp->GetWichtig();
      $data[$i]['porto'] = $tmp->GetPorto();
      //$data[$i][lagerartikel] = $tmp->GetLagerartikel();
      $data[$i]['gesperrt'] = $tmp->GetGesperrt();
      $data[$i]['sperrgrund'] = $tmp->GetSperrgrund();
      $data[$i]['gueltigbis'] = $tmp->GetGueltigbis();
      $data[$i]['umsatzsteuer'] = $tmp->GetUmsatzsteuer();
      if($data[$i]['umsatzsteuer']!="ermaessigt") $data[$i][umsatzsteuer]="normal";
      $data[$i]['ausverkauft'] = $tmp->GetAusverkauft();
      $data[$i]['variante'] = $tmp->GetVariante();
      //$data[$i][variante_von] = $tmp->GetVariante_Von();
      $data[$i]['variantevon'] = $this->app->DB->Select("SELECT nummer FROM artikel WHERE id='".$tmp->GetVariante_Von()."' LIMIT 1");
      $data[$i]['pseudopreis'] = $tmp->GetPseudopreis();
      $data[$i]['einkaufspreis'] = $this->app->erp->GetEinkaufspreis($artikel,1);
      $data[$i]['pseudolager'] = $tmp->GetPseudolager();
      $data[$i]['downloadartikel'] = $tmp->GetDownloadartikel();
      

      $freifelder = $this->app->DB->SelectArr("SELECT freifeld_wawi, freifeld_shop FROM shopexport_freifelder WHERE shop = '$id' AND aktiv = 1 AND freifeld_wawi <> '' AND freifeld_shop <> ''");
      if($freifelder)
      {
        foreach($freifelder as $freifeld)
        {
          if(method_exists($tmp,'Get'.ucfirst($freifeld['freifeld_wawi'])))
          {
            $_funktionsname = 'Get'.ucfirst($freifeld['freifeld_wawi']);
            $data[$i]['freifeld_'.$freifeld['freifeld_shop']] = $tmp->$_funktionsname();
          }
        }
      }

      $data[$i]['typ'] = $tmp->GetTyp();
      $data[$i]['kategoriename'] = $tmp->GetTyp();
      if(strpos($data[$i]['typ'], '_kat'))
      {
        $data[$i]['kategoriename'] = $this->app->DB->Select("SELECT bezeichnung FROM artikelkategorien WHERE id = '".(int)str_replace('_kat','',$data[$i]['typ'])."' LIMIT 1");
      }
      
      $kategorienuebertragen = $this->app->DB->Select("SELECT kategorienuebertragen FROM shopexport WHERE id = '$id' LIMIT 1");
      if($kategorienuebertragen)
      {
        $kategorien = $this->app->DB->SelectArr("SELECT ak.bezeichnung FROM `artikelbaum_artikel` aa INNER JOIN `artikelkategorien` ak ON aa.kategorie = ak.id AND ak.geloescht <> 1 AND aa.artikel = '$artikel' ORDER by ak.bezeichnung");
        if($kategorien)
        {
          foreach($kategorien as $v)$data[$i]['kategorien'][] = array('name'=>$v['bezeichnung']);
        }
      }
      
      $eigenschaftenuebertragen = $this->app->DB->Select("SELECT eigenschaftenuebertragen FROM shopexport WHERE id = '$id' LIMIT 1");
      if($eigenschaftenuebertragen)
      {
        $eigenschaften = $this->app->DB->SelectArr("SELECT e.name, ew.wert FROM artikeleigenschaften e INNER JOIN artikeleigenschaftenwerte ew ON e.id = ew.artikeleigenschaften
        WHERE ew.artikel = '$artikel' AND e.name <> '' AND ew.wert <> '' AND e.geloescht <> 1");
        if($eigenschaften)
        {
          $eigenschaftind = 0;
          foreach($eigenschaften as $eigenschaft)
          {
            $eigenschaftind++;
            //$data[$i]['eigenschaftname'.$eigenschaftind] = $eigenschaft['name'];
            //$data[$i]['eigenschaftwert'.$eigenschaftind] = $eigenschaft['wert'];
            $data[$i]['eigenschaften'][] = array('name'=>$eigenschaft['name'], 'values'=>$eigenschaft['wert']);
          }
        }
      }

      if($this->app->DB->Select("SELECT id FROM artikel WHERE variante_von = '$artikel' AND variante = 1 AND geloescht <> 1 LIMIT 1"))
      {
        $data[$i]['variantevorhanden'] = 1;
      }else{
        $data[$i]['variantevorhanden'] = 0;
      }
      
      //Bilder
      $dateien = null;
      if($shopbilderuebertragen)$dateien = $this->app->DB->SelectArr("SELECT d.id,d.titel, d.beschreibung FROM `datei_stichwoerter` ds INNER JOIN datei d ON ds.datei = d.id  WHERE ds.`parameter` = '$artikel' AND ds.objekt like 'Artikel' ");
      if($dateien)
      {
        foreach($dateien as $datei)
        {
          $filename = $this->app->erp->GetDateiName($datei['id']);
          $path_info = pathinfo($filename);
          $data[$i]['Dateien'][] =  array('datei'=> base64_encode($this->app->erp->GetDatei($datei['id'])),'filename'=>$filename,'extension'=>$path_info['extension'],'titel'=>$datei['titel'],'beschreibung'=>$datei['beschreibung']);
        }
      }
      
      
      if(method_exists($tmp,'GetSteuer_Art_Produkt'))$data[$i]['steuer_art_produkt'] = $tmp->GetSteuer_Art_Produkt();
      if(method_exists($tmp,'GetSteuer_Art_Produkt_Download'))$data[$i]['steuer_art_produkt_download'] = $tmp->GetSteuer_Art_Produkt_Download();

      if(method_exists($tmp,'GetMetadescription_De'))$data[$i]['metadescription_de'] = $tmp->GetMetadescription_De();
      if(method_exists($tmp,'GetMetadescription_En'))$data[$i]['metadescription_en'] = $tmp->GetMetadescription_En();
      if(method_exists($tmp,'GetMetakeywords_De'))$data[$i]['metakeywords_de'] = $tmp->GetMetakeywords_De();
      if(method_exists($tmp,'GetMetakeywords_En'))$data[$i]['metakeywords_en'] = $tmp->GetMetakeywords_En();
      if(method_exists($tmp,'GetMetatitle_De'))$data[$i]['metatitle_de'] = $tmp->GetMetatitle_De();
      if(method_exists($tmp,'GetMetatitle_En'))$data[$i]['metatitle_en'] = $tmp->GetMetatitle_En();
      //     $data[$i][lieferant] = $tmp->GetLieferant();

      $projekt = $tmp->GetProjekt();

      $data[$i]['anzahl_bilder'] = $this->app->DB->Select("SELECT COUNT(datei) FROM  datei_stichwoerter WHERE subjekt='Shopbild' AND objekt='Artikel' AND parameter='$artikel'");

      // Achtung diesen Algorithmus gibt es nochmal
      /*
         if($tmp->GetJuststueckliste())
         $lagernd = $this->app->erp->ArtikelAnzahlLagerStueckliste($artikel);
         else
         $lagernd = $this->app->erp->ArtikelAnzahlLager($artikel);

         $reserviert = $this->app->erp->ArtikelAnzahlReserviert($artikel);

         $offen = $this->app->erp->ArtikelAnzahlOffene($artikel);

         if($offen > $reserviert) $reserviert = $offen;
       */
      
      $bestandalternativartikel = method_exists($tmp, 'GetBestandalternativartikel')?$tmp->GetBestandalternativartikel():0;
      if($bestandalternativartikel)
      {
        $data[$i]['anzahl_lager'] = floor($this->app->erp->ArtikelAnzahlVerkaufbar($bestandalternativartikel));
      }else{
        $data[$i]['anzahl_lager'] = floor($this->app->erp->ArtikelAnzahlVerkaufbar($artikel));
      }

      if($data[$i]['anzahl_lager']<0) $data[$i]['anzahl_lager'] = 0;

      $data[$i]['autolagerlampe'] = $tmp->GetAutolagerlampe();
      if($data[$i]['autolagerlampe']!="1") {
        $data[$i]['anzahl_lager'] = "";
        $data[$i]['pseudolager'] = "";
      }

      $projekt = $this->app->DB->Select("SELECT projekt FROM shopexport WHERE id='$id' LIMIT 1");

      $preis = $this->app->DB->Select("SELECT MAX(preis) FROM verkaufspreise WHERE 
          artikel='$artikel' AND (gueltig_bis>=NOW() OR gueltig_bis='0000-00-00') AND ab_menge = 1 AND (objekt='Standard' OR objekt='') AND (adresse='0' OR adresse='') AND geloescht=0 AND art!='Gruppe'");

      $data[$i]['preis'] = $preis;

      if($data[$i]['umsatzsteuer']=="ermaessigt")
      {
        $steuer = ($this->app->erp->GetStandardSteuersatzErmaessigt($projekt) + 100)/100.0;
        $data[$i]['steuersatz'] = $this->app->erp->GetStandardSteuersatzErmaessigt($projekt);
      }
      else
      {
        $steuer = ($this->app->erp->GetStandardSteuersatzNormal($projekt) + 100)/100.0;
        $data[$i]['steuersatz'] = $this->app->erp->GetStandardSteuersatzNormal($projekt);
      }
      
      $staffelpreise = $this->app->DB->SelectArr("
      
        SELECT g.name,g.kennziffer, v.ab_menge, v.preis, g.id, v.waehrung  FROM `verkaufspreise` v 
        LEFT JOIN gruppen g on v.gruppe = g.id AND v.art like 'Gruppe'
        WHERE v.`artikel` = '$artikel' AND v.geloescht = 0 AND (gueltig_bis = '0000-00-00' OR curdate() <= gueltig_bis OR isnull(gueltig_bis)) ORDER by g.id, ab_menge");
      if($staffelpreise)
      {
        foreach($staffelpreise as $k => $v)
        {
          $data[$i]['staffelpreise'][] = array('ab_menge' => $v['ab_menge'], 'preis' => $v['preis'], 'bruttopreis'=>$v['preis'] * $steuer, 'waehrung'=>($v['waehrung']?$v['waehrung']:'EUR'));
          if($v['id'])
          {
            $data[$i]['staffelpreise'][count($data[$i]['staffelpreise'])-1]['gruppenkennziffer'] = $v['kennziffer'];
            $data[$i]['staffelpreise'][count($data[$i]['staffelpreise'])-1]['gruppenname'] = $v['name'];
          }
        }
      }
      
      $data[$i]['bruttopreis'] = $data[$i]['preis']*$steuer;

      $data[$i]['checksum'] = $tmp->GetChecksum();
      if($preis == "" && !$nurlager && $lagerexport){
        $this->app->erp->Systemlog("Shopexport bei Artikel ".$data[$i]['nummer']." ".$data[$i]['name_de']." fehlgeschlagen, da Verkaufspreis fehlt.");
        $data[$i]['artikel']="ignore" ;
      }
    }
    if($lagerexport=="1")
      $result =  $this->RemoteCommand($id,"sendlistlager",$data);

    if($artikelexport=="1" && !$nurlager)
      $result = $this->RemoteCommand($id,"sendlist",$data);

    return $result;
  }

  function RemoteUpdateAuftrag($id,$auftrag)
  {
    $status = $this->app->DB->Select("SELECT status FROM auftrag WHERE id='$auftrag' LIMIT 1");
    $zahlungsweise = $this->app->DB->Select("SELECT zahlungsweise FROM auftrag WHERE id='$auftrag' LIMIT 1");
    $shopextid = $this->app->DB->Select("SELECT shopextid FROM auftrag WHERE id='$auftrag' LIMIT 1");
    $shopextstatus = $this->app->DB->Select("SELECT shopextstatus FROM auftrag WHERE id='$auftrag' LIMIT 1");
    $internet = $this->app->DB->Select("SELECT internet FROM auftrag WHERE id='$auftrag' LIMIT 1");

    $lieferscheinid = $this->app->DB->Select("SELECT id FROM lieferschein WHERE auftragid='$auftrag' LIMIT 1");
    $versandart = $this->app->DB->Select("SELECT versandart FROM lieferschein WHERE id='$lieferscheinid' LIMIT 1");
    $tracking = $this->app->DB->Select("SELECT tracking FROM versand WHERE lieferschein='$lieferscheinid' ORDER BY id DESC LIMIT 1");

    $positionen = $this->app->DB->SelectArr("SELECT ap.webid, lp.geliefert FROM lieferschein_position lp INNER JOIN lieferschein l ON l.id = lp.lieferschein 
    INNER JOIN auftrag a ON a.id = l.auftragid INNER JOIN auftrag_position ap ON ap.id = lp.auftrag_position_id WHERE l.id = '$lieferscheinid' AND ap.webid <> '' ");
    if($positionen)
    {
      foreach($positionen as $position)
      {
        if($position['geliefert'] > 0)$itemlist[] = array('webid'=>$position['webid'],'quantity'=>$position['geliefert']);
      }
    }
	  if(isset($itemlist))$data['itemlist'] = $itemlist;
    
    $data['auftrag'] = $shopextid;
    $data['internet'] = $internet;
    $data['zahlungsweise'] = $zahlungsweise;
    $data['versandart'] = $versandart;

    //versand
    if($status=="abgeschlossen")
    {
      $data['versand']="1";
      $data['zahlung']="1";
      //tracking
      if($tracking!="")
        $data['tracking']=$tracking;
      $shopextstatus="versendet";
    }

    /*
    //zahlung
    if($this->app->erp->AuftragSaldo($auftrag)==0)
    {
    $data[zahlung]="1";
    $shopextstatus="bezahlt";
    }
     */


    if($data['versand']=="1" || $data['zahlung']=="1")
    {
      $this->app->DB->Insert("INSERT INTO auftrag_protokoll (auftrag, zeit, bearbeiter, grund) values ('$auftrag',now(),'".(isset($this->app->User)?$this->app->DB->real_escape_string($this->app->User->GetName()):'Cronjob')."','Versandmeldung an Shop &uuml;bertragen')");
      $this->RemoteCommand($id,"updateauftrag",$data);
      $shopextstatus="abgeschlossen";
      $this->app->DB->Update("UPDATE auftrag SET shopextstatus='$shopextstatus' WHERE id='$auftrag' LIMIT 1");
    }
  }


  function RemoteDeleteAuftrag($id,$auftrag)
  {

    $data['auftrag'] = $auftrag;
    $this->RemoteCommand($id,"deleteauftrag",$data);
  }

  function RemoteDeleteFile($id,$fid)
  {

    $inhalt = $this->app->erp->GetDatei($fid);
    $titel = $this->app->DB->Select("SELECT titel FROM datei WHERE id='$fid' LIMIT 1");
    $beschreibung = $this->app->DB->Select("SELECT beschreibung FROM datei WHERE id='$fid' LIMIT 1");

    $data['datei'] = $fid;
    $data['checksum'] = md5($inhalt);
    $data['checksum'] = md5($inhalt.$titel.$beschreibung);
    $this->RemoteCommand($id,"deletefile",$data);
  }


  // artikel id, shop id
  function RemoteUpdateFilesArtikel($artikel_id,$id)
  {
    $dateien = $this->app->DB->SelectArr("SELECT DISTINCT ds.datei FROM datei_stichwoerter ds, datei d, artikel a WHERE d.id=ds.datei AND (ds.subjekt='Shopbild' OR ds.subjekt='Gruppenbild') AND ((ds.objekt='Artikel' AND ds.parameter=a.id)  OR (ds.objekt='Kampangen' AND ds.parameter='$id')) AND d.firma='".$this->app->User->GetFirma()."' AND a.shop='$id' AND a.id='$artikel_id'");

    $tmp = $this->app->remote->RemoteGetFileListArticle($id,$artikel_id);

    foreach($tmp as $row)
      $checkarray[$row['datei']] = $row['checksum'];

    $datei_updates = 0;
    for($i=0;$i<count($dateien);$i++)
    {
      $fid = $dateien[$i]['datei'];
      $geloescht = $this->app->DB->Select("SELECT geloescht FROM datei WHERE id='$fid' LIMIT 1");

      if(($checkarray[$fid]!=md5($this->app->erp->GetDatei($fid))) && $geloescht==0)
      {
        $datei_updates++;
        $this->app->remote->RemoteSendFile($id,$fid);
        $this->app->remote->RemoteAddFileSubject($id,$fid);
        $checkarray[$fid]="update";
      } else
      {   
        if($geloescht)
        { 
          $this->app->remote->RemoteDeleteFile($id,$fid);
          $checkarray[$fid]="delete";
        }
      }
      $checkarray[$fid]="mark";
    }
    if(count($checkarray)>0)
    {
      $delete=0;
      foreach($checkarray as $key=>$value)
      {   
        if($checkarray[$key]!="mark" && $checkarray[$key]!="delete" && $checkarray[$key]!="update")
        {
          //echo "loesche $key<br>";
          $this->app->remote->RemoteDeleteFile($id,$key);
          $delete++;
        }
      }   
    }


  }



  function RemoteSendFile($id,$fid)
  {
    // sende stichwoerter
    $geloescht = $this->app->DB->Select("SELECT geloescht FROM datei WHERE id='$fid' LIMIT 1");
    $titel = $this->app->DB->Select("SELECT titel FROM datei WHERE id='$fid' LIMIT 1");
    $beschreibung = $this->app->DB->Select("SELECT beschreibung FROM datei WHERE id='$fid' LIMIT 1");

    $inhalt = $this->app->erp->GetDatei($fid);
    $data['datei'] = $fid;
    $data['titel'] = $titel;
    $data['beschreibung'] =$beschreibung; 
    $data['inhalt'] = base64_encode($inhalt);
    $data['checksum'] = md5($inhalt.$titel.$beschreibung);
    if(!$geloescht)
      $this->RemoteCommand($id,"sendfile",$data);
  }

  function RemoteAddFileSubject($id,$fid)
  {
    // sende stichwoerter
    $woerter = $this->app->DB->SelectArr("SELECT subjekt,parameter FROM datei_stichwoerter WHERE (objekt='Artikel' OR objekt='Kampangen') AND datei='$fid'");
    for($i=0;$i<count($woerter);$i++)
    {
      $geloescht = $this->app->DB->Select("SELECT geloescht FROM datei WHERE id='$fid' LIMIT 1");
      $stichwort['subjekt'] = $woerter[$i]['subjekt'];
      $stichwort['artikel'] = $woerter[$i]['parameter'];
      $stichwort['datei'] =  $fid;
      if(!$geloescht)
        $this->RemoteCommand($id,"addfilesubjekt",$stichwort);
    }
  }


  function RemoteDeleteArticle($id,$artikel)
  {
    return $this->RemoteCommand($id,"deletearticle",$artikel);
  }

  function RemoteSendPartner($id, $partner)
  {
    return $this->RemoteCommand($id, "partnerlist", $partner);
  }

  function RemoteCommand($id,$action,$data="")
  {
    $token = $this->app->DB->Select("SELECT token FROM shopexport WHERE id='$id' LIMIT 1");
    $url = $this->app->DB->Select("SELECT url FROM shopexport WHERE id='$id' LIMIT 1");
    $z = $this->app->DB->Select("SELECT passwort FROM shopexport WHERE id='$id' LIMIT 1");
    $bezeichnung = $this->app->DB->Select("SELECT bezeichnung FROM shopexport WHERE id='$id' LIMIT 1");
    $tmp = parse_url($url);
    $tmp['host'] = rtrim($tmp['host'],'/');
    $tmp['path'] = rtrim($tmp['path'],'/');
    $tmp['path'] = $tmp['path'].'/';

    $aes = new AES($z);
    $token = base64_encode($aes->encrypt(serialize($token)));
    $client = new HttpClient($tmp['host'], stripos($url,'https') === 0?443:80);
    $geturl = $tmp['path'].'index.php?module=import&action='.$action.'&challenge='.(isset($challenge)?$challenge:'');
    //Kein Fragezeichen vor module=import...
    if(false !== stripos($bezeichnung, 'woocommerce'))$geturl = $tmp['path'].'module=import&action='.$action.'&challenge='.(isset($challenge)?$challenge:'');

    if(false !== stripos($bezeichnung, 'shopware plugin'))$geturl = $tmp['path'].'wawisionimporter/?smodule=import&saction='.$action.'&challenge='.(isset($challenge)?$challenge:'');

    $post_data['token'] = $token;
    //$post_data['data'] = base64_encode($aes->encrypt(serialize($data)));
    $post_data['data'] = base64_encode(serialize($data));
    $client->timeout = 120;
    if(!$client->post($geturl,$post_data))
    {
      $this->app->erp->LogFile(mysqli_real_escape_string($this->app->DB->connection,'An error occurred: '.$client->getError()));
      die('An error occurred: '.$client->getError());
      return 'Netzwerkverbindung von WaWison zu Shopimporter fehlgeschlagen: '.$client->getError();
    }
    return unserialize(base64_decode($client->getContent()));
  }



  function RemoteCommandAES($id,$action,$data="")
  {
    $token = $this->app->DB->Select("SELECT token FROM shopexport WHERE id='$id' LIMIT 1");
    $url = $this->app->DB->Select("SELECT url FROM shopexport WHERE id='$id' LIMIT 1");
    $z = $this->app->DB->Select("SELECT passwort FROM shopexport WHERE id='$id' LIMIT 1");

    $tmp = parse_url($url);

    $aes = new AES($z);
    $token = base64_encode($aes->encrypt(serialize($token)));

    $client = new HttpClient($tmp['host']);
    $geturl = $tmp[path].'index.php?module=import&action='.$action.'&challenge='.$challenge;

    $post_data['token'] = $token;
    $post_data['data'] = base64_encode($aes->encrypt(serialize($data)));

    if(!$client->post($geturl,$post_data))
    {
      $this->app->erp->LogFile(mysqli_real_escape_string($this->app->DB->connection,'An error occurred: '.$client->getError()));
      die('An error occurred: '.$client->getError());
    }
    return unserialize($aes->decrypt(base64_decode($client->getContent())));
  }



}
?>
