<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php

include ("_gen/lieferbedingungen.php");

class Lieferbedingungen extends GenLieferbedingungen {
  var $app;

  static function TableSearch(&$app, $name, $erlaubtevars)
  {
    // in dieses switch alle lokalen Tabellen (diese Live Tabellen mit Suche etc.) für dieses Modul
    switch($name)
    {
      case "lieferbedingungen_list":
       $allowed['lieferbedingungen'] = array('list');

        $heading = array('Lieferbedingungen','Men&uuml;');
        $width = array('90%', '01%');

        $findcols = array('l.lieferbedingungen','l.id');
        $searchsql = array('l.lieferbedingungen');

        $defaultorder = 1;
        $defaultorderdesc = 0;

        $menu = "<table cellpadding=0 cellspacing=0><tr><td nowrap>" . "<a href=\"index.php?module=lieferbedingungen&action=edit&id=%value%\">" . "<img src=\"themes/{$app->Conf->WFconf['defaulttheme']}/images/edit.png\" border=\"0\"></a>" . "&nbsp;" . "<a href=\"#\" onclick=DeleteDialog(\"index.php?module=lieferbedingungen&action=delete&id=%value%\");>" . "<img src=\"themes/{$app->Conf->WFconf['defaulttheme']}/images/delete.gif\" border=\"0\"></a>" . "&nbsp;</td></tr></table>";


        //$where = " k.geloescht != 1 $subwhere ".$app->erp->ProjektRechte();
        $where = "";

        //$sql = "SELECT SQL_CALC_FOUND_ROWS l.id, l.lieferbedingungen, l.id FROM lieferbedingungen l LEFT JOIN projekt p ON p.id=k.projekt ";
        $sql = "SELECT SQL_CALC_FOUND_ROWS l.id, l.lieferbedingungen, l.id FROM lieferbedingungen l ";

        //$count = "SELECT count(k.id) FROM konten k LEFT JOIN projekt p ON p.id=k.projekt WHERE $where";
        $count = "SELECT count(l.id) FROM lieferbedingungen l ";

        break;
    }
    $erg = false;
    foreach($erlaubtevars as $k => $v)
    {
      if(isset($$v))$erg[$v] = $$v;
    }
    return $erg;
  }


  function __construct(&$app) {
    $this->app=&$app;
    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("create","LieferbedingungenCreate");
    $this->app->ActionHandler("edit","LieferbedingungenEdit");
    $this->app->ActionHandler("list","LieferbedingungenList");
    $this->app->ActionHandler("delete","LieferbedingungenDelete");

    $this->app->ActionHandlerListen($app);
  }


  function LieferbedingungenCreate()
  {
    $this->LieferbedingungenMenu();
    parent::LieferbedingungenCreate();
  }

  function LieferbedingungenDelete()
  {
    $id = $this->app->Secure->GetGET("id");
    if(is_numeric($id))
    {
      $this->app->DB->Delete("DELETE FROM lieferbedingungen WHERE id='$id'");
    }

    $this->LieferbedingungenList();
  }


  function LieferbedingungenList()
  {
    $this->LieferbedingungenMenu();
    $this->app->YUI->TableSearch('TAB1','lieferbedingungen_list', "show","","",basename(__FILE__), __CLASS__);
    $this->app->Tpl->Parse("PAGE","tabview.tpl");
  }

  function LieferbedingungenMenu()
  {
    $id = $this->app->Secure->GetGET("id");
    $this->app->erp->MenuEintrag("index.php?module=lieferbedingungen&action=create","Neue Lieferbedinung anlegen");
    if($this->app->Secure->GetGET("action")=="list")
    {
      $this->app->erp->MenuEintrag("index.php?module=lieferbedingungen&action=list","&Uuml;bersicht");
      $this->app->erp->MenuEintrag("index.php?module=einstellungen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
    }
    else if($this->app->Secure->GetGET("action")=="edit")
    {
      $this->app->erp->MenuEintrag("index.php?module=lieferbedingungen&action=edit&id=$id","Details");
      $this->app->erp->MenuEintrag("index.php?module=lieferbedingungen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
    }
    else 
      $this->app->erp->MenuEintrag("index.php?module=lieferbedingungen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
  }

  function LieferbedingungenEdit()
  {
    $this->LieferbedingungenMenu();
    parent::LieferbedingungenEdit();
  }
}
?>
