<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
class Systemlog {
  var $app;

  function __construct(&$app) {
    $this->app=&$app;
    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("list","SystemlogList");
    $this->app->ActionHandler("minidetail","SystemlogMiniDetail");
    $this->app->ActionHandler("datenbank","SystemlogDatenbank");
    //$this->app->ActionHandler("delete","SystemlogDelete");
    //$this->app->ActionHandler("deleteall","SystemlogDeleteAll");

    $this->app->DefaultActionHandler("list");

    $this->app->ActionHandlerListen($app);
  }
  /*
     function SystemlogDelete()
     {
     $id = $this->app->Secure->GetGET("id");
     $this->app->DB->Delete("DELETE FROM systemlog WHERE id='$id' LIMIT 1");
     $msg = $this->app->erp->base64_url_encode("<div class=\"error2\">Der Logeintrag wurde gel&ouml;scht!</div>  ");
     header("Location: index.php?module=systemlog&action=list&msg=$msg");
     exit;	
     }	
   */
  /*
     function SystemlogDeleteAll()
     {
     $id = $this->app->Secure->GetGET("id");
     $this->app->DB->Delete("DELETE FROM systemlog WHERE id > 0");
     $msg = $this->app->erp->base64_url_encode("<div class=\"error2\">Alle Logeintr&auml;ge wurden wurden gel&ouml;scht!</div>  ");
     header("Location: index.php?module=systemlog&action=list&msg=$msg");
     exit;	
     }	
   */
   
  function SystemlogDatenbank()
  {
    $this->SystemlogMenu();
    $verknuepfungen = array(    
      array('adresse','id','adresse_accounts','adresse','delete'),
      array('adresse','id','adresse_kontakte','adresse','delete'),
      array('adresse','id','lieferadressen','adresse','delete'),
      array('adresse','id','ansprechpartner','adresse','delete'),
      array('adresse','id','abrechnungsartikel','adresse'),
      array('artikel','id','abrechnungsartikel','artikel'),
      array('adresse','id','dokumente','adresse_from'),
      array('adresse','id','dokumente','adresse_to'),
      array('adresse','id','dokumente_send','adresse'),
      array('artikel','id','einkaufspreise','artikel'),
      array('adresse','id','einkaufspreise','adresse'),
      array('artikel','id','verkaufspreise','artikel'),
      array('drucker','id','drucker_spooler','drucker'),
      array('datei','id','datei_version','datei'),
      array('datei','id','datei_stichwoerter','datei'),
      array('adresse','id','user','adresse'),
      array('projekt','id','arbeitspaket','projekt'),
      array('lager','id','lager_platz','lager'),
      array('lager_platz','id','lager_platz_inhalt','lager_platz'),
      array('artikel','id','lager_reserviert','artikel','delete'),
      array('adresse','id','lager_reserviert','adresse'),
      array('artikel','id','lager_seriennummern','artikel','delete'),
      array('artikel','id','lager_platz_inhalt','artikel','delete'),
      array('artikel','id','lager_mindesthaltbarkeitsdatum','artikel'),
      array('lager_platz','id','lager_mindesthaltbarkeitsdatum','lager_platz'),
      array('artikel','id','artikel','variante_von'),
      array('artikel','id','stueckliste','stuecklistevonartikel'),
      array('artikel','id','stueckliste','artikel'),
      array('rechnung','id','rechnung_position','rechnung','delete'),
      array('rechnung','id','rechnung_protokoll','rechnung','delete'),
      array('auftrag','id','auftrag_position','auftrag','delete'),
      array('auftrag','id','auftrag_protokoll','auftrag','delete'),
      array('angebot','id','angebot_position','angebot','delete'),
      array('angebot','id','angebot_protokoll','angebot','delete'),
      array('gutschrift','id','gutschrift_position','gutschrift','delete'),
      array('gutschrift','id','gutschrift_protokoll','gutschrift','delete'),
      array('bestellung','id','bestellung_position','bestellung','delete'),
      array('bestellung','id','bestellung_protokoll','bestellung','delete'),
      array('produktion','id','produktion_position','produktion','delete'),
      array('produktion','id','produktion_protokoll','produktion','delete'),
      array('inventur','id','inventur_position','inventur','delete'),
      array('inventur','id','inventur_protokoll','inventur','delete'),
      array('adresse','id','rechnung','adresse'),
      array('adresse','id','lieferschein','adresse'),
      array('adresse','id','gutschrift','adresse'),
      array('adresse','id','auftrag','adresse'),
      array('adresse','id','angebot','adresse'),
      array('adresse','id','bestellung','adresse'),
      array('adresse','id','produktion','adresse'),
      array('adresse','id','inventur','adresse'),
      array('artikel','id','produktion_position','artikel'),
      array('artikel','id','rechnung_position','artikel'),
      array('artikel','id','auftrag_position','artikel'),
      array('artikel','id','lieferschein_position','artikel'),
      array('artikel','id','gutschrift_position','artikel'),
      array('artikel','id','bestellung_position','artikel'),
      array('artikel','id','angebot_position','artikel'),
    );
    
    if($this->app->Secure->GetPOST('delete'))
    {
      $tabelle = $this->app->Secure->GetPOST('tabelle');
      $spalte = $this->app->Secure->GetPOST('spalte');
      $subtabelle = $this->app->Secure->GetPOST('subtabelle');
      $subspalte = $this->app->Secure->GetPOST('subspalte');
      if($tabelle && $spalte && $subspalte && $subtabelle)
      {
        foreach($verknuepfungen as $verknuepfung)
        {
          if( $tabelle == $verknuepfung[0] &&
              $spalte == $verknuepfung[1] &&
              $subtabelle == $verknuepfung[2] &&
              $subspalte == $verknuepfung[3] &&
              isset($verknuepfung[4]) && $verknuepfung[4] == 'delete')
          {
            $query = $this->app->DB->Query("SELECT s.id FROM `$subtabelle` s LEFT JOIN `$tabelle` t ON s.`$subspalte` = t.`$spalte` WHERE isnull(t.`$spalte`) AND s.`$subspalte` <> 0 AND not isnull(s.`$subspalte`)");   
            if($query)
            {
              $anz = 0;
              while($row = $this->app->DB->Fetch_Array($query))
              {
                if($row['id'])
                {
                  $anz++;
                  $this->app->DB->Delete("DELETE FROM `$subtabelle` WHERE id = '".$row['id']."' LIMIT 1");
                }
              }
              $this->app->Tpl->Add('MESSAGE','<div class="info">'.$anz.' Eintr&auml;ge gel&ouml;scht</div>');
            }              
          }
        }
      }
      
    }
    
    if($this->app->Secure->GetPOST('testen'))
    {
      $warnung = false;
      $this->app->Tpl->Add('TAB1','<table class="mkTable"><tr><th>Tabelle von</th><th>zu</th><th>Status</th></tr>');
      foreach($verknuepfungen as $verknuepfung)
      {
        $tabelle = $verknuepfung[0];
        $spalte = $verknuepfung[1];
        $subtabelle = $verknuepfung[2];
        $subspalte = $verknuepfung[3];
        $check = $this->app->DB->Select("SELECT s.`$subspalte` FROM `$subtabelle` s LEFT JOIN `$tabelle` t ON s.`$subspalte` = t.`$spalte` WHERE isnull(t.`$spalte`) AND s.`$subspalte` <> 0 AND not isnull(s.`$subspalte`) LIMIT 1");
        if($check)
        {
          $aktion = '';
          if(isset($verknuepfung[4]) && $verknuepfung[4] == 'delete')
          {
            $aktion = '<form method="POST">
            <input type="hidden" name="tabelle" value="'.$tabelle.'" />
            <input type="hidden" name="spalte" value="'.$spalte.'" />
            <input type="hidden" name="subtabelle" value="'.$subtabelle.'" />
            <input type="hidden" name="subspalte" value="'.$subspalte.'" />
            <input type="submit" name="delete" value="Daten l&ouml;schen" />
            </form>';
            $warnung = true;
          }
          $this->app->Tpl->Add('TAB1','<tr><td>'.$subtabelle.'.'.$subspalte.'</td><td>'.$tabelle.'.'.$spalte.'</td><td style="color:red;">Eintr&auml;ge mit nicht existierender '.$tabelle.'.'.$spalte.' gefunden'.$aktion.'</td></tr>');
        }else{
          if(!$this->app->DB->error())
          {
            $this->app->Tpl->Add('TAB1','<tr><td>'.$subtabelle.'.'.$subspalte.'</td><td>'.$tabelle.'.'.$spalte.'</td><td>OK</td></tr>');  
          }else{
            
          }
        }
      }
      if($warnung)
      {
        $this->app->Tpl->Add('MESSAGE','<div class="warning">Vor dem L&ouml;schen ist es dringen Empfohlen ein Backup der Datenbank zu machen.</div>');
      }
      $this->app->Tpl->Add('TAB1','</table>');
    }
    $this->app->Tpl->Add('TAB1','<form method="POST"><input type="submit" name="testen" value="testen" /></form>');
    
    
    $this->app->Tpl->Parse('PAGE',"tabview.tpl");
  }

  function SystemlogMiniDetail()
  {
    $id = $this->app->Secure->GetGET("id");
    $dump = $this->app->DB->SelectArr("SELECT argumente,funktionsname,dump FROM systemlog WHERE id='$id' LIMIT 1");
    echo "<pre>Argumente der Funktion ".$dump[0]['funktionsname'].":<br><br>".base64_decode($dump[0]['argumente'])."</pre>";
    echo "<br><br><pre>Dump:".$dump[0]['dump']."</pre>";
    exit;
  }

  function SystemlogList()
  {
    $this->SystemlogMenu();
    $this->app->YUI->TableSearch('TAB1',"systemlog");
    
    ob_start();
    phpinfo();
    $phpinfo = ob_get_contents();
    ob_end_clean();
    
   
    $phpinfo = explode('<body>',$phpinfo,2);
    $phpinfo = $phpinfo[1];
    $phpinfo = reset(explode('</body>', $phpinfo));
    $this->app->Tpl->Add('TAB2',"<textarea id=\"phpinfo\">".$phpinfo."</textarea>");
    $this->app->YUI->CkEditor("phpinfo","none",array('height'=>'500px'));
    
      if(!function_exists('fsockopen'))
      {
        $tmp['status'] = 'error';
        $tmp['text'] = 'fsocket nicht installiert!';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'fsocket verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      if(!function_exists('mysqli_connect'))
      {
        $tmp['status'] = 'error';
        $tmp['text'] = 'MYSQLi nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'MYSQLi verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!function_exists('curl_init'))
      {
        $tmp['status'] = 'error';
        $tmp['text'] = 'cURL nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'cURL verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!function_exists('stream_socket_enable_crypto'))
      {
        $tmp['status'] = 'error';
        $tmp['text'] = 'stream_socket_enable_crypto nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'stream_socket_enable_crypto verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!function_exists('openssl_error_string'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'OpenSSL nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'OpenSSL verf&uuml;gbar';      
        $ret[] = $tmp;          
      }

      if(!function_exists('mb_encode_numericentity'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'php-mbstring nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'php-mbstring verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!class_exists('SoapClient'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'php-soap nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'php-soap verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!function_exists('imap_open'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'imap nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'imap verf&uuml;gbar';      
        $ret[] = $tmp;          
      } 

      if(!function_exists('simplexml_load_string'))
      {
        $tmp['status'] = 'error';
        $tmp['text'] = 'php-xml nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'php-xml verf&uuml;gbar';      
        $ret[] = $tmp;          
      } 
      
      if(!function_exists('imagejpeg'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'PHP GD-Erweiterung nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'PHP GD-Erweiterung verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
      
      if(!class_exists('ZipArchive'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'php-zip nicht installiert';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'php-zip verf&uuml;gbar';      
        $ret[] = $tmp;
      }
      
      if(!function_exists('ioncube_loader_version'))
      {
        $tmp['status'] = 'warning';
        $tmp['text'] = 'Ioncube ist nicht installiert (Eine Installation ist trotzdem m&ouml;glich)';
        $ret[] = $tmp;
      } else {
        $tmp['status'] = 'ok';
        $tmp['text'] = 'Ioncube verf&uuml;gbar';      
        $ret[] = $tmp;          
      }
    
    foreach($ret as $Message)
    {
      $this->app->Tpl->Add('TAB3','<div style="font-size:12px;background-color:'.($Message['status'] == 'error'?'#FA5858':($Message['status'] == 'warning'?'#F4FA58':'#9FF781')).';">'.$Message['text']."</div><div style=\"height:10px;\"></div>\r\n");
      
    }
    
    $this->app->Tpl->Parse('PAGE',"systemlog_list.tpl");
  }

  function SystemlogMenu()
  {
    $this->app->Tpl->Set('KURZUEBERSCHRIFT',"Systemlog");
    $this->app->erp->MenuEintrag("index.php?module=servicetools&action=list","Zur&uuml;ck zur &Uuml;bersicht");
    $this->app->erp->MenuEintrag("index.php?module=systemlog&action=list","Aktualisieren");
    $this->app->erp->MenuEintrag("index.php?module=systemlog&action=datenbank","Datenbank pr&uuml;fen");
    //$this->app->erp->MenuEintrag("index.php?module=systemlog&action=deleteall","Alle Eintr&auml;ge l&ouml;schen");
  }


}

?>
