<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
include ("_gen/zahlungsweisen.php");

class Zahlungsweisen extends GenZahlungsweisen {
  var $app;
  
  function __construct(&$app) {
    //parent::GenZahlungsweisen($app);
    $this->app=&$app;

    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("create","ZahlungsweisenCreate");
    $this->app->ActionHandler("edit","ZahlungsweisenEdit");
    $this->app->ActionHandler("list","ZahlungsweisenList");
    $this->app->ActionHandler("delete","ZahlungsweisenDelete");

    $this->app->ActionHandlerListen($app);
  }


  function ZahlungsweisenCreate()
  {
    $this->ZahlungsweisenMenu();
    parent::ZahlungsweisenCreate();
  }

  function ZahlungsweisenList()
  {
    $this->ZahlungsweisenMenu();
    parent::ZahlungsweisenList();
  }

  function ZahlungsweisenMenu()
  {
    $id = $this->app->Secure->GetGET("id");
    $this->app->erp->MenuEintrag("index.php?module=zahlungsweisen&action=create","Neue Zahlungsweise anlegen");
    if($this->app->Secure->GetGET("action")=="list")
    {
      $this->app->erp->MenuEintrag("index.php?module=zahlungsweisen&action=list","&Uuml;bersicht");
      $this->app->erp->MenuEintrag("index.php?module=einstellungen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
    }
    else if($this->app->Secure->GetGET("action")=="edit")
      $this->app->erp->MenuEintrag("index.php?module=zahlungsweisen&action=edit&id=$id","Details");
    else
      $this->app->erp->MenuEintrag("index.php?module=zahlungsweisen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
  }



  function ZahlungsweisenEdit()
  {
    $this->ZahlungsweisenMenu();
    parent::ZahlungsweisenEdit();
  }

  function ZahlungsweisenDelete()
  {
    $id = $this->app->Secure->GetGET("id");

    $msg = $this->app->erp->base64_url_encode("<div class=\"info\">Die Zahlungsweise wurde gel&ouml;scht!</div>");
    $this->app->DB->Update("DELETE FROM zahlungsweisen WHERE id='$id' LIMIT 1");

    header("Location: index.php?module=zahlungsweisen&action=list&msg=$msg");  
    exit;
  } 



}
?>
