<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php 

class WidgetGenproformarechnung_position
{

  private $app;            //application object  
  public $form;            //store form object  
  private $parsetarget;    //target for content

  public function __construct($app,$parsetarget)
  {
    $this->app = $app;
    $this->parsetarget = $parsetarget;
    $this->Form();
  }

  public function proformarechnung_positionDelete()
  {
    
    $this->form->Execute("proformarechnung_position","delete");

    $this->proformarechnung_positionList();
  }

  function Edit()
  {
    $this->form->Edit();
  }

  function Copy()
  {
    $this->form->Copy();
  }

  public function Create()
  {
    $this->form->Create();
  }

  public function Search()
  {
    $this->app->Tpl->Set($this->parsetarget,"SUUUCHEEE");
  }

  public function Summary()
  {
    $this->app->Tpl->Set($this->parsetarget,"grosse Tabelle");
  }

  function Form()
  {
    $this->form = $this->app->FormHandler->CreateNew("proformarechnung_position");
    $this->form->UseTable("proformarechnung_position");
    $this->form->UseTemplate("proformarechnung_position.tpl",$this->parsetarget);

    $field = new HTMLInput("nummer","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("bezeichnung","text","","50","50","","","","","","","0","","");
    $this->form->NewField($field);
    $this->form->AddMandatory("bezeichnung","notempty","Pflichtfeld!","MSGBEZEICHNUNG");

    $field = new HTMLTextarea("beschreibung",8,48,"","","","","0");   
    $this->form->NewField($field);

    $field = new HTMLInput("menge","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);
    $this->form->AddMandatory("menge","notempty","Pflichtfeld!","MSGMENGE");

    $field = new HTMLInput("preis","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("waehrung","text","","15","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLSelect("umsatzsteuer",0,"umsatzsteuer","","","0");
    $field->AddOption('Standard','');
    $field->AddOption('Erm&auml;&szlig;igt','ermaessigt');
    $this->form->NewField($field);

    $field = new HTMLCheckbox("anderersteuersatz","","","","0","0");
    $this->form->NewField($field);

    $field = new HTMLInput("steuersatz","text","","15","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLTextarea("steuertext",3,50,"","","","","0");   
    $this->form->NewField($field);

    $field = new HTMLInput("grundrabatt","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt1","text","","5","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt2","text","","5","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt3","text","","5","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt4","text","","5","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt5","text","","5","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLCheckbox("keinrabatterlaubt","","","1","0","0");
    $this->form->NewField($field);

    $field = new HTMLInput("rabatt","text","","15","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("einheit","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("vpe","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("lieferdatum","text","","15","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLCheckbox("lieferdatumkw","","","1","0","0");
    $this->form->NewField($field);

    $field = new HTMLInput("artikelnummerkunde","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("zolltarifnummer","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("herkunftsland","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld1","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld2","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld3","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld4","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld5","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld6","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld7","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld8","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld9","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld10","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld11","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld12","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld13","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld14","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld15","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld16","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld17","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld18","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld19","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("freifeld20","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLTextarea("bemerkung",3,30,"","","","","0");   
    $this->form->NewField($field);

    $field = new HTMLInput("erloese","text","","15","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("punkte","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("bonuspunkte","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);

    $field = new HTMLInput("mlmdirektpraemie","text","","50","","","","","","","","0","","");
    $this->form->NewField($field);


  }

}

?>